Apache OpenOffice 与 LibreOffice 之间的抉择
================================================================================
> 这两个开源办公套件产品很相似，然而某一个貌似已经开始具有轻微的领先优势……

[Apache OpenOffice][1]和[LibreOffice][2]都是OpenOffice.org的现代衍生产品。最近几年，几乎所有的Linux发行版都将LibreOffice作为它们的默认办公套件。然而，过去18个月来，OpenOffice作为Apache项目又重新回到了人们的视线，对于这两款全功能办公套件，现在，自由软件用户可以进行二选一咯~

然而即使是用户，在两种几乎一样的选择中做决定也会有困难。三年前，这哥儿俩分了家，三年时间，这对于软件开发来说是很长的一段时间，即使是这样，OpenOffice和LibreOffice之间的不同却刚刚开始显现。除去那些明显已经去掉的过时特性，单说功能集合与基本逻辑，自从OpenOffice.org时代以来，这两者都几乎没有什么大的改变。

纵观整个套件，只有个别应用里能发现一些新功能，主要集中在Writer的文字处理方面。其实，它们两者之间的大部分区别主要存在于更高的层面，例如对格式和字体的支持、对插件扩展的政策等，更多的不同，则体现在是否紧跟时代，以及对标准化接口的努力程度上。

###具体各程序间的区别###

LibreOffice和OpenOffice之间的程序大部分都是一样的。例如它俩的Draw，看起来完全没有区别；再如Impress，主要的区别就是LibreOffice的最新版支持使用Android设备控制幻灯片放映；除了幻灯片背景以外，两者其他方面没什么不同，都能很好的胜任日常使用，除非有特殊偏好，用户选择哪一款都可以；同样，在Calc电子制表软件中，两者最大的区别就是你可以在LibreOffice里创建数据表单。

即使在用户最常用的Writer程序中，两者的区别也很小。LibreOffice这边，编辑窗口的底部状态栏现在新包含了一个字词计数器，审阅标签也不再局限于某个单个点，现在可以附加在配图上，另外，LibreOffice终于解决了“脚注无法紧靠对应文本显示”的bug，除此以外，LibreOffice还添加了一个简易搜索栏，与web浏览器上的那种类似，同时，去掉了图形水平线的选项，这个功能过去十几年来几乎从没人用过。

###格式与字体###

一些更明显的区别体现在格式分类与字体支持上。例如，OpenOffice始终支持一些较老的保存格式，像AportisDoc（Palm版）和Pocket Word。另外，它也可以打开.docx格式的文件，但是无法像LibreOffice一样将文档保存为docx格式。

LibreOffice同样在字体支持方面占有优势。它对多语言和高级排版工艺始终有较好的支持，因此最新发布版本能够支持OpenType这样的现代字体首选格式。更重要的，通过“文件->属性->字体”，你能够将字体嵌入到文档中去，无需任何繁琐操作，就能确保字体的兼容性。

这样的特性使得LibreOffice在面对微软Office用户转换格式的时候，得到了决定性的1分。因为通常OpenOffice和LibreOffice都无法很好处理微软格式的文档，特别是那些又有文字表格又有图形对象再加上复杂格式的文档。因此，如果你要共享复杂一些的文档，例如宣传手册，最好使用PDF格式，而不是Open文档格式（ODF）。

然而，如果你确实需要转换一些本地或微软的文档，LibreOffice拥有一些决定性优势。它不仅能读写大多数微软文档，而且它对字体替换处理的很好，而这正是文档格式转换时要面临的一个主要问题。尽管其他问题仍有不少，例如在特性实现上有所不同，但LibreOffice在处理微软Office文档时确实应该是一个更可靠的选择。

###对待插件扩展的政策###

OpenOffice和LibreOffice两者都能很好的支持插件扩展，想要加强或替换某个特性的时候，用户只需要几分钟就能下载并安装完毕。大多数情况下，同一个扩展，在OpenOffice和LibreOffice上面都能工作的很好。

区别就在于，使用LibreOffice时，你无需亲自安装那些最流行的插件扩展。相反，LibreOffice已经帮你安装整合好了。例如，基本语法校验工具Lightproof、数据库汇总和打印工具ReportBuilder、演示文稿压缩工具PresentationMinimizer、博客用户喜欢的WikiPublisher、还有幻灯片配置工具PresentationConsole等等。

以上这些扩展在OpenOffice下同样可用。与前者不同的是，使用OpenOffice时，你首先需要知道有这些扩展，然后专门去找到它们，这样一来，很大程度上限制了新用户对很多功能的体验。因此，当OpenOffice在最近发布的版本中尝试努力提供更好用的现代模板和剪贴画时，这样的疏漏就成了一个非常严重的不足，特别是当它很容易弥补的时候，（更何况LibreOffice同时也提供了自家最新的模板和剪贴画）。

###界面的更新换代###

在OpenOffice.org属于Sun和Oracle的12年日子里，它的界面和许多的其它功能一样，几乎被丢在遗忘的角落。如今的结果就是，OpenOffice和LibreOffice作为套件产品，都各自拥有一整套优秀的功能，但是它们的界面却仍停留在上世纪90年代的水平。只有表面上的一些老旧界面被移除，其实大部分仍然亟待更新。

在最新的发布中，OpenOffice试图彻底更新自己的界面的努力主要集中在“边栏”上。这一特性，你可以通过“工具->选项->LibreOffice->高级”打开，它被标记为“试验性”的。

边栏是一组功能集合，主要用于用户手动格式化。这一特性便于用户应用样式，因为如果用户关注在文章逻辑上，很容易忽略编排的样式。然而，最好的是，它大大简化了格式化字符和段落的选项卡，例如所有应用程序中都有的边框选项卡，以及电子表格单元格中的“格式”选项卡。幸运的是，边栏还重新定义了菜单和样式对话框窗口的概念。

LibreOffice还拥有更多的“冒险创新精神”，例如，与边栏类似，Impress中的任务面板，摘要显示了大多数幻灯片设计步骤中要用到的选项卡名称。

在Writer编辑窗口中，LibreOffice的大部分界面已经完成改进，窗口底部的状态栏中，添加了一个字词计数器，原本负责管理和编辑模板的狭窄子菜单，如今也已被高端大气上档次的流线形按钮所取代。

更明显的，LibreOffice中的主文本框架被精减为四个边角的十字准线。同样的，页眉和页脚也默认改为不可见，要想找到它们，四个小直角标明了它们的边界位置，点击就可以出现。

不太成功的一点改进是LibreOffice中管理页眉页脚的编辑窗口中的选项卡。虽然这个选项卡事实上是为了便于手动调整格式，但是让人郁闷的是，当在新一页的第一行输入的时候，已经输入的一部分总是会自动隐藏起来。

尽管LibreOffice还重组了许多对话窗口的选项，但是这些努力远没有结束。有时，开发人员会让LibreOffice变成传统框架与现代极简艺术的混合体，看起来有些不伦不类，但是，至少LibreOffice正在尝试着解决长期搁置的界面问题，而这些，OpenOffice甚至都还没来得及意识到。

###做出选择###

如果文档不超过2到3页，一般用户可能会时常看看标题栏看自己用的是LibreOffice还是OpenOffice。然而，对于进阶用户而言，LibreOffice目前可能更有优势。优势并不算大，但是很明显。

这一优势的确很难被忽略。原因首先是，在LibreOffice已经确立了好几个月时间优势的情况下，OpenOffice却仍在专注于管理权和代码审计，这些工作也许有帮助，也有必要，但是普通用户更愿意看到他们对代码做出更多的改进工作。

其次，LibreOffice的开发人员大部分是[Go-oo][3]的前成员，这是OpenOffice.org的一个非官方分支，以“快速完善”为目标。当Apache OpenOffice项目组还在筹建中的时候，LibreOffice就已经吸引了全世界酷爱编程、热衷变革的天才们。

没有人做过准确的调查，但是我印象中，当OpenOffice.org社区分家的时候，大部分富于冒险创新精神的贡献者都选择了LibreOffice，同时，有一些半独立的文档小组，在谨慎地同时为两个项目工作。

其实，LibreOffice最重要的优势或许可以称之为“吸血许可证”。怎么个意思呢？就是OpenOffice的Apache许可证兼容LibreOffice的Lesser GNU通用公共许可证，但是LibreOffice的Less GNU通用公共许可证却不兼容OpenOffice的Apache许可证。换句话说，LibreOffice可以随意自由地从OpenOffice“借”代码，但是OpenOffice却根本无法从LibreOffice“借”到任何东西。严格地讲，如果想从LibreOffice“借”来某个功能，OpenOffice必须完全从头实现。

这一情况有可能会改变，尤其是当Apache OpenOffice比LibreOffice拥有更高的知名度的时候，然而LibreOffice的支持者们正在迅速扩张，它的社区非常活跃，短短3年间所做的要比OpenOffice.org十二年来做的还要多。

现在，除非你特别需要某个功能，使用OpenOffice还是LibreOffice几乎没有区别。但是，我断定，除非发生某些不可预料的事情，否则LibreOffice的优势将会越来越大。无论你选择支持哪一方，几年内，也许你会对它重新作出评价。

--------------------------------------------------------------------------------

via: http://www.datamation.com/applications/apache-openoffice-vs.-libreoffice-1.html

译者：[Mr小眼儿](http://blog.csdn.net/tinyeyeser) 校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[1]:http://www.openoffice.org/
[2]:http://www.libreoffice.org/
[3]:https://en.wikipedia.org/wiki/Go-oo