Linux 上一些很好用的文献目录管理工具
================================================================================
你是否写过一些很长很长的文章，以至于你会认为你永远都看不到它的结束？那么你会很明白最糟糕的不是你投入了多少的时间，而是一旦你完成，你仍然要制定和格式化你的所引用的一些参考文献。很幸运的是，Linux 有很多的解决方案：参考书目和文献管理工具。借助BibTex的力量，这些工具可以帮你导入引用源，然后自动生成一个结构化文献目录。这里给大家提供了一些Linux上参考文献管理工具的不完全列表。

### 1. Zotero ###

![](https://farm4.staticflickr.com/3936/15492092282_f1c8446624_b.jpg)

这应该是最著名的参考文献聚集工具，[Zotero][1]作为一个浏览器的扩展插件。当然，它也有一个方便的Linux 独立工具。拥有强大的性能，Zotero 很容易上手，并且也可以和LibreOffice 或者是其他的文本编辑器配套使用来管理文档的参考文献。我个人很欣赏其操作界面和插件管理器。可惜的是，如果你对参考文献有很多不同的需求的话，很快就会发现 Zotero 功能有限。

### 2. JabRef ###

![](https://farm4.staticflickr.com/3936/15305799248_d27685aca9_b.jpg)

[JabRef][2] 是最先进的文献管理工具之一。你可以导入大量的格式，可以在其外部的数据库里查找相应的条目（像Google Scholar），并且能直接输出到你喜欢的编辑器。JabRef 可以很好的兼容你的运行环境，甚至也支持插件。最后还有一点，JabRef可以连接你自己的SQL 数据库。而唯一的缺点就是其学习使用的难度。

### 3. KBibTex ###

![](https://farm4.staticflickr.com/3931/15492453775_c1e57f869f_c.jpg)

对于 KDE 使用者，这个桌面环境也拥有它自己专有的文献管理工具[KBibTex][3]。这个程序的品质，正如你所期望。程序可高度定制，通过快捷键就可以很好的操作和体验。你可以很容易找到副本、可以预览结果、也可以直接输出到LaTex 编辑器。而我认为这款软件最大的特色在于它集成了Bigsonomy ，Google Scholar ，甚至是你的Zotero账号。唯一的缺憾是界面看起来实在是有点乱。多花点时间设置软件可以让你使用起来得心应手。

### 4. Bibfilex ###

![](https://farm4.staticflickr.com/3930/15492453795_f5ec82f5ff_c.jpg)

可以运行在Gtk 和Qt 环境中，[Bibfilex][4]是一个基于 Biblatex 的界面友好的工具。相对于JabRef 和KBibTex ，缺少了一些高级的功能，但这也让他更加的快速和轻巧。不用想太多，这绝对是快速做文献目录的一个聪明的选择。界面很舒服，仅仅反映了一些必要的功能。我给出了其使用的完全手册，你可以从官方的[下载页面][5]去获得。

### 5. Pybliographer ###

![](https://farm4.staticflickr.com/3929/15305749810_541b4926bd_o.jpg)

正如它的名字一样，[Pybliographer][6]是一个用 Python 写的非图形化的文献目录管理工具。我个人比较喜欢把Pybiographic 当做是图形化的前端。它的界面极其简洁和抽象。如果你仅仅需要输出少数的参考文献，而且也确实没有时间去学习更多的工具软件，那么 Pybliographer 确实是一个不错的选择。有一点点像 Bibfilex 的是，它是以让用户方便、快速的使用为目标的。

### 6. Referencer ###

![](https://farm4.staticflickr.com/3949/15305749790_2d3311b169_b.jpg)

这应该是我归纳这些时候的一个最大的惊喜，[Referencer][7] 确实是让人眼前一亮。完美兼容 Gnome ，它可以查找和导入你的文档，然后在网上查询他们的参考文献，并且输出到 LyX ，非常的漂亮和设计良好。为数不多的几个快捷键和插件让它拥有了图书馆的风格。

总的来说，很感谢这些工具软件，有了它们，你就可以不用再担心长长的文章了，至少是不用再担心参考文献的部分了。那么我们还有什么遗漏的吗？是否还有其他的文献管理工具你很喜欢？请在评论里告诉我们。

--------------------------------------------------------------------------------

via: http://xmodulo.com/reference-management-software-linux.html

作者：[Adrien Brochard][a]
译者：[barney-ro](https://github.com/barney-ro)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[a]:http://xmodulo.com/author/adrien
[1]:https://www.zotero.org/
[2]:http://jabref.sourceforge.net/
[3]:http://home.gna.org/kbibtex/
[4]:https://sites.google.com/site/bibfilex/
[5]:https://sites.google.com/site/bibfilex/download
[6]:http://pybliographer.org/
[7]:https://launchpad.net/referencer