Linux 上好用的 R 语言 IDE
================================================================================

前一段时间，我已经介绍过 [Linux 上针对 C/C++ 语言的最好 IDE][1]。很显然 C 或 C++ 并不是现存的唯一的编程语言，是时间讨论某些更加特别的语言了。

假如你做过一些统计工作，很可能你已经见识过 [R 语言][2] 了。假如你还没有，我真的非常推荐这门专为统计和数据挖掘而生的开源编程语言。若你拥有编程背景，它的语法可能会使你感到有些不适应，但希望它的向量化操作所带来的快速能够吸引到你。简而言之，请尝试使用一下这门语言。而要做到这一点，使用一个好的 IDE 来入门或许会更好。R 作为一门跨平台的语言，有着一大把好用的 IDE，它们使得用 R 语言进行数据分析变得更惬意。假如你非常钟意一个特定的编辑器，这里也有一些好用的插件来将它转变为一个成熟的 R 语言的 IDE。

下面就让我们见识一下 Linux 环境下 5 个针对 R 语言的好用 IDE吧。

### 1. RStudio ###

![](https://c1.staticflickr.com/1/603/22093054381_431383ab60_c.jpg)

就让我们以或许是最为人们喜爱的 R IDE —— [RStudio][3] 来开始我们的介绍吧。除了一般 IDE 所提供的诸如语法高亮、代码补全等功能，RStudio 还因其集成了 R 语言帮助文档、强大的调试器、多视图系统而突出。如果你准备入门 R 语言，我只建议你将 RStudio 作为你的 R 语言控制台，一方面用它来实时测试代码是很完美的，另外对象浏览器可以帮助你理解你正在处理的是哪类数据。最后，真正征服我的是它集成了图形显示器，使得你能够更轻松地将图形输出为图片文件。至于它不好的方面， RStudio 缺乏快捷键和高级设置来使得它成为一个完美的 IDE。然而，它有一个以 AGPL 协议发布的免费版本， Linux 用户没有借口不去试试这个 IDE。

### 2. 带有 ESS 插件的 Emacs ###

![](https://c2.staticflickr.com/6/5824/22056857776_a14a4e7e1b_c.jpg)

在我的前一个有关 IDE 的文章中，很多朋友对我所给出的清单中没有 Emacs 而感到失望。对于这个，我的主要理由是 Emacs 可以说是 IDE 里面的“通配符”：你可以将它放到任意语言的 IDE 清单中。但对于 [带有 ESS 插件的 R][4] 来说，事情就变得有些不同了。Emacs Speaks Statistics (ESS) 是一个令人惊异的插件，它将完全改变你使用 Emacs 编辑器的方式，真的非常适合 R 编程者的需求。与 RStudio 类似，带有 ESS 的 Emacs 拥有多视图，它有两个面板：一个显示代码，另一个则是一个 R 控制台，使得实时地测试代码和探索数据对象变得更加容易。但 ESS 真正的长处是可以和你已安装的其他 Emacs 插件无缝集成，以及它的高级配置选项。简而言之，如果你喜欢你的 Emacs 快捷键，你将能够在 R 语言开发环境下使用它们。然而，当你在 ESS 中处理大量数据时，我已经听闻并经历了一些效率低下的问题。尽管这个问题不是很重大，但足以让我更偏好 RStudio。

### 3. Vim 及 Vim-R-plugin ###

![](https://c1.staticflickr.com/1/680/22056923916_abe3531bb4_b.jpg)

在谈论完 Emacs 后，因为我不想去讨论 Emacs 和 Vim 的优劣，所以我尽力给予 Vim 同样的待遇，下面介绍 [Vim R 插件][5]。使用名为 tmux 的终端工具，这个工具使得在开启一个 R 控制台的同时，又书写 R 代码成为可能。但最为重要的是，它还为 Vim 带来了 R 语言的语法高亮和自动补全。你还可以轻易地获取 R 帮助文档和浏览数据对象。但再次强调，这些强大的功能来源于它大量的自定义选项和 Vim 的速度。假如你被这些功能所诱惑，我希望你能够通读有关介绍如何安装这个插件并设置相关环境的[文档][6]。

### 4. 带有 RGedit 的 Gedit ###

![](https://c1.staticflickr.com/1/761/22056923956_1413f60b42_c.jpg)

若 Emacs 和 Vim 都不是你的菜，而你恰好喜欢默认的 Gnome 编辑器，则 [RGedit][7] 就是专门为你而生的：它是 Gedit 的一个专门编辑 R 代码的插件。Gedit 比你以为的更强大，配上大量的插件，就有可能用它来做许许多多的事情。而 RGedit 恰好就是你编辑 R 代码所需要的那款插件。它支持传统的语法高亮并在屏幕下方集成了 R 控制台，但它还有一大类独特的功能，例如多文件编辑、代码折叠、文件查看器，甚至还有一个 GUI 的向导用来从 snippets 产生代码。尽管我对 Gedit 并不感冒，但我必须承认这些功能比一般插件的功能更好，并且在你花费很长时间去分析数据时它会有很大的帮助。唯一的不足是它的最后一次更新是 2013 年。我真的希望这个项目能够被重新焕发新生。

### 5. RKWard ###

![](https://c2.staticflickr.com/6/5643/21896132829_2ea8f3a320_c.jpg)

最后的并不意味着最不重要，作为这个清单的最后，[RKWard][8] 是一个 KDE 环境下的 R 语言 IDE。我最喜爱它的一点是它的名称。但说老实话，它的包管理系统和类似电子表格的数据编辑器排在我最喜欢它的理由的第二位。除了这些，它还包含一个简单的用来画图和导入数据的系统，另外它还可以使用插件来扩展功能。假如你不是一个 KDE 迷，或许你有点不喜欢这个，但若你是，我真的建议你考虑使用它。

总的来说，无论你是否刚入门 R 语言，这些 IDE 对你或许都有些帮助。假如你更偏好某个软件它自身所代表的东西或者是偏好针对你喜爱的编辑器的插件，这些都没有什么问题，我确信你将感激这些软件所提供的某些功能。同时我还确信我遗漏了很多好的针对 R 语言的 IDE，或许它们值得罗列在这个清单上。鉴于你们在上一篇针对 C/C++ 的最好 IDE 这个话题中陈述了很多非常有用的评论，我也邀请你们在这里做出同样精彩的评论并分享出你的知识。

关于 Linux 下针对 R 语言的好用编辑器，你有什么看法呢？请在下面的评论中让我们知晓。

--------------------------------------------------------------------------------

via: http://xmodulo.com/good-ide-for-r-on-linux.html

作者：[Adrien Brochard][a]
译者：[FSSlc](https://github.com/FSSlc)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:http://xmodulo.com/author/adrien
[1]:http://xmodulo.com/good-ide-for-c-cpp-linux.html
[2]:https://www.r-project.org/
[3]:https://www.rstudio.com/
[4]:http://ess.r-project.org/
[5]:http://www.vim.org/scripts/script.php?script_id=2628
[6]:http://www.lepem.ufc.br/jaa/r-plugin.html
[7]:http://rgedit.sourceforge.net/
[8]:https://rkward.kde.org/
