与 Linux 一起学习：学习地理
================================================================================
![](https://www.maketecheasier.com/assets/uploads/2015/07/learn-geography-featured.png)

[与 Linux 一起学习][1]的所有文章：

- [与 Linux 一起学习：学习打字][2]
- [与 Linux 一起学习：物理模拟][3]
- [与 Linux 一起学习：玩音乐][4]
- [与 Linux 一起学习：学习地理][5]
- [与 Linux 一起学习：掌握数学][6]

引言：Linux 提供大量的教学软件和工具，面向各个年级段以及各个年龄段，提供大量学科的练习实践，其中大多数是可以与用户进行交互的。本“与 Linux 一起学习”系列就来介绍一些教学软件。

地理是一门有趣的学科，我们每天都能接触到，虽然可能没有意识到，但当你打开 GPS、SatNav 或谷歌地图时，你就已经在使用这些软件提供的地理数据了；当你在新闻中看到一个国家的消息或听到一些金融数据时，这些信息都可以归于地理学范畴。Linux 提供了很多学习地理学的软件，可用于教学，也可用于自学。

### Kgeography ###

在多数 Linux 发行版的软件库中，只有两个与地理有关的软件，两个都属于 KDE 阵营，或者说都属于 KDE 教育项目。Kgeopraphy 使用简单的彩色编码图来绘制被选中的国家。

Ubuntu 及衍生版在终端执行下面命令安装软件：

    sudo apt-get install kgeography

界面很简单，给你一个选择界面，你可以选择不同的国家。

![learn-geography-kgeo-pick](https://www.maketecheasier.com/assets/uploads/2015/07/learn-geography-kgeo-pick.png)

点击地图上的某个区域，界面就会显示这个区域所在的国家和首都。

![learn-geography-kgeo-brit](https://www.maketecheasier.com/assets/uploads/2015/07/learn-geography-kgeo-brit.png)

以及给出不同的测试题来检测你的知识水平。

![learn-geography-kgeo-test](https://www.maketecheasier.com/assets/uploads/2015/07/learn-geography-kgeo-test.png)

这款软件以交互的方式测试你的地理知识，并且可以帮你为考试做好充足的准备。

### Marble ###

Marble 是一个稍微高级一点的软件，无需 3D 加速就能提供全球视角。

![learn-geography-marble-main](https://www.maketecheasier.com/assets/uploads/2015/07/learn-geography-marble-main.png)

在 Ubuntu 及衍生版的终端输入下面的命令来安装 Marble：

    sudo apt-get install marble

Marble 专注于地图绘制，它的主界面就是一张地图。

![learn-geography-marble-atlas](https://www.maketecheasier.com/assets/uploads/2015/07/learn-geography-marble-atlas.jpg)

你可以选择不同的投影方法，比如球状投影和麦卡托投影（LCTT 译注：把地球表面绘制在平面上的方法），在下拉菜单里你可以选择平面视角或外部视角，包括 Atlas 视角，OpenStreetMap 提供的成熟的离线地图，

![learn-geography-marble-map](https://www.maketecheasier.com/assets/uploads/2015/07/learn-geography-marble-map.jpg)

以及卫星视角（由 NASA 提供），

![learn-geography-marble-satellite](https://www.maketecheasier.com/assets/uploads/2015/07/learn-geography-marble-satellite.jpg)

以及政治上甚至是历史上的世界地图。

![learn-geography-marble-history](https://www.maketecheasier.com/assets/uploads/2015/07/learn-geography-marble-history.jpg)

除了有包含不同界面和大量数据的离线地图，Marble 还提供其他信息。你可以在菜单中打开或关闭不同的离线信息框

![learn-geography-marble-offline](https://www.maketecheasier.com/assets/uploads/2015/07/learn-geography-marble-offline.png)

和在线服务。

![learn-geography-marble-online](https://www.maketecheasier.com/assets/uploads/2015/07/learn-geography-marble-online.png)

一个有趣的在线服务是维基百科，点击下 Wiki 图标，会弹出一个界面来展示你选中区域的详细信息。

![learn-geography-marble-wiki](https://www.maketecheasier.com/assets/uploads/2015/07/learn-geography-marble-wiki.png)

这款软件还提供定位追踪、路由规划、位置搜索和其他有用的功能。如果你喜欢地图学，Marble 可以让你长时间享受探索和学习的乐趣。

### 总结 ###

Linux 提供大量优秀的教育软件，当然也包括地理学科。本文介绍的两款软件可以帮你学到很多地理知识，并且你可以以一种好玩的人机交互方式来测试你的知识量。

--------------------------------------------------------------------------------

via: https://www.maketecheasier.com/linux-geography-apps/

作者：[Attila Orosz][a]
译者：[bazz2](https://github.com/bazz2)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://www.maketecheasier.com/author/attilaorosz/
[1]:https://www.maketecheasier.com/series/learn-with-linux/
[2]:https://www.maketecheasier.com/learn-to-type-in-linux/
[3]:https://www.maketecheasier.com/linux-physics-simulation/
[4]:https://www.maketecheasier.com/linux-learning-music/
[5]:https://www.maketecheasier.com/linux-geography-apps/
[6]:https://www.maketecheasier.com/learn-linux-maths/