2016：如何选择 Linux 发行版
================================

![](http://www.linux.com/images/stories/66866/distro-opensuse.JPG)

[不管是在企业级应用还是在消费者领域](http://www.cio.com/article/3017983/linux/2015s-most-exciting-linux-devices.html)，2015 对于 Linux 来说都是极其重要的一年。作为一个从 2005 年就开始使用 Linux 的老用户，我有幸见证了 Linux 过去这 10 年里的重大发展，[并且，我相信它在 2016 年里会更加令人激动](http://www.cio.com/article/3017177/linux/11-predictions-for-linux-in-2016.html)。在这篇文章里，我会挑选几个将在 2016 年里大放光彩的最佳发行版给大家介绍一下。

## 强势归来的发行版：openSUSE

SUSE 是 openSUSE 发行版背后的公司，同时也是起步最早的 Linux 公司；[它在 Linus Torvalds 发布 Linux 的第二年就成立了](http://www.linux.com/news/software/applications/866964-exclusive-interview-with-suse-president-nils-brauckmann)。该公司的成立实际上早于现在的 Linux 公司之王 —— Red Hat。同时 SUSE 也是 [openSUSE](https://www.opensuse.org/) 社区发行版的发起者和赞助商。

2015 年，openSUSE 的开发团队决定向 SUSE Linux 企业版 (SLE) 靠拢，以便让用户可以获得企业服务器特性的发行版——类似于 CentOS 和 Ubuntu 那样。因此，openSUSE 变成了 [openSUSE Leap](https://en.opensuse.org/Portal:Leap)，一个直接基于 SLE SP1 的发行版。

两个发行版共用相同的基础代码，相互受益 —— SUSE 会选用 openSUSE 中好的代码，反之亦然。如此，openSUSE 也放弃了原本常规的发布周期，新版本与 SLE 同步发行。这意味着每个版本将会有更长的生命周期。

这样做的结果是，openSUSE 就成了一个非常重要的发行版，因为潜在的 SLE 用户现在可以使用 openSUSE Leap 了。不过，这还不是全部，openSUSE 同样也有发行版 [Tumbleweed](http://www.cio.com/article/3008856/open-source-tools/is-opensuse-tumbleweed-good-enough-for-a-seasoned-arch-user.html) —— 一个纯净的滚动式版本。所以，用户们可以选择使用很稳定的 openSUSE Leap 或者经常更新的 openSUSE Tumbleweed。

在我的记忆中，还没有其他的发行版做了这样一个令人印象深刻的强势归来。

## 最高可定制性的发行版：Arch Linux

Arch Linux 是目前最好的滚动式更新的发行版。好吧，我可能有些偏见，因为我是一名 Arch Linux 用户 ( LCTT 译注：译者也是 Arch Linux 用户，它的定制性真的很好)。然而，我认为它好的真正原因是 Arch 在很多其他领域也都表现的非常优越，并且这才是我为什么用它作为主系统的原因。

- 对于那些想要学习 Linux 方方面面的用户来说，[Arch Linux](https://www.archlinux.org/) 无疑是一个绝佳的选择。因为你需要手动安装所有自己需要的东西，这样你会慢慢学到 Linux 系统的所有细节。

- Arch 是一个可高度定制发行版。任何桌面环境 (DE) 都没有了 “Arch” 的原味。你能够得到的只是一个基础系统，然后你可以在上边构建你所想要的发行版。无论好坏，也不像 openSUSE 或者 Ubuntu 那样，Arch 没有额外的补丁或者集成环境。你得到的基本就是上游开发者所创建的原始软件。

- Arch Linux 同时也是最好的滚动式更新的发行版之一。它需要经常保持着更新。用户所运行的基本上是最新的软件，当然，也可以通过非稳定仓库运行预发行版的软件。

- Arch 闻名于拥有为数众多的优秀文档。Arch Wiki 是我用以了解所有 Linux 相关事情的完整资源。

- Arch 中，我最喜欢的是，它提供了“任何”其他发行版中可用的的包和软件，同时还要感谢 AUR (Arch User Repository，Arch 用户仓库)。

## 最美观的发行版：elementary OS

不同的发行版会有不同的关注点——多数情况下表现为技术的不同。在大多数的 Linux 发行版中，外观和用户感觉并非他们优先考虑的事情 —— 这通常是桌面环境需要考虑的事情。

[elementary OS](https://elementary.io/) 正在尝试改变这一事实。在这个发行版中，设计是占据重要位置，并且原因明显——这个发行版是由那些以在 Linux 世界创建漂亮图标而闻名的设计人员所开发的。

elementary OS 相当注重整体外观和用户感觉。开发者创建了他们自己的组件，包括桌面环境。此外，他们只会选择那些符合设计规范的应用来加入到软件仓库。你可以发现 elementary OS 有很浓重的 Mac OS X 气息。

## 最好的新晋发行版：Solus

![](http://www.linux.com/images/stories/66866/distro-solus.JPG)

[Solus](https://solus-project.com/) 最近获得非常大的关注程度。它是一个看起来中规中矩、从零开始构建的操作系统，它并非 Debian 或者 Ubuntu 的衍生版本。它使用的 Budgie 桌面环境同样是从零开始构建的，但它的目标是兼容 Gnome。Solus 和 Google 的 Chrome OS 一样——一切从简。

我个人没怎么玩过 Solus，但它看起来很有前途。Solus 实际上并不是一个 “新” 系统。它曾以不同的形式和名称存在了很长时间，但直到 2015 年整个项目才以现在这个新名称重归大众视野。

## 最好的云操作系统：Chrome OS

[Chrome OS](https://www.chromium.org/chromium-os) 可能不会成为你的典型 Linux 发行版，毕竟它是基于浏览器的操作系统，主要用以在线使用。但由于它基于 Linux ，任何人都可以获取其源码进行编译，它同样是一个吸引人的系统。我每天都使用 Chrome OS，它是一个优秀、不用自己维护并且总是保持最新状态的系统，每个人都可以单纯地用它来进行 web 相关的用途。Chrome OS 和 Android 对于推动 Linux 在 PC 市场和移动市场的占有率有着不可或缺的功劳。

## 最好的笔记本计算机操作系统：Ubuntu MATE

大多数的笔记本计算机都没有高端的硬件，假如你运行了一个很耗费资源的桌面环境，那么你可能没有足够的系统资源或电量来维持你的使用 —— 因为基本上被操作系统自身消耗了。于是我找到了 [Ubuntu MATE](http://www.cio.com/article/2848475/ubuntu-mate-enterprise-customers.html) 这个优秀的系统。它是轻量级的环境，但提供了能让你拥有不错体验的所有软件。也幸好它的轻量级设计，大部分的系统资源都留来给你的软件使用，让你依旧可以完成一些繁重的任务。我认为它对于低端硬件来说是最好的发行版。

## 为老旧硬件支持而生的发行版：Lubuntu

假如你身边拥有一些过时的笔记本或 PC，给它安装 [Lubuntu](http://lubuntu.net/) 来获得重生吧。Lubuntu 使用的是 LXDE 桌面环境，但该项目与 Razor Qt 合并之后，变成了 LXQt。尽管最新的版本 15.04 依旧使用 LXDE，但之后的版本将会使用 LXQt。Lubuntu 对于老旧硬件来说是最合适不过的系统了。

## 为物联网 (IoT) 而生的发行版：Snappy Ubuntu Core

![](http://www.linux.com/images/stories/66866/distro-ubuntu-studio.JPG)

Snappy Ubuntu Core 是为物联网 (IoT) 及此类设备而生的 Linux 操作系统。该系统拥有巨大潜力，它可以将我们身边绝大多数的东西 —— 如路由器、咖啡机和无人机等——变成智能设备。让它更有趣的是，软件管理更新的方式以及为增加安全而提供的容器化支持。

## 为桌面系统而生的发行版：Linux Mint Cinnamon

[Linux Mint Cinnamon](http://www.linux.com/news/software/applications/838569-review-linux-mint-172-release/) 对于台式机和一些有强大硬件的笔记本来说是最好的操作系统。我一般把它叫做 Linux 世界里的 Mac OS X。老实说，由于 Cinnamon 的不稳定，我在很长一段时间内并不是 Linux Mint 的忠实粉丝。但是，在开发者使用Ubuntu LTS (Long Term Support，长期支持)作为基础版本之后，该发行版就变得难以想象的稳定。因为开发者不必花费精力来跟上 Ubuntu 的开发进度，他们现在可以将所有精力放到提升 Cinnamon 上。

## 为游戏而生的发行版：Steam OS

对于桌面版 Linux 来说，玩游戏同样是短板。很多用户为了能够玩游戏，安装了 Linux 和 Windows 双系统。而 Valve 则尝试改变这个局面。Valve 是一个游戏发行商，它提供一个可以在不同平台上运行游戏的客户端。并且，Valve 也同样创建了它自己的开源操作系统——[Steam OS](http://store.steampowered.com/steamos/)——为了创建一个基于 Linux 的游戏平台。截至 2015 年底，它的合作伙伴开始把搭载了 Steam OS 的机器推向市场。

## 为隐私而生的发行版：Tails

在充斥着大量监控和营销者的跟踪 (对目标内容进行的匿名跟踪通常是可接受的）的岁月，隐私保护就变成了一个重要问题。如果你想脱离政府或者市场机构的监控和跟踪，那么你需要一款始终考虑到隐私问题的操作系统。

在出于保护隐私的考虑上，没有任何一款系统可以超越 [Tails](https://tails.boum.org/)。它是一款基于 Debian 的发行版，并且在设计之初就考虑了隐私和匿名的支持。Tails 非常优秀，而且据报道说，NSA 认为这是对他们的监控的主要威胁之一。

## 为多媒体制作而生的发行版：Ubuntu Studio

基于 Linux 的操作系统有一个明显的弱点，那就是对多媒体制作的支持并不友好。所有专业级应用基本只能运行在  Windows 或者 Mac OS X 上。Linux 系统从来都不缺乏像样的音频/视频制作软件，但这样还是远远不够的。应该要有一款轻量级的桌面环境，使得那些宝贵的系统资源——如 CPU 和 RAM——尽量少占用，以便用于多媒体制作。目前，[Ubuntu Studio](https://ubuntustudio.org/tour/) 对多媒体制作的支持最好。它使用了 Xfce 桌面环境，并且有各种各样的音频、视频以及图像编辑应用。

## 最好的企业发行版：SLE/RHEL

企业级用户并不会通过浏览像这样的文章来了解他们的服务器该运行什么发行版。他们通常非常明确地知道该到哪里获取信息：即 [Red Hat Enterprise Linux](https://www.redhat.com/en/technologies/linux-platforms/enterprise-linux) 或 [SUSE Linux Enterprise](https://www.suse.com/)。这两个名字已经成了企业服务器的代名词了。同时，这些公司也都通过创新来推动将一切都容器化和变成软件定义的。

## 最好的服务器操作系统：Debian/CentOS

假如你在考虑自己运行一台服务器，但有不希望支付 RHEL 或者 SLE 授权的费用，那么 [Debian](https://www.debian.org/) 或者 [CentOS](https://www.centos.org/) 将是你最好的选择。这两个发行版是社区主导的服务器操作系统，具有不可动摇的地位。并且它们有着长期支持，你不必担忧需要经常去升级系统。

## 最好的移动操作系统：Plasma Mobile

尽管，基于 Linux 的 Android 系统称雄于移动操作系统市场，但是大多数的开源社区——也包括我在内——也仍然强烈希望能有一个发行版可以为移动设备提供传统 Linux 的桌面应用。同时，这样的一个发行版由开源社区来维护会比由商业公司来维护好的多，只有这样，用户才能成为这个发行版的关注点，而不是由公司的商业目标来决定这个发行版的发展趋势。KDE 的 [Plasma Mobile](https://community.kde.org/Plasma/Mobile) 刚好实现了我们的愿望。

这个基于 Kubuntu 的发行版始于 2015 年。因为 KDE 社区以坚守标准和为公众开发应用而闻名，我非常期待 Plasma Mobile 能够一直坚持下去。

## 为 ARM 设备而生的发行版：Arch Linux ARM

随着 Android 系统的成功，我们的生活也围绕者越来越多的 ARM 设备——从树莓派 (Raspberry Pi) 到 Chromebook 以及 Nvidia Shield。为 Intel/AMD 架构的 CPU 而编写的传统发行版并不能够在这些 ARM 架构的设备上运行。而一些为 ARM 而编写的发行版却仅仅只能在特定的硬件上运行，比如只能运行在树莓派 (Raspberry Pi) 上的 Raspbian 系统。这就是为什么 [Arch Linux ARM](http://archlinuxarm.org/) (ALARM) 让人眼前一亮的原因。它是一个基于 Arch Linux 的纯粹由社区主导的发行版，可以在树梅派 (Raspberry Pi)、Chromebook、Android 设备以及 Nvidia Shield 等设备上运行。同时，更好的是，也由于 AUR，你可以安装很多在其他发行版可能无法获取的软件。

## 结论

在我写完本文的时候，连我自己都震惊了。能够在 Linux 的世界里为大家写点东西真的是很令人激动。不必去管 Linux 统治桌面电脑的时代是否会到来，我们都要一样享受自己使用 Linux 的每一刻快乐时光。

------------------------------------------------------------------------------

via: http://www.linux.com/news/software/applications/878620-the-best-linux-distros-of-2016

作者：[Swapnil Bhartiya][a]
译者：[GHLandy](https://github.com/GHLandy)
校对：[mudongliang](https://github.com/mudongliang)，[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:http://www.linux.com/community/forums/person/61003
