我成为软件工程师的原因和经历
==========================================

![](https://opensource.com/sites/default/files/styles/image-full-size/public/images/life/myopensourcestory.png?itok=6TXlAkFi)

1989 年乌干达首都，坎帕拉。

我明智的父母决定与其将我留在家里添麻烦，不如把我送到叔叔的办公室学学电脑。几天后，我和另外六、七个小孩，还有一台放置在课桌上的崭新电脑，一起置身于 21 层楼的一间狭小房屋中。很明显我们还不够格去碰那家伙。在长达三周无趣的 DOS 命令学习后，美好时光来到，终于轮到我来输 **copy doc.txt d:** 啦。

那将文件写入五英寸软盘的奇怪的声音，听起来却像音乐般美妙。那段时间，这块软盘简直成为了我的至宝。我把所有可以拷贝的东西都放在上面了。然而，1989 年的乌干达，人们的生活十分“正统”，相比较而言，捣鼓电脑、拷贝文件还有格式化磁盘就称不上“正统”。于是我不得不专注于自己接受的教育，远离计算机科学，走入建筑工程学。

之后几年里，我和同龄人一样，干过很多份工作也学到了许多技能。我教过幼儿园的小朋友，也教过大人如何使用软件，在服装店工作过，还在教堂中担任过引座员。在我获取堪萨斯大学的学位时，我正在技术管理员的手下做技术助理，听上去比较神气，其实也就是搞搞学生数据库而已。

当我 2007 年毕业时，计算机技术已经变得不可或缺。建筑工程学的方方面面都与计算机科学深深的交织在一起，所以我们不经意间学了些简单的编程知识。我对于这方面一直很着迷，但我不得不成为一位“正统”的工程师，由此我发展了一项秘密的私人爱好：写科幻小说。

在我的故事中，我以我笔下的女主角的形式存在。她们都是编程能力出众的科学家，总是卷入冒险，并用自己的技术发明战胜那些渣渣们，有时甚至要在现场发明新方法。我提到的这些“新技术”，有的是基于真实世界中的发明，也有些是从科幻小说中读到的。这就意味着我需要了解这些技术的原理，而且我的研究使我关注了许多有趣的 reddit 版块和电子杂志。

### 开源：巨大的宝库

那几周在 DOS 命令上花费的经历对我影响巨大，我在一些非专业的项目上耗费心血，并占据了宝贵的学习时间。Geocities 刚向所有 Yahoo! 用户开放时，我就创建了一个网站，用于发布一些用小型数码相机拍摄的个人图片。我建立多个免费网站，帮助家人和朋友解决一些他们所遇到的电脑问题，还为教堂搭建了一个图书馆数据库。

这意味着，我需要一直研究并尝试获取更多的信息，使它们变得更棒。互联网上帝保佑我，让开源进入我的视野。突然之间，30 天试用期和 license 限制对我而言就变成了过去式。我可以完全不受这些限制，继续使用 GIMP、Inkscape 和 OpenOffice。

### 是正经做些事情的时候了

我很幸运，有商业伙伴喜欢我的经历。她也是个想象力丰富的人，期待更高效、更便捷的互联世界。我们根据我们以往成功道路中经历的弱点制定了解决方案，但执行却成了一个问题。我们都缺乏给产品带来活力的能力，每当我们试图将想法带到投资人面前时，这表现的尤为突出。

我们需要学习编程。于是 2015 年夏末，我们来到 Holberton 学校。那是一所座落于旧金山，由社区推进，基于项目教学的学校。

一天早晨我的商业伙伴来找我，以她独有的方式（每当她有疯狂想法想要拉我入伙时），进行一场对话。

**Zee**: Gloria，我想和你说点事，在你说“不”前能先听我说完吗？

**Me**: 不行。

**Zee**: 为做全栈工程师，咱们申请上一所学校吧。

**Me**: 什么？

**Zee**: 就是这，看！就是这所学校，我们要申请这所学校来学习编程。

**Me**: 我不明白。我们不是正在网上学 Python 和…

**Zee**: 这不一样。相信我。

**Me**: 那…

**Zee**: 这就是不信任我了。

**Me**: 好吧 … 给我看看。

### 抛开偏见

我读到的和我们在网上看的的似乎很相似。这简直太棒了，以至于让人觉得不太真实，但我们还是决定尝试一下，全力以赴，看看结果如何。

要成为学生，我们需要经历四步选择，不过选择的依据仅仅是天赋和动机，而不是学历和编程经历。筛选便是课程的开始，通过它我们开始学习与合作。

根据我和我伙伴的经验， Holberton 学校的申请流程比其他的申请流程有趣太多了，就像场游戏。如果你完成了一项挑战，就能通往下一关，在那里有别的有趣的挑战正等着你。我们创建了 Twitter 账号，在 Medium 上写博客，为创建网站而学习 HTML 和 CSS， 打造了一个充满活力的在线社区，虽然在此之前我们并不知晓有谁会来。

在线社区最吸引人的就是大家有多种多样的使用电脑的经验，而背景和性别不是社区创始人（我们私下里称他们为“The Trinity”）做出选择的因素。大家只是喜欢聚在一块儿交流。我们都行进在通过学习编程来提升自己计算机技术的旅途上。

相较于其他的的申请流程，我们不需要泄露很多的身份信息。就像我的伙伴，她的名字里看不出她的性别和种族。直到最后一个步骤，在视频聊天的时候， The Trinity 才知道她是一位有色人种女性。迄今为止，促使她达到这个级别的只是她的热情和才华。肤色和性别并没有妨碍或者帮助到她。还有比这更酷的吗？

获得录取通知书的晚上，我们知道生活将向我们的梦想转变。2016 年 1 月 22 日，我们来到巴特瑞大街 98 号，去见我们的同学们 [Hippokampoiers][2]，这是我们的初次见面。很明显，在见面之前，“The Trinity”已经做了很多工作，聚集了一批形形色色的人，他们充满激情与热情，致力于成长为全栈工程师。

这所学校有种与众不同的体验。每天都是向某一方面编程的一次竭力的冲锋。交给我们的工程，并不会有很多指导，我们需要使用一切可以使用的资源找出解决方案。[Holberton 学校][1] 认为信息来源相较于以前已经大大丰富了。MOOC（大型开放式课程）、教程、可用的开源软件和项目，以及线上社区等等，为我们完成项目提供了足够的知识。加之宝贵的导师团队来指导我们制定解决方案，这所学校变得并不仅仅是一所学校；我们已经成为了求学者的团体。任何对软件工程感兴趣并对这种学习方法感兴趣的人，我都强烈推荐这所学校。在这里的经历会让人有些悲喜交加，但是绝对值得。

### 开源问题

我最早使用的开源系统是 [Fedora][3]，一个 [Red Hat][4] 赞助的项目。与 一名IRC 成员交流时，她推荐了这款免费的操作系统。 虽然在此之前，我还未独自安装过操作系统，但是这激起了我对开源的兴趣和日常使用计算机时对开源软件的依赖性。我们提倡为开源贡献代码，创造并使用开源的项目。我们的项目就在 Github 上，任何人都可以使用或是向它贡献出自己的力量。我们也会使用或以自己的方式为一些既存的开源项目做出贡献。在学校里，我们使用的大部分工具是开源的，例如 Fedora、[Vagrant][5]、[VirtualBox][6]、[GCC][7] 和 [Discourse][8]，仅举几例。

在向软件工程师行进的路上，我始终憧憬着有朝一日能为开源社区做出一份贡献，能与他人分享我所掌握的知识。

### 多样性问题

站在教室里，和 29 位求学者交流心得，真是令人陶醉。学员中 40% 是女性， 44% 是有色人种。当你是一位有色人种且为女性，并身处于这个以缺乏多样性而著名的领域时，这些数字就变得非常重要了。这是高科技圣地麦加上的绿洲，我到达了。

想要成为一个全栈工程师是十分困难的，你甚至很难了解这意味着什么。这是一条充满挑战但又有丰富回报的旅途。科技推动着未来飞速发展，而你也是美好未来很重要的一部分。虽然媒体在持续的关注解决科技公司的多样化的问题，但是如果能认清自己，清楚自己的背景，知道自己为什么想成为一名全栈工程师，你便能在某一方面迅速成长。

不过可能最重要的是，告诉大家，女性在计算机的发展史上扮演过多么重要的角色，以帮助更多的女性回归到科技界，而且在给予就业机会时，不会因性别等因素而感到犹豫。女性的才能将会共同影响科技的未来，以及整个世界的未来。


------------------------------------------------------------------------------

via: https://opensource.com/life/16/4/my-open-source-story-gloria-bwandungi

作者：[Gloria Bwandungi][a]
译者：[martin2011qi](https://github.com/martin2011qi)
校对：[jasminepeng](https://github.com/jasminepeng)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/nappybrain
[1]: https://www.holbertonschool.com/
[2]: https://twitter.com/hippokampoiers
[3]: https://en.wikipedia.org/wiki/Fedora_(operating_system)
[4]: https://www.redhat.com/
[5]: https://www.vagrantup.com/
[6]: https://www.virtualbox.org/
[7]: https://gcc.gnu.org/
[8]: https://www.discourse.org/
