Linux 的实用性 VS 行动主义
==================================

*我们使用 Linux 是因为它比其他操作系统更实用，还是其他更高级的理由呢？*

运行 Linux 的最吸引人的事情之一就是它所提供的自由。 Linux 社区之间的分野在于我们如何看待这种自由。 

对一些人来说，使用 Linux 可以享受到不受供应商限制或避免高昂的软件成本的自由。大多数人会称这个是一个实用性的考虑。而其它用户会告诉你，他们享受的是自由软件的自由。那就意味着拥护支持<ruby> [自由软件运动][1]<rt> Free Software Movement</rt> </ruby>的 Linux 发行版，完全避免专有软件和所有相关的东西。

在这篇文章中，我将带你比较这两种自由的区别，以及它们如何影响 Linux 的使用。

### 专有的问题

大多数 Linux 用户有一个共同点，就是他们尽量避免使用专有软件。对像我这样的实用主义的爱好者来说，这意味着我能够控制我的软件支出，以及避免过度依赖特定供应商。当然，我不是一个程序员……所以我对安装软件的调整是十分微小的。但也有一些个别情况，对应用程序的小调整就意味着它要么能工作，要么不能。

还有一些 Linux 爱好者，倾向于避开专有软件，因为他们觉得使用它们是不道德的。通常这里主要的问题是使用专有软件会剥夺或者干脆阻碍你的个人自由。像这些用户更喜欢使用 Linux 发行版和软件来支持 [自由软件理念][2] 。虽然它与开源的概念相似并经常直接与之混淆，[但它们之间还是有些差异的][3] 。

因此，问题就在这里：像我这样的用户往往将便利性置于纯粹的软件自由的理念之上。不要误会我的意思，像我这样的人喜欢使用符合自由软件理念的软件，但我们也更有可能做出让步（使用专有软件），以完成特定的任务。

这两种类型的 Linux 爱好者都喜欢使用非专有软件的解决方案。但是，自由软件倡导者根本不会去使用专有软件，而实用主义用户会选择具有最佳性能的工具。这意味着，在有些情况下，这些用户会在他们的非专有操作系统上运行专有应用或代码。

最终，这两种类型的用户都喜欢使用 Linux 所提供的非专有解决方案。但是，我们这样做的原因往往会有所不同。有人认为那些不支持自由软件的人是无知的。我不同意这种看法，我认为它是实用方便性的问题。那些喜欢实用方便性的用户根本不关心他们软件的政治问题。

### 实用方便性

当你问起绝大多数的人为什么使用他们现在的操作系统，回答通常都集中于实用方便性。方便性可能体现在“它是我一直使用的系统”，乃至于“它运行了我需要的软件”。 其他人可能进一步解释说，软件对他们使用操作系统的偏好影响不大，而是对操作系统的熟悉程度的问题，最后，还有一些特殊的“商业考虑”或硬件兼容性等问题也导致我们使用这个操作系统而不是另一个。

这可能会让你们中许多人很惊讶，不过如今我运行桌面 Linux 最大的一个原因是由于我熟悉它。即使我能为别人提供 Windows 和 OS X 的支持，实际上我使用这些操作系统时感觉相当沮丧，因为它们根本就不是我习惯的用法。也因此我对那些 Linux 新手表示同情，因为我太懂得踏入陌生的领域是怎样的让人恼火了。我的观点是这样的 —— 熟悉具有价值，而且熟悉加强了实用方便性。

现在，如果我们把它和一个自由软件倡导者的需求来比较，你会发现这种人都愿意学习新的甚至更具挑战性的东西，以避免使用非自由软件。对这种用户，我最赞赏的地方，就是他们坚定的采取少数人选择的道路来坚持他们的原则，在我看来，这是十分值得赞赏的。

### 自由的价值

我不羡慕那些自由软件倡导者的一个地方，就是根据<ruby> [自由软件基金会][4] <rt>Free Software Foundation</rt></ruby>规定的标准，为实现其自由，他们要始终使用 Linux 发行版和硬件而付出的额外工作。这意味着 Linux 内核需要摆脱专有的驱动支持，而且硬件不需要任何专有代码。当然不是不可能的，但确实很难。

一个自由软件倡导者可以达到的最好的情况是硬件是“自由兼容”的。有些供应商，可以满足这一需求，但大多提供的硬件依赖于 Linux 兼容的专有固件。实用主义用户对自由软件倡导者来说是个搅局者。

那么这一切意味着的是，倡导者必须比实用主义的 Linux 爱好者，更加警惕。这本身并不一定是坏事，但如果是打算跳入自由软件的阵营那就要考虑下了。比较而言，实用主义的用户可以不假思索地使用与 Linux 兼容的任何软件或硬件。我不知道你是怎么想的，但在我眼中这样更轻松一点。

### 定义自由软件 

这一部分可能会让一部分人不高兴，因为我不相信自由软件只有一种。从我的立场，我认为真正的自由是能够在一个特定情况下在所有可用的数据里，用最适合这个人生活方式的方法来解决。

对我来说，我更喜欢使用能满足我所有需求的 Linux 桌面，这包括使用非专有软件和专有软件。尽管有人认为专有软件限制了我的个人自由，但我必须反驳这一点，因为我有优先使用它的自由，即选择的自由。

或许，这也就是为什么我更认同<ruby>开源软件<rt> Open Source Software</rt></ruby>的理想，而不是坚持<ruby>自由软件运动<rt>Free Software movement</rt></ruby>的理念。我更愿意和这样的人群在一起，他们不会花时间告诉我，我使用对我最适合的方式却是错误的。根据我的经验，这些开源的人群仅仅是感兴趣去分享自由软件的优点，不带有自由软件的理想主义的激情。

我觉得自由软件的概念很棒。而且对那些需要活跃在软件政治，并向大众指出使用专有软件的缺陷的人来说，我认为 Linux ( [GNU/Linux][5] ) 行动是一个不错的选择。而像我这样的实用主义用户可能从自由软件的支持者转向，如本文中所说。

当我介绍 Linux 的桌面时，我富有激情地分享它的实际优点。如果我成功地让他们享受这一经历，我鼓励用户自己去发现自由软件的观点。但我发现大多数人使用 Linux 并不是因为他们想拥抱自由软件，而仅仅是他们想要最好的用户体验。也许只有我是这样的观点，很难说。

你怎么认为呢？你是一个自由软件倡导者吗？也许你倾向于在桌面 Linux 发行版中使用专有软件/代码？那么评论和分享您的 Linux 桌面体验吧！



--------------------------------------------------------------------------------

via: http://www.datamation.com/open-source/linux-practicality-vs-activism.html

作者：[Matt Hartley][a]
译者：[joVoV](https://github.com/joVoV)
校对：[jasminepeng](https://github.com/jasminepeng)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: http://www.datamation.com/author/Matt-Hartley-3080.html
[1]: https://en.wikipedia.org/wiki/Free_software_movement
[2]: https://www.gnu.org/philosophy/free-sw.en.html
[3]: https://www.gnu.org/philosophy/free-software-for-freedom.en.html
[4]: https://en.wikipedia.org/wiki/Free_Software_Foundation
[5]: https://en.wikipedia.org/wiki/GNU/Linux_naming_controversy
