如何在使用网吧或公用计算机时保持数据安全
=============================================

![](https://cdn.fedoramagazine.org/wp-content/uploads/2016/09/securitytips-945x400.png) 

对我们许多人来说，安全最重要的是使我们的个人数据安全。理论上，最好的安全能够承受任何滥用。然而，在现实世界中，你不能覆盖_所有_可能的滥用情况。因此，最好的策略是使用多种技术来提高安全性。大多数正常人不需要复杂的方案和[加密][2]来保持安全，但是可以让入侵者访问你的数据变得很困难。

这可能听起来很蠢，但在图书馆，教室或实验室中的计算机 - 或者你的朋友的电话 - 它们不是你的。即使是云或云服务通常也只是别人的计算机。一般来说，将你不拥有的任何设备视为属于坏人所有，换句话说，他们想要你的数据用于邪恶用途。

以下是一些简单的方法，可以增加你的数据安全性来应对不法之徒或入侵者。

### 关闭打开的会话

当你用完设备后，登出如 Facebook 或其他站点服务。这可以防止作恶者重新打开窗口并访问你的账户。

### 清理浏览器和其他缓存

清理你浏览器中所有的历史、密码和 cookie。不要假设这些是登出后默认的动作。这取决于平台，同时检查缓存。如果你使用的是 Linux 系统，删除 `~/.cache` 缓存文件夹。

### 清空垃圾箱

删除桌面上遗留的任何东西，如果可以，同时清空垃圾箱。

### 使用服务安全选项

为你的服务和帐户启用登录通知或登录批准。某些服务有一个选项，当有人从新设备或位置登录你的帐户时通知你。当你登录时，你也会收到通知。但是，知道某些人是否尝试从其他计算机或位置意外地使用你的登录信息还是很有帮助的。

一些服务可能允许你通过电子邮件通知来批准任何登录活动。只有通过你收到的电子邮件中的链接进行批准，才能授予访问权限。检查你的服务，看看他们是否提供这些安全选项。

### 限制敏感信息

在不属于你的计算机上保持数据安全的最简单的方法是不要处理它。尽量避免或限制需要敏感信息的工作。例如，你可能不想在工作场所访问银行或信用卡帐户或者安全系统。

你可能需要考虑使用基于 Live USB 的操作系统来实现这些目的。Live USB 会限制甚至完全避免在运行它的主机系统上的任何数据存储。例如，你可以[下载 Live Fedora Workstation 操作系统][3]在 USB 上使用。

--------------------------------------------------------------------------------

via: https://fedoramagazine.org/5-security-tips-shared-public-computers/

作者：[Sylvia Sánchez][a]
译者：[geekpi](https://github.com/geekpi)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:http://lailah.id.fedoraproject.org/
[1]:https://fedoramagazine.org/5-security-tips-shared-public-computers/
[2]:https://en.wikipedia.org/wiki/Cryptography
[3]:https://getfedora.org/workstation/download/
