如何为你的科技书籍找到出版商
============================================================

> 想去写一本科技书籍是一个好的想法，但你还需要去了解一下出版业的运作过程。

![How to find a publisher for your tech book](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/EDUCATION_colorbooks.png?itok=vNhsYYyC "How to find a publisher for your tech book")
 
你有一个写本科技书籍的想法，那么祝贺你！就像在阿巴拉契亚山脉徒步旅行，或者是去学做一种蛋奶酥，写书是人们经常讨论的话题之一，但是却都只停留在思考的初级阶段。那是可以理解的，因为失败的几率是很高的。要想实现它，你需要在把自己的想法阐述给出版商，去探讨是否已经做好充分的准备去写成一本书。要去实现这一步是相当困难的，但缺乏关于如何做这件事的信息会使事情变得复杂。

如果你想和一家传统的出版商合作，那么你需要在他们面前推销你的书稿以期望能够得到出版的机会。因为我是 [Pragmatci Bookshelf][4] 的总编，所以经常看到很多的选题，也去帮助作者制作出好的作品。这些选题中有些是好的，有些则不然，但我经常会看到许多不符合我们出版社风格的文稿。我会帮助你找到最适合的出版商，来让你的想法得到认可。

### 确定你的目标

你的第一步是要找出最适合你的想法的出版商。首先，想想你经常买书的以及你喜欢的出版商，你的书会被像你自己一样的人喜欢的几率是很高的，所以从你自己最喜欢的出版商开始，列出一个简短的列表将会大大缩小你的搜索范围。如果你自己所买的书籍并不多。那么可以去书店逛逛，或者在亚马逊网站上看看。 列一个你自己喜欢的几家出版商的清单出来。

下一步，筛选出你期望的出版商，尽管大多数技术类出版商看起来没什么差别，但他们通常各有不同的读者群体。有些出版商会选择广受欢迎的话题，如 C++ 或者 Java，那么你以 Elixir 为主题的书稿就可能不适合那个出版商；如果你的书稿是关于教授小孩学习编程的，那么你可能就不想让学术出版商来出版。

一旦确定了一些目标，你就可以在他们的商品目录、网站或者亚马逊上对其进行进一步的调查，去寻找有哪些书籍和你的思想是相符的。如果他们能有一本和你自己的书稿主题一样或很相近的书，那么你将很难说服他们和你签约。但那并不意味着已经可以把这样的出版商从你的列表中划掉，你可以将自己的书稿主题进行适当的修改以将它和已经发行的书区别开来：比如定位于不同的读者群体，或者不同层次的技能水平。也许已发行的那本书已经过时了，你就可以专注于该技术领域里的新方法，确保你的书稿能够弥补现有书的不足，更加完善，而不是单纯的竞争。

如果你锁定的出版商没有出版过类似的书籍，也许这将会是个好迹象，但也许是个坏迹象。有时候一些供应商不会选择去出版一些专业技术方面的书籍，或者是因为他们认为自己的读者不会感兴趣，也可能是因为他们曾经在这块领域遇到过麻烦。新的语言或者类库一直在不停地涌现出来，出版商们不得不去琢磨什么样的书籍内容将会吸引他们的读者群体。他们的评估标准可能和你的是不一样的。他们已经有了最终决定，也可能是还在等待合适的选题。判断究竟是哪一种的唯一方法就是提出文稿并找出答案。

### 建立起你自己的网络

确定一家出版商是第一步；现在你需要与其建立联系。不幸的是，出版需要的仍旧是你认识什么人，而不是你知道什么。你需要认识的那个人是一个去发现新市场、新作者和新选题的策划编辑。如果你认识某个和出版商有关系的人，请他给你介绍一位策划编辑。这些策划编辑往往负责一个专题板块，尤其是在较大的出版商，但你并非一定要找到符合你书稿的专题板块的编辑。各类板块的编辑通常都会很乐意将你介绍给合适的编辑。

有时候你也许能够在一个技术会议上找到一个策划编辑，特别是在出版商同时也是赞助商，而且还有一个展台时。即使当时并没有一个策划编辑在场，展台的其他工作人员也能够帮你和策划编辑建立联系。 如果会议不符合你的主题思想，那就需要你利用自己的社交网络来获得别人的推荐。比如使用 LinkedIn，或者其他非正式的联系方式，去和一个编辑建立联系。

对于小型的出版商，你可能会在公司网站上发现策划编辑的名单，如果你够幸运的话，还可以找到他们的联系信息。如果找不到联系方式的话，可以在推特上搜寻出版商的名字，试试能否找到他们的编辑的信息，在社交媒体上去寻找一位陌生的人，然后把自己的书稿推荐给他，这也许会让你有些紧张，但是你真的不必去担心这些，建立联系也是策划编辑的工作之一。最坏的结果只不过是他们忽视你而已。

一旦建立起联系，策划编辑将会协助你进行下一步。他们可能会立刻对你的书稿给予反馈，或者在他们可能想让你根据他们的指导来修改你的文章，使其变得更加充实。当你经过努力找到了一名策划编辑后，多听从他们的建议，因为他们比你更熟悉出版商的运作流程。

### 如果其他的方法都失败了

如果你无法联系到一名策划编辑，出版商通常会有一个<ruby>书稿盲投<rt>proposal alias</rt></ruby>的方式来接受投稿，通常是 `proposals@[publisher].com` 的格式。 查找他们网站的介绍，找到如何去发送书稿；有的出版商是有特殊的要求的。你需要遵循他们的要求，如果不这样做的话，你的书稿将会被丢弃，它不会被任何人阅读。如果你有疑问，或者不确定出版商的意图，那么你需要再尝试着去找一名编辑进一步地沟通，因为书稿并不能回答那些问题。整理他们对你的要求（一篇独立的主题文章），发给他们，然后你要做的就是期望能够得到满意的答复。
 
### 等待

无论你是如何与一个出版商取得联系的，你也得等待着。如果你已经投递了书稿，也许要过一段时间才有人去处理你的稿件，特别是在一些大公司。即使你已经找了一位策划编辑去处理你的投稿，你可能也只是他同时在处理的潜在目标之一，所以你可能不会很快得到答复。几乎所有的出版商都会在最终确认之前召开一次组委会来决定接受哪个稿件，所以即使你的书稿已经足够的优秀，并且可以出版了，你也仍然需要等待组委会开会讨论。你可能需要等待几周，甚至是一个月的时间。

几周过后，你可以和编辑再联系一下，看看他们是否需要更多的信息。在邮件中你要表现出足够的礼貌；如果他们仍然没有回复，也许是因为他们有太多的投稿需要处理，即使你不停地催促也不会让你的稿件被提前处理。一些出版商有可能永远不会回复你，也不会去发一份退稿的通知给你，但那种情况并不常见。在这种情况下你除了耐心地等待也没有别的办法，如果几个月后也没有人回复你邮件，你完全可以去接触另一个出版商或者干脆考虑自出版。

### 祝好运

如果你觉得这个过程看起来让你感觉有些混乱和不科学，这是很正常的。能够得到出版要在合适的时间地点，与合适的人沟通，而且还要期待他们此时有好的心情。你无法去控制这些不确定的因素，但是更好地了解行业的工作方式，以及出版商的需求，可以帮助你完善它们。

寻找一个出版商只是万里长征的第一步。你需要提炼你的思想，并创建选题，以及其他方面的考虑。在今年的 SeaGLS 上，我对整个过程做了[介绍][5]。查看[视频][6]可以获取更详细的信息。

### 关于作者

[![](https://opensource.com/sites/default/files/styles/profile_pictures/public/pictures/portrait.jpg?itok=b77dlNC4)][7] 

麦克唐纳先生现在是 Pragmatic Bookshelf 的总编。过去 20 年在技术出版领域生涯中，他是一名编辑、一名作者，偶尔还去客串演讲者或者讲师。他现在把大量的时间都用来和新作者探讨如何更好地表达出他们的想法。你可以关注他的推特@bmac_editor。

如果这篇文章点燃你写书的热情，但又不知道如何找到合适的途径联系出版商，不如逛逛像异步社区这样的网站，按照上文的步骤尝试一下，也许能够发现新的希望。


--------------------------------------------------------------------------------

via: https://opensource.com/article/17/12/how-find-publisher-your-book

作者：[Brian MacDonald][a]
译者：[FelixYFZ](https://github.com/FelixYFZ)
校对：[wxy](https://github.com/wxy), 陈聪聪

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/bmacdonald
[1]:https://opensource.com/article/17/12/how-find-publisher-your-book?rate=o42yhdS44MUaykAIRLB3O24FvfWxAxBKa5WAWSnSY0s
[2]:https://opensource.com/users/bmacdonald
[3]:https://opensource.com/user/190176/feed
[4]:https://pragprog.com/
[5]:https://archive.org/details/SeaGL2017WritingTheNextGreatTechBook
[6]:https://archive.org/details/SeaGL2017WritingTheNextGreatTechBook
[7]:https://opensource.com/users/bmacdonald
[8]:https://opensource.com/users/bmacdonald
[9]:https://opensource.com/users/bmacdonald
[10]:https://opensource.com/article/17/12/how-find-publisher-your-book#comments
