Ubuntu 18.04 新功能、发行日期和更多信息
============================================================

我们一直都在翘首以盼 —— 新的 Ubuntu 的 LTS 版本 —— 18.04。了解有关新功能，发行日期以及更多信息。 

> 提示：我们将经常在这篇文章中更新新的信息，所以请为此页面添加书签，然后再回来查看。

### 关于 Ubuntu 18.04 的基本信息

让我们以一些基本信息开始。

*   这是一个新的 LTS（长期支持）版本。所以对桌面版和服务器版有 5 年的支持。
*   被命名为 “Bionic Beaver”（仿生河狸）。Canonical 的创始人 Mark Shuttleworth 解释了这个名字背后的含义。吉祥物是一个河狸，因为它充满活力，勤劳，并且是一个很棒工程师 —— 这完美地描述了一个典型的 Ubuntu 用户，以及新的 Ubuntu 发行版本身。使用 “Bionic”（仿生）这个形容词是由于在 Ubuntu Core 上运行的机器人数量的增加。

### Ubuntu 18.04 发行日期和日程

如果你是 Ubuntu 的新手，你可能并不熟悉实际的版本号意味着什么。它指的是官方发行的年份和月份。所以 Ubuntu 18.04 正式发布将在 2018 年的第 4 个月。Ubuntu 17.10 于 2017 年发布，也就是今年的第 10 个月。

对进一步的细节，这里是有关 Ubuntu 18.04 LTS 的重要日期和需要知道的：

*   2017 年 11 月 30 日 - 功能定义冻结。
*   2018 年 1 月 4 日 - 第一个 Alpha 版本。所以，如果您选择接收新的 Alpha 版本，那么您将在这天获得 Alpha 1 更新。
*   2018 年 2 月 1 日 - 第二个 Alpha 版本。
*   2018 年 3 月 1 日 - 功能冻结。将不会引入或发布新功能。所以开发团队只会在改进现有功能和修复错误上努力。当然也有例外。如果您不是开发人员或有经验的用户，但仍想尝试新的 Ubuntu ASAP，那么我个人建议从此版本开始。
*   2018 年 3 月 8 日 - 第一个 Bata 版本。如果您选择接收 Bata 版更新，则会在当天得到更新。
*   2018 年 3 月 22 日 - 用户界面冻结。这意味着不会对实际的用户界面做进一步的更改或更新，因此，如果您编写文档，[教程][1]，并使用屏幕截图，那时开始是可靠的。
*   2018 年 3 月 29 日 - 文档字符串冻结。将不会有任何编辑或新的东西（字符串）添加到文档中，所以翻译者可以开始翻译文档。
*   2018 年 4 月 5 日 - 最终 Beta 版本。这也是开始使用新版本的好日子。
*   2018 年 4 月 19 日 - 最终冻结。现在一切都已经完成了。版本的图像被创建和分发，并且可能不会有任何更改。
*   2018 年 4 月 26 日 - 官方最终版本的 Ubuntu 18.04。每个人都可以从这一天开始使用它，即使在生产服务器上。我们建议从 [Vultr][2] 获得 Ubuntu 18.04 服务器并测试新功能。[Vultr][3] 的服务器每月起价为 2.5 美元。（LCTT 译注：这是原文广告！）

### Ubuntu 18.04 的新功能

在 Ubuntu 18.04 LTS 上的所有新功能：

#### 现已支持彩色表情符号

在以前的版本中，Ubuntu 只支持单色（黑和白）表情符号，坦白地说，它看起来不是太好。Ubuntu 18.04 将使用[Noto Color Emoji font][7] 来支持彩色表情符号。随着 18.04，你可以在任何地方轻松查看和添加颜色表情符号。它们是原生支持的 —— 所以你可以使用它们，而不用使用第三方应用程序或安装/配置任何额外的东西。你可以随时通过删除该字体来禁用彩色表情符号。

#### GNOME 桌面环境

[![ubuntu 17.10 gnome](https://thishosting.rocks/wp-content/uploads/2017/12/ubuntu-17-10-gnome.jpg.webp)][8] 

Ubuntu 从 Ubuntu 17.10 开始使用 GNOME 桌面环境，而不是默认的 Unity 环境。Ubuntu 18.04 将继续使用 GNOME。这是 Ubuntu 的一个重要的变化。

#### Ubuntu 18.04 桌面将有一个新的默认主题

Ubuntu 18.04 正在用新的 GTK 主题以告别旧的默认主题 “Ambience”。如果你想帮助新的主题，看看一些截图甚至更多，去[这里][9]。

到目前为止，有人猜测 Suru 将成 为 Ubuntu 18.04 的[新默认图标主题][10]。这里有一个截图：

[![suru icon theme ubuntu 18.04](https://thishosting.rocks/wp-content/uploads/2017/12/suru-icon-theme-ubuntu-18-04.jpg.webp)][11] 

> 值得注意的是：Ubuntu 16.10，17.04 和 17.10 中的所有新功能都将滚动到 Ubuntu 18.04 中，这些更新，如右边的窗口按钮、更好的登录屏幕，改进的蓝牙支持等将推送到 Ubuntu 18.04。对此我们不会特别说明，因为它对 Ubuntu 18.04 本身并不新鲜。如果您想了解更多关于从 16.04 到 18.04 的所有变化，请谷歌搜索它们之间的每个版本。

### 下载 Ubuntu 18.04

首先，如果你已经使用 Ubuntu，你可以升级到 Ubuntu 18.04。

如果你需要下载 Ubuntu 18.04：

在最终发布之后，请进入[官方 Ubuntu 下载页面][12]。

对于每日构建（alpha，beta 和 non-final 版本），请转到[这里][13]。

### 常见问题解答

现在是一些经常被问到的问题（附带答案），这应该能给你关于这一切的更多信息。

#### 什么时候切换到 Ubuntu 18.04 是安全的？

当然是在正式的最终发布日期。但是，如果您等不及，请开始使用 2018 年 3 月 1 日的桌面版本，并在 2018 年 4 月 5 日开始测试服务器版本。但是为了确保安全，您需要等待最终发布，甚至更长时间，使得您正在使用的第三方服务和应用程序经过测试，并在新版本上进行良好运行。

#### 如何将我的服务器升级到 Ubuntu 18.04？

这个过程相当简单，但潜在风险很大。我们可能会在不久的将来发布一个教程，但你基本上需要使用 `do-release-upgrade`。同样，升级你的服务器也有潜在的风险，并且如果在生产服务器上，我会在升级之前再三考虑。特别是如果你在 16.04 上还剩有几年的支持。

#### 我怎样才能帮助 Ubuntu 18.04？

即使您不是一个经验丰富的开发人员和 Ubuntu 用户，您仍然可以通过以下方式提供帮助：

*   宣传它。让人们了解 Ubuntu 18.04。在社交媒体上的一个简单的分享也有点帮助。
*   使用和测试版本。开始使用该版本并进行测试。同样，您不必是一个开发人员。您仍然可以查找和报告错误，或发送反馈。
*   翻译。加入翻译团队，开始翻译文档或应用程序。
*   帮助别人。加入一些在线 Ubuntu 社区，并帮助其他人解决他们对 Ubuntu 18.04 的问题。有时候人们需要帮助，一些简单的事如“我在哪里可以下载 Ubuntu？”

#### Ubuntu 18.04 对其他发行版如 Lubuntu 意味着什么？

所有基于 Ubuntu 的发行版都将具有相似的新功能和类似的发行计划。你需要检查你的发行版的官方网站来获取更多信息。

#### Ubuntu 18.04 是一个 LTS 版本吗?

是的，Ubuntu 18.04 是一个 LTS（长期支持）版本，所以你将得到 5 年的支持。

#### 我能从 Windows/OS X 切换到 Ubuntu 18.04 吗？

当然可以！你很可能也会体验到性能的提升。从不同的操作系统切换到 Ubuntu 相当简单，有相当多的相关教程。你甚至可以设置一个双引导，来使用多个操作系统，所以 Windows 和 Ubuntu 18.04 你都可以使用。

#### 我可以尝试 Ubuntu 18.04 而不安装它吗？

当然。你可以使用像 [VirtualBox][14] 这样的东西来创建一个“虚拟桌面” —— 你可以在你的本地机器上安装它，并且使用 Ubuntu 18.04 而不需要真正地安装 Ubuntu。

或者你可以在 [Vultr][15] 上以每月 2.5 美元的价格尝试 Ubuntu 18.04 服务器。如果你使用一些[免费账户（free credits）][16]，那么它本质上是免费的。（LCTT 译注：广告！）

#### 为什么我找不到 Ubuntu 18.04 的 32 位版本？

因为没有 32 位版本。Ubuntu 的 17.10 版本便放弃了 32 位版本。如果你使用的是旧硬件，那么最好使用不同的[轻量级 Linux 发行版][17]而不是 Ubuntu 18.04。

#### 还有其他问题吗？

在下面留言！分享您的想法，我们会非常激动，并且一旦有新信息发布，我们就会更新这篇文章。敬请期待，耐心等待！

--------------------------------------------------------------------------------

via: https://thishosting.rocks/ubuntu-18-04-new-features-release-date/

作者：[thishosting.rocks][a]
译者：[kimii](https://github.com/kimii)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:thishosting.rocks
[1]:https://thishosting.rocks/category/knowledgebase/
[2]:https://thishosting.rocks/go/vultr/
[3]:https://thishosting.rocks/go/vultr/
[4]:https://thishosting.rocks/category/knowledgebase/
[5]:https://thishosting.rocks/tag/ubuntu/
[6]:https://thishosting.rocks/2017/12/05/
[7]:https://www.google.com/get/noto/help/emoji/
[8]:https://thishosting.rocks/wp-content/uploads/2017/12/ubuntu-17-10-gnome.jpg
[9]:https://community.ubuntu.com/t/call-for-participation-an-ubuntu-default-theme-lead-by-the-community/1545
[10]:http://www.omgubuntu.co.uk/2017/11/suru-default-icon-theme-ubuntu-18-04-lts
[11]:https://thishosting.rocks/wp-content/uploads/2017/12/suru-icon-theme-ubuntu-18-04.jpg
[12]:https://www.ubuntu.com/download
[13]:http://cdimage.ubuntu.com/daily-live/current/
[14]:https://www.virtualbox.org/
[15]:https://thishosting.rocks/go/vultr/
[16]:https://thishosting.rocks/vultr-coupons-for-2017-free-credits-and-more/
[17]:https://thishosting.rocks/best-lightweight-linux-distros/





