启动开源项目：免费指导！
============================================================

![](https://www.linuxfoundation.org/wp-content/uploads/2017/11/project-launch-1024x645.jpg)

启动项目、组建社区支持可能会比较复杂，但是这个全新的指南可以帮助你开启开源项目。

各种规模的组织、技术人员和 DecOps 工作者选择使用开源项目，甚至去开发自己的开源项目，开源程序变得越来越普遍。从 Google 到 Netflix 再到 Facebook ，这些公司都在将它们的开源创作发布到开源社区。经常见到起于内部的开源项目，然后受惠于外部开发人员的合作开发。

然而，开启一个开源项目、组建社区支持比你想的还要复杂。一些前期准备可以帮助事情开展变得顺利，这就是这个全新的“[启动开源项目指南][1]”所能为你做的。 

这个免费指南是为了帮助那些深谙开源的组织启动自己的开源项目而诞生。在本文的开始，介绍包括了决定开源什么项目，预计项目费用，考虑开源协议和一些其他方面。开源项目这种方式可能源自国外，但是从 Google 到 Facebook 这样一些主要的开源公司都已经开放提供了开源项目指导资源。事实上，Google 拥有的[丰富的在线资源][2]对开源项目实践和启动开源项目上做出了贡献。 

Capital One 开源社区经理 Jared Smith 指出，“无论公司在内雇佣了多少聪明人，总还是有聪明人在公司之外”， “我们发现开放我们的源代码给外面世界的专业且愿意分享的人士交流经验是非常值得的，我们能从中获取一些非常好的建议”。

在这个新指南中，开源专家 Ibrahim Haddad 提供了五条关于一个组织为什么要开源新项目的原因：

1.  促成开放式问题解决方案；为标准提供参照实现；分担战略功能的开发开销。
2.  商品化市场；减少非战略的软件成本费用。
3.  通过建立产品生态来驱动需求。
4.  协同合作；吸引客户；深化共同目标间的关系。
5.  提供用户自我支持的能力：无需等待即可调整代码

本文指出：“做出发布或创建一个新的开源项目的决定和自身境况相关。你的公司应该在使用或贡献既有的开源项目上拥有一定程度的熟练度。这是因为消费能够指导你，通过外部工程使开发者对自己的产品构建变得省力（参见我们的指南[使用开源代码][3]和[加入开源社区 ][4] 上）。但是当一旦你顺利的参与过开源，那这将是启动你自己的开源项目的最佳时机。”

该指南还指出, 规划可以使您和您的组织摆脱法律麻烦。如果您希望您的项目蓬勃发展, 则与许可、分发、支持选项甚至品牌相关的问题都需要提前考虑。

“我认为, 对于一家公司来说, 至关重要的是要考虑他们希望通过新的开源项目实现的目标，” Linux 基金会的项目管理主任 John Mertic 说。"他们必须考虑它对社区和开发者的价值，以及他们希望从中得到什么结果。然后, 他们必须了解所有的部分，以正确的方式去完成，包括法律、治理、基础设施和一个启动社区。当你把一个开源项目放在那里时，我总是最强调这些。”

这个“启动开源项目指南”可以帮助您了解从许可证问题到最佳开发实践的所有内容，并探讨如何无缝地将现有的开放组件编织到您的开源项目中。它是来自 Linux 基金会和 TODO 组的免费指南的新集合之一，对于任何运作开源程序的组织来说都非常有价值。现在可以使用该指南来帮助您运行开源计划办公室，以支持、分享和利用开源。有了这样一个办公室， 组织就可以有效地建立并执行其开放源码战略，并有明确的条款。

这些免费的教程是基于开源领导人的经验而来。[在这里可以查看所有指南][7]，然后关注我们的后续文章。

也别错过了本系列早些的文章：

- [ 如何创建开源计划 ][8]
- [ 开源计划管理工具 ][9]
- [ 衡量你的开源项目成功性 ][10]
- [ 吸引开源开发者的高效策略 ][11]
- [ 加入开源社区 ][12]
- [ 使用开源代码 ][13]

--------------------------------------------------------------------------------

via: https://www.linuxfoundation.org/blog/launching-open-source-project-free-guide/

作者：[Sam Dean][a]
译者：[CYLeft](https://github.com/CYLeft)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://www.linuxfoundation.org/author/sdean/
[1]:https://www.linuxfoundation.org/resources/open-source-guides/starting-open-source-project/
[2]:https://www.linux.com/blog/learn/chapter/open-source-management/2017/5/googles-new-home-all-things-open-source-runs-deep
[3]:https://www.linuxfoundation.org/using-open-source-code/
[4]:https://www.linuxfoundation.org/participating-open-source-communities/
[5]:https://www.linuxfoundation.org/resources/open-source-guides/starting-open-source-project/
[6]:https://github.com/todogroup/guides
[7]:https://github.com/todogroup/guides
[8]:https://github.com/todogroup/guides/blob/master/creating-an-open-source-program.md
[9]:https://www.linuxfoundation.org/blog/managing-open-source-programs-free-guide/
[10]:https://www.linuxfoundation.org/measuring-your-open-source-program-success/
[11]:https://www.linuxfoundation.org/blog/effective-strategies-recruiting-open-source-developers/
[12]:https://www.linuxfoundation.org/participating-open-source-communities/
[13]:https://www.linuxfoundation.org/using-open-source-code/
[14]:https://www.linuxfoundation.org/author/sdean/
[15]:https://www.linuxfoundation.org/category/audience/attorneys/
[16]:https://www.linuxfoundation.org/category/blog/
[17]:https://www.linuxfoundation.org/category/audience/c-level/
[18]:https://www.linuxfoundation.org/category/audience/developer-influencers/
[19]:https://www.linuxfoundation.org/category/audience/entrepreneurs/
[20]:https://www.linuxfoundation.org/category/content-placement/lf-brand/
[21]:https://www.linuxfoundation.org/category/audience/open-source-developers/
[22]:https://www.linuxfoundation.org/category/audience/open-source-professionals/
[23]:https://www.linuxfoundation.org/category/audience/open-source-users/
