开源软件二十年 —— 过去，现在，未来
=================================================================

> 谨以此文纪念 “<ruby>开源软件<rt>open source software</rt></ruby>” 这个名词的二十周年纪念日，开源软件是怎么占有软件的主导地位的 ？以后会如何发展?

![Open source software: 20 years and counting](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/2cents.png?itok=XlT7kFNY "Open source software: 20 years and counting")

二十年以前，在 1998 年 2 月，“<ruby>开源<rt>open source</rt></ruby>” 这个词汇第一次出现在“软件”这一名词之前。不久之后，<ruby>开源的定义<rt>Open Source Definition</rt></ruby>（OSD） 这一文档被创建，并成为了撒播 <ruby>开放源代码促进会<rt>Open Source Initiative</rt></ruby>（OSI）的种子。正如 OSD 的作者 [Bruce Perens 所说][9]：

> “开源”是这场宣传自由软件的既有概念到商业软件，并将许可证化为一系列规则的运动的正式名称。

二十年后，我们能看到这一运动是非常成功的，甚至超出了当时参与这一活动的任何人的想象。 如今，开源软件无处不在。它是互联网和网络的基础。它为我们所有使用的电脑和移动设备，以及它们所连接的网络提供动力。没有它，云计算和新兴的物联网将不可能发展，甚至不可能出现。它使新的业务方式可以被测试和验证，还可以让像谷歌和 Facebook 这样的大公司在已有的基础之上继续攀登。

如任何人类的造物一样，它也有黑暗的一面。它也让反乌托邦的监视和必然导致的专制控制的出现成为了可能。它为犯罪分子提供了欺骗受害者的新的途径，还让匿名且大规模的欺凌得以存在。它让有破环性的狂热分子可以暗中组织而不会感到有何不便。这些都是开源的能力之下的黑暗投影。所有的人类工具都是如此，既可以养育人类，亦可以有害于人类。我们需要帮助下一代，让他们能争取无可取代的创新。就如 [费曼所说][10]：

> 每个人都掌握着一把开启天堂之门的钥匙，但这把钥匙亦能打开地狱之门。

开源运动已经渐渐成熟。我们讨论和理解它的方式也渐渐的成熟。如果说第一个十年是拥护与非议对立的十年，那么第二个十年就是接纳和适应并存的十年。

1. 在第一个十年里面，关键问题就是商业模型 —— “我怎样才能自由的贡献代码，且从中受益？” —— 之后，还有更多的人提出了有关管理的难题—— “我怎么才能参与进来，且不受控制 ?”
2. 第一个十年的开源项目主要是替代现有的产品；而在第二个十年中，它们更多地是作为更大的解决方案的组成部分。
3. 第一个十年的项目往往由非正式的个人组织进行；而在第二个十年中，它们经常由创建于各个项目上的机构经营。
4. 第一个十年的开源开发者经常是投入于单一的项目，并经常在业余时间工作。 在第二个十年里，他们越来越多地受雇从事于一个专门的技术 —— 他们成了专业人员。
5. 尽管开源一直被认为是提升软件自由度的一种方式，但在第一个十年中，这个运动与那些更喜欢使用“<ruby>自由软件<rt>free software</rt></ruby>”的人产生了冲突。在第二个十年里，随着开源运动的加速发展，这个冲突基本上被忽略了。

第三个十年会带来什么？

1. _更复杂的商业模式_ —— 主要的商业模式涉及到将很多开源组件整合而产生的复杂性的解决方案，特别是部署和扩展方面。 开源治理的需求将反映这一点。
2. _开源拼图_ —— 开源项目将主要是一系列组件，彼此衔接构成组件堆栈。由此产生的解决方案将是开源组件的拼图。
3. _项目族_ —— 越来越多的项目将由诸如 Linux Foundation 和 OpenStack 等联盟/行业协会以及 Apache 和 Software Freedom Conservancy 等机构主办。
4. _专业通才_ —— 开源开发人员将越来越多地被雇来将诸多技术集成到复杂的解决方案里，这将有助于一系列的项目的开发。
5. _软件自由度降低_ —— 随着新问题的出现，软件自由（将四项自由应用于用户和开发人员之间的灵活性）将越来越多地应用于识别解决方案是否适用于协作社区和独立部署人员。

2018 年，我将在全球各地的主题演讲中阐述这些内容。欢迎观看 [OSI 20 周年纪念全球巡演][11]！

_本文最初发表于 [Meshed Insights Ltd.][2] ， 已获转载授权，本文，以及我在 OSI 的工作，由 [Patreon patrons][3] 支持_

### 关于作者

Simon Phipps - 计算机工业和开源软件专家 Simon Phipps 创办了[公共软件公司][4]，这是一个欧洲开源项目的托管公司，以志愿者身份成为 OSI 的总裁，还是 The Document Foundation 的一名总监。 他的作品是由 [Patreon patrons][5] 赞助 —— 如果你想看更多的话，来做赞助人吧！ 在超过 30 年的职业生涯中，他一直在参与世界领先的战略层面的开发 ... [关于 Simon Phipps][6]

--------------------------------------------------------------------------------

via: https://opensource.com/article/18/2/open-source-20-years-and-counting

作者：[Simon Phipps][a]
译者：[name1e5s](https://github.com/name1e5s)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/simonphipps
[1]:https://opensource.com/article/18/2/open-source-20-years-and-counting?rate=TZxa8jxR6VBcYukor0FDsTH38HxUrr7Mt8QRcn0sC2I
[2]:https://meshedinsights.com/2017/12/21/20-years-and-counting/
[3]:https://patreon.com/webmink
[4]:https://publicsoftware.eu/
[5]:https://patreon.com/webmink
[6]:https://opensource.com/users/simonphipps
[7]:https://opensource.com/users/simonphipps
[8]:https://opensource.com/user/12532/feed
[9]:https://perens.com/2017/09/26/on-usage-of-the-phrase-open-source/
[10]:https://www.brainpickings.org/2013/07/19/richard-feynman-science-morality-poem/
[11]:https://opensource.org/node/905
[12]:https://opensource.com/users/simonphipps
[13]:https://opensource.com/users/simonphipps
[14]:https://opensource.com/users/simonphipps