Linux 虚拟机与 Linux 现场镜像版
======

> Linux 虚拟机与 Linux 现场镜像版各有优势，也有不足。

首先我得承认，我非常喜欢频繁尝试新的 [Linux 发行版本][1]。然而，我用来测试它们的方法根据每次目标而有所不同。在这篇文章中，我们来看看两种运行 Linux 的模式：虚拟机或<ruby>现场镜像版<rt>live image</rt></ruby>。每一种方式都存在优势，但是也有一些不足。

### 首次测试一个全新的 Linux 发行版

当我首次测试一个全新 Linux 发行版时，我使用的方法很大程度上依赖于我当前所拥有的 PC 资源。如果我使用台式机，我会在一台虚拟机中运行该发行版来测试。使用这种方法的原因是，我可以下载并测试该发行版，不只是在一个现场环境中，而且也可以作为一个带有持久存储的安装的系统。

另一方面，如果我的 PC 不具备强劲的硬件，那么通过 Linux 的虚拟机安装来测试发行版是适得其反的。我会将那台 PC 压榨到它的极限，诚然，更好的是使用现场版的 Linux 映像，而不是从闪存驱动器中运行。

### 体验新的 Linux 发行版本的软件

如果你有兴趣查看发行版本的桌面环境或可用的软件，那使用它的现场镜像版就没错了。一个现场版环境可以提供给你所预期的全局视角、其所提供的软件和用户体验的整体感受。

公平的说，你也可以在虚拟机上达到同样的效果，但是它有一点不好，如果这么做会让更多数据填满你的磁盘空间。毕竟这只是对发行版的一个简单体验。记得我在第一节说过：我喜欢在虚拟机上运行 Linux 来做测试。用这个方式我就能看到如何去安装它、分区是怎么样的等等，而使用现场镜像版时你就看不到这些。

这种体验方式通常表明你只想对该发行版本有个大致了解，所以在这种情况下，这种只需要付出最小的精力和时间的方式是一种不错的办法。

### 随身携带一个发行版

这种方式虽然不像几年前那样普遍，这种随身携带一个 Linux 发行版的能力也许是出于对某些用户的考虑。显然，虚拟机安装对于便携性并无太多帮助。不过，现场镜像版实际上是十分便携的。现场镜像版可以写入到 DVD 当中或复制到一个闪存盘中而便于携带。

从 Linux 的便携性这个概念上展开来说，当要在一个朋友的电脑上展示 Linux 如何工作，使用一个闪存盘上的现场镜像版也是很方便的。这可以使你能演示 Linux 如何丰富他们的生活，而不用必须在他们的 PC 上运行一个虚拟机。使用现场镜像版这就有点双赢的感觉了。

### 选择做双引导 Linux

这接下来的方式是个大工程。考虑一下，也许你是一个 Windows 用户。你喜欢玩 Linux，但又不愿意冒险。除了在某些情况下会出些状况或者识别个别分区时遇到问题，双引导方式就没啥挑剔的。无论如何，使用 Linux 虚拟机或现场镜像版都对于你来说是一个很好的选择。

现在，我在某些事情上采取了奇怪的立场。我认为长期在闪存盘上运行现场镜像版要比虚拟机更有价值。这有两个原因。首先，您将会习惯于真正运行 Linux，而不是在 Windows 之上的虚拟机中运行它。其次，您可以设置闪存盘以包含持久存储的用户数据。

我知道你会说用一个虚拟机运行 Linux 也是如此，然而，使用现场镜像版的方式，你绝不会因为更新而被破坏任何东西。为什么？因为你不会更新你的宿主系统或者客户系统。请记住，有整个 Linux 发行版本被设计为持久存储的 Linux 发行版。Puppy Linux 就是一个非常好的例子。它不仅能运行在要被回收或丢弃的个人 PC 上，它也可以让你永远不被频繁的系统升级所困扰，这要感谢该发行版处理安全更新的方式。这不是一个常规的 Linux 发行版，而是以这样的一种方式封闭了安全问题——即持久存储的现场镜像版中没有什么令人担心的坏东西。

### Linux 虚拟机绝对是一个最好的选择

在我结束这篇文章时，让我告诉你。有一种场景下，使用 Virtual Box 等虚拟机绝对比现场镜像版更好：记录 Linux 发行版的桌面环境。

例如，我制作了一个视频，里面介绍和点评了许多 Linux 发行版。使用现场镜像版进行此操作需要我用硬件设备捕获屏幕，或者从现场镜像版的软件仓库中安装捕获软件。显然，虚拟机比 Linux 发行版的现场镜像版更适合这项工作。

一旦你需要采集音频进行混音，毫无疑问，如果您要使用软件来捕获您的点评语音，那么您肯定希望拥有一个宿主操作系统，里面包含了一个起码的捕获环境的所有基本需求。同样，您可以使用硬件设备来完成所有这一切，但如果您只是做兼职的视频/音频捕获， 那么这可能要付出成本高昂的代价。

### Linux 虚拟机 VS. Linux 现场镜像版

你最喜欢尝试新发行版的方式是哪些？也许，你是那种可以很好地格式化磁盘、将风险置之脑后的人，所以这里说的这些都是没用的？

我在网上互动的大多数人都倾向于遵循我上面提及的方法，但是我很想知道哪种方式更加适合你。点击评论框，让我知道在体验 Linux 发行版世界最伟大和最新的版本时，您更喜欢哪种方法。

--------------------------------------------------------------------------------

via: https://www.datamation.com/open-source/linux-virtual-machines-vs-linux-live-images.html

作者：[Matt Hartley][a]
译者：[sober-wang](https://github.com/sober-wang)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://www.datamation.com/author/Matt-Hartley-3080.html
[1]:https://www.datamation.com/open-source/best-linux-distro.html
