如何在企业中开展开源计划
======

> 有 65% 的企业使用开源软件，并非只有互联网企业才能受惠于开源计划。

![](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/LAW_openisopen.png?itok=FjmDxIaL)

很多互联网企业如 Google、 Facebook、 Twitter 等，都已经正式建立了开源计划（有的公司中建立了单独的<ruby>开源计划部门<rt>open source program office</rt></ruby>（OSPO）），这是在公司内部消化和支持开源产品的地方。在这样一个实际的部门中，企业可以清晰透明地执行开源策略，这是企业成功开源化的一个必要过程。开源计划部门的职责包括：制定使用、分配、选择和审查代码的相关政策；培育开源社区；培训开发技术人员和确保法律合规。

互联网企业并不是唯一建立开源计划的企业，有调查发现各种行业中有 [65% 的企业][1]的在使用开源和向开源贡献。在过去几年中 [VMware][2]、 [Amazon][3]、 [Microsoft][4] 等企业，甚至连[英国政府][5]都开始聘用开源管理人员，开展开源计划。可见近年来商业领域乃至政府都十分重视开源策略，在这样的环境下，各界也需要跟上他们的步伐，建立开源计划。

### 怎样建立开源计划

虽然根据企业的需求不同，各开源计划部门会有特殊的调整，但下面几个基本步骤是建立每个公司都会经历的，它们是：

 * **选定一位领导者：** 选出一位合适的领导之是建立开源计划的第一步。 [TODO Group][6] 发布了一份[开源人员基础工作任务清单][7]，你可以根据这个清单筛选人员。
 * **确定计划构架：** 开源计划部门可以根据其服务的企业类型的侧重点，来适应不同种类的企业需求，以在各类企业中成功运行。知识型企业可以把开源计划放在法律事务部运行，技术驱动型企业可以把开源计划放在着眼于提高企业效能的部门中，如工程部。其他类型的企业可以把开源计划放在市场部内运行，以此促进开源产品的销售。TODO  Group 发布的[开源计划案例][8]或许可以给你些启发。
 * **制定规章制度：** 开源策略的实施需要有一套规章制度，其中应当具体列出企业成员进行开源工作的标准流程，来减少失误的发生。这个流程应当简洁明了且简单易行，最好可以用设备进行自动化。如果工作人员有质疑标准流程的热情和能力，并提出改进意见，那再好不过了。许多活跃在开源领域的企业中，Google 发布的规章制度十分值得借鉴。你可以参照 [Google 发布的制度][9]起草适用于自己企业的规章制度，用 [TODO 提供其它开源策略][10]也可以参考。
 
### 建立开源计划是企业发展中的关键一步

建立开源计划部门对很多企业来说是关键一步，尤其是对于那些软件公司或是想要转型进入软件领域的公司。不论雇员的满意度或是开发效率上，在开源计划中企业可以获得巨大的利益，这些利益远远大于对开源计划所需要的长期投资。在开源之路上有很多资源可以帮助你成功，例如 TODO Group 的[《怎样创建开源计划》][11]、[《开源计划的价值评估》][12]和[《管理开源计划的几种工具》][13]都很适合初学者阅读。

随着越来越多的企业形成开源计划，开源社区自身的可持续性逐渐加强，这会对这些企业的开源计划产生积极影响，促进企业的发展，这是企业和开源间的良性循环。我希望以上这些信息能够帮到你，祝你在建立开源计划的路上一路顺风。

--------------------------------------------------------------------------------

via: https://opensource.com/article/18/1/how-start-open-source-program-your-company

作者：[Chris Aniszczyk][a]
译者：[Valoniakim](https://github.com/Valoniakim)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/caniszczyk
[1]:https://www.blackducksoftware.com/2016-future-of-open-source
[2]:http://www.cio.com/article/3095843/open-source-tools/vmware-today-has-a-strong-investment-in-open-source-dirk-hohndel.html
[3]:http://fortune.com/2016/12/01/amazon-open-source-guru/
[4]:https://opensource.microsoft.com/
[5]:https://www.linkedin.com/jobs/view/169669924
[6]:http://todogroup.org
[7]:https://github.com/todogroup/job-descriptions
[8]:https://github.com/todogroup/guides/tree/master/casestudies
[9]:https://opensource.google.com/docs/why/
[10]:https://github.com/todogroup/policies
[11]:https://github.com/todogroup/guides/blob/master/creating-an-open-source-program.md
[12]:https://github.com/todogroup/guides/blob/master/measuring-your-open-source-program.md
[13]:https://github.com/todogroup/guides/blob/master/tools-for-managing-open-source-programs.md
