最好的 Linux 工具献给老师和学生们
=====

Linux 是一个适合每个人的平台。如果你有一份合适的工作，Linux 已经可以满足或超过它的需求，其中一个工作是教育。如果你是一名教师或一名学生，Linux 已经准备好帮助你在几乎任何级别的教育系统领域中畅游。从辅助学习、写作论文、管理课程，到管理整个机构，Linux 已经全部涵盖了。

如果你不确定，请让我介绍一下 Linux 准备好的一些工具。其中一些工具几乎没有学习曲线，而另一些工具则需要一个全面的系统管理员来安装、设置和管理。我们将从简单开始，然后到复杂。

### 学习辅助工具

每个人的学习方式都有所不同，每个班级都需要不同的学习类型和水平。幸运的是，Linux 有很多学习辅助工具。让我们来看几个例子：

闪卡 —— [KWordQuiz][1]（图 1）是适用于 Linux 平台的许多闪卡应用程序之一。KWordQuiz 使用 kvtml 文件格式，你可以下载大量预制的、人们贡献的文件。 KWordQuiz 是 KDE 桌面环境的一部分，但可以安装在其他桌面上（KDE 依赖文件将与闪卡应用程序一起安装）。

![](https://lcom.static.linuxfound.org/images/stories/41373/kwordquiz-sm.png)

### 语言工具

由于全球化进程，外语已成为教育的重要组成部分。你会发现很多语言工具，包括 [Kiten][3]（图 2）—— KDE 桌面的日语汉字浏览器。

![](https://lcom.static.linuxfound.org/images/stories/41373/kiten.jpg)

如果日文不是你的母语，你可以试试 [Jargon Informatique][4]。这本词典完全是法文的，所以如果你对这门语言还不熟悉，你可能要需要 [Google 翻译][5]的帮助才能坚持下去。

### Writing Aids / Note Taking

Linux 拥有你需要的所有东西比如记录一个主题，撰写那些学期论文。让我们从记笔记开始。如果你熟悉 Microsoft OneNote，你一定会喜欢 [BasKet Note Pads][6]。有了这个应用程序，你可以为主题创建<ruby>笔记本<rt>basket</rt></ruby>，并添加任何东西——注释、链接、图像、交叉引用（到其他笔记本─图 3）、应用程序启动器、从文件加载等等。

![](https://lcom.static.linuxfound.org/images/stories/41373/basket.jpg)

你可以创建任意形式的笔记本，可以移动元素来满足你的需求。如果你更喜欢有序的感觉，那么创建一个表状的 basket 来保留那些封装的笔记。

当然，所有 Linux 写作辅助工具都是由 [LibreOffice][7] 发展而来。LibreOffice 是大多数 Linux 发行版默认的办公套件，它能打开文本文档、电子表格、演示文稿、数据库、公式和绘图。

在教育环境中使用 LibreOffice 的一个警告是，你很可能不得不将文档以 MS Office 格式保存。

### 为教育而生的发行版

所有这些都是关于 Linux 面向学生的应用程序，你可以看看专门为教育而开发的一个发行版。最好的是 [Edubuntu][8]。这种平易的 Linux 发行版旨在让 Linux 进入学校、家庭和社区。Edubuntu 使用默认的 Ubuntu 桌面（Unity shell）并添加以下软件：

+ KDE 教育套件
+ GCompris
+ Celestia
+ Tux4Kids
+ Epoptes
+ LTSP
+ GBrainy
+ 等等

Edubuntu 并不是唯一的发行版。如果你想测试其他特定于教育的 Linux 发行版，以下是简短列表：

  + Debian-Edu
  + Fedora Education Spin
  + Guadalinux-Edu
  + OpenSuse-Edu
  + Qimo
  + Uberstudent

### 课堂/机构管理

这是 Linux 平台真正闪耀的地方。有许多专门用于管理的工具。我们先来看看教室特有的工具。

[iTalc][9] 是一个强大的课堂教学环境。借助此工具，教师可以查看和控制学生桌面（支持 Linux 和 Windows）。iTalc 系统允许教师查看学生桌面上发生了什么，控制他们的桌面，锁定他们的桌面，对桌面演示，打开或关闭桌面，向学生桌面发送文本消息等等。

[aTutor][10]（图 4）是一个开源的学习管理系统（LMS），专注于开发在线课程和电子学习内容。一个老师真正发挥的就是创建和管理在线考试和测验。当然，aTutor 不限于测试的目的，有了这个强大的软件，学生和老师可以享受：

* 社交网络
* 配置文件
* 消息
* 自适应导航
* 工作组
* 文件存储
* 小组博客
* 以及更多。

![](https://lcom.static.linuxfound.org/images/stories/41373/atutor.png)

课程资料易于创建和部署（你甚至可以将考试/测验分配给特定的学习小组）。

[Moodle][11] 是目前使用最广泛的教育管理软件之一。通过 Moodle，你可以管理、教授、学习甚至参与孩子的教育。这个强大的软件为教师和学生、考试、日历、论坛、文件管理、课程管理（图 5）、通知、进度跟踪、大量注册、批量课程创建、考勤等提供协作工具。

![](https://lcom.static.linuxfound.org/images/stories/41373/moodle.png)

[OpenSIS][12] 意即开源学生信息系统，在管理你的教育机构方面做得很好。有一个免费的社区版，但即使使用付费版本，你也可以期待将学区的拥有成本降低高达 75％（与专有解决方案相比）。

OpenSIS 包括以下特点或模块：
    
  * 出席情况（图 6）
  * 联系信息
  * 学生人口统计
  * 成绩簿
  * 计划
  * 健康记录
  * 报告卡

![](https://lcom.static.linuxfound.org/images/stories/41373/opensis.png)

OpenSIS 有四个版本，在[这里][13]查看它们的功能比较。

[vufind][14] 是一个优秀的图书馆管理系统，允许学生和教师轻松浏览图书馆资源，例如：

  * 目录记录
  * 本地缓存期刊
  * 数字图书馆项目
  * 机构知识库
  * 机构书目
  * 其他图书馆集合和资源

Vufind 系统允许用户登录，通过认证的用户可以节省资源以便快速回忆，并享受“更像这样”的结果。

这份列表仅仅触及了 Linux 在教育领域可用性的一点皮毛。而且，正如你所期望的那样，每个工具都是高度可定制且开放源代码的 —— 所以如果软件不能精确地满足你的需求，那么你可以自由（在大多数情况下）修改源代码并进行更改。

Linux 在与教育齐头并进。无论你是老师，学生还是管理员，你都会找到大量工具来帮助教育机构开放，灵活和强大。

--------------------------------------------------------------------------------

via: https://www.linux.com/news/best-linux-tools-teachers-and-students

作者：[Jack Wallen][a]
选题：[lujun9972](https://github.com/lujun9972)
译者：[MjSeven](https://github.com/MjSeven)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://www.linux.com/users/jlwallen
[1]:https://edu.kde.org/kwordquiz/
[2]:http://kde-files.org/index.php?xcontentmode=694
[3]:https://edu.kde.org/kiten/
[4]:http://jargon.asher256.com/index.php
[5]:https://translate.google.com/
[6]:http://basket.kde.org/
[7]:http://www.libreoffice.com
[8]:http://www.edubuntu.org/
[9]:http://italc.sourceforge.net/
[10]:http://www.atutor.ca/
[11]:https://moodle.org/
[12]:http://www.opensis.com/
[13]:http://www.opensis.com/compare_edition.php
[14]:http://vufind-org.github.io/vufind/
