机器人学影响 CIO 角色的 3 种方式
======

> 机器人流程自动化如何影响 CIO ？考虑这些可能。

![配图](https://enterprisersproject.com/sites/default/files/styles/620x350/public/cio_ai.png?itok=toMIgELj)

随着 2017 的结束，许多 CIO 们的 2018 年目标也将确定。或许你们将参与到机器人流程自动化（RPA）中。多年以来，RPA 对许多公司来说只是一个可望不可及的概念。但是随着组织被迫变得越来越敏捷高效，RPA 所具有的潜在优势开始受到重视。

根据 Redwood Sofeware 和 Sapio Research 的最新 [研究报告][1]，IT 决策者们相信，未来 5 年有 59% 的业务可以被自动化处理，从而产生新的速度和效率，并且消减相应的重复性的人工工作量的岗位。但是，目前在相应岗位上没有实施 RPA 的公司中，有 20% 的公司员工超过 1000 人。

对于 CIO 们来说，RPA 会潜在影响你在业务中的角色和你的团队。随着 RPA 的地位在 2018 年中越来越重要，CIO 们和其它 IT 决策者的角色也能会受到如下三种方式的改变：

### 成为战略性变革代理人的机会增加

随着压力的增长，用最少的时间做更多的事，内部流程越来越重要。在每个企业中，员工们每天做着既重要又枯燥的一些任务。这些任务可能是枯燥且重复性的任务，但是要求他们必须快速完成且不能出错。

**[有关你的自动化策略的 ROI 建议，查看我们相关的文章，[如何在自动化方面提升 ROI：4 个小提示][2]。]**

在财务中从后台的一些操作到采购、供应链、账务、客户服务、以及人力资源，在一个组织中几乎所有的岗位都有一些枯燥的任务。这就为 CIO 们提供了一个机会，将 IT 与业务联合起来，成为使用 RPA 进行战略变革的先锋。

除了过去的屏幕抓取技术，机器人现在已经实现可定制化，即插即用的解决方案可以根据企业的需要进行设计。使用这种以流程为中心的方法，企业不仅可以将以前由人来完成的任务进行自动化，也可以将应用程序和系统特定任务自动化，比如 ERP 和企业其它应用程序。

为端到端的流程实施更高级别的自动化将是 CIO 们的价值所在。CIO 们将会站在这种机遇的最前沿。

### 重新关注人和培训

技术的变动将让员工更加恐慌，尤其是当这些自动化的变动涉及到他们每日职责的相当大的部分。CIO 们应该清楚地告诉他们，RPA 将如何让他们的角色和责任变得更好，以及用数据说明的、最终将影响到他们底线的战略决策。

当实施 RPA 时，清晰明确地表达出“人对组织的成功来说是很重要的”信息是很关键的，并且，这种成功需要使技术和人的技能实现适当的平衡。

CIO 们也应该分析工作流并实施更好的流程，这种流程能够超越以前由终端用户完成的特定任务。通过端到端的流程自动化，CIO 们可以让员工表现更加出色。

因为在整个自动化的过程中，提升和培训员工技术是很重要的，CIO 们必须与企业高管们一起去决定，帮助员工自信地应对变化的培训项目。

### 需要长远的规划

为确保机器人流程自动化的成功，甲方必须有一个长期的方法。这将要求一个弹性的解决方案，它将对整个业务模型有好处，包括消费者。比如，当年亚马逊为他的 Prime 消费者推广快速投递服务时，他们不仅在他们的仓库中重新调整了订单交付流程，他们也自动化了他们的在线客户体验，让它们变得更简化、更快速，并且让消费者比以前更容易下订单。

在即将到来的一年里，CIO 们可以用同样的方法来应用技术，构建整体的解决方案来改变组织的动作方式。裁员只会让最终效益产生很大影响，但是流程自动化将使 CIO 们能够通过优化和授权来考虑更大的问题。这种方法让 CIO 们去为他们自己和 RPA 构建长期的信誉。这反过来将强化 CIO 们作为探路者的角色，并为整个组织的成功作出贡献。

对于 CIO 们来说，采用一个长期的、策略性的方法让 RPA 成功，需要时间和艰苦的努力。尽管如此，那些致力于创建一种人力和技术平衡战略的 CIO 们，将会在现在和将来实现更大的价值。

--------------------------------------------------------------------------------

via: https://enterprisersproject.com/article/2017/11/3-ways-robotics-affects-cio-role

作者：[Dennis Walsh][a]
译者：[qhwdw](https://github.com/qhwdw)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://enterprisersproject.com/user/dennis-walsh
[1]:https://www.redwood.com/press-releases/it-decision-makers-speak-59-of-business-processes-could-be-automated-by-2022/
[2]:https://enterprisersproject.com/article/2017/11/how-improve-roi-automation-4-tips?sc_cid=70160000000h0aXAAQ
