5 个理由，开源助你求职成功
======
> 为开源项目工作可以给你或许从其他地方根本得不到的经验和人脉。

![](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/resume_career_document_general.png?itok=JEaFL2XI)

你正在在繁华的技术行业中寻找工作吗？无论你是寻找新挑战的技术团体老手，还是正在寻找第一份工作的毕业生，参加开源项目都是可以让你在众多应聘者中脱颖而出的好方法。以下是从事开源项目工作可以增强你求职竞争力的五个理由。

### 1、 获得项目经验

或许从事开源项目工作能带给你的最明显的好处是提供了项目经验。如果你是一个学生，你可能没有很多实质上的项目可以在你的简历中展示。如果你还在工作，由于保密限制，或者你对正在完成的任务不感兴趣，你不能或者不能很详细的讨论你当前的项目。无论那种情况，找出并参加那些有吸引力的，而且又正好可以展现你的技能的开源项目，无疑对求职有帮助。这些项目不仅在众多简历中引人注目，而且可以是面试环节中完美的谈论主题。

另外，很多开源项目托管在公共仓库（比如 [Github][1] ）上，所以对任何想参与其中的任何人，获取这些项目的源代码都异常简单。同时，你对项目的公开代码贡献，也能很方便的被招聘单位或者潜在雇主找到。开源项目提供了一个可以让你以一种更实际的的方式展现你的技能，而不是仅仅在面试中纸上谈兵。

### 2、 学会提问

开源项目团体的新成员总会有机会去学习大量的新技能。他们肯定会发现该项目独特的的多种交流方式、结构层次、文档格式和其他的方方面面。在刚刚参与到项目中时，你需要问大量的问题，才能找准自己的定位。正如俗语说得好，没有愚蠢的问题。开源社区提倡好奇心，特别是在问题答案不容易找到的时候。

在从事开源项目工作初期，对项目的不熟悉感会驱使个人去提问，去经常提问。这可以帮助参与者学会提问。学会去分辨问什么，怎么问，问谁。学会提问在找工作、[面试][2]，甚至生活中都非常有用。解决问题和寻求帮助的能力在人才市场中都非常重要。

### 3、 获取新的技能与持续学习

大量的软件项目同时使用很多不同的技术。很少有贡献者可以熟悉项目中的所有技术。即使已经在项目中工作了一段时间后，很多人很可能不能对项目中所用的所有技术都熟悉。

虽然一个开源项目中的老手可能会对项目的一些特定的方面不熟悉，但是新手不熟悉的显然更多。这种情况产生了大量的学习机会。在一个人刚开始从事开源工作时，可能只是去提高项目中的一些小功能，甚至很可能是在他熟悉的领域。但是以后的旅程就大不相同了。

从事项目的某一方面的工作可能会把你带进一个不熟悉的领域，可能会驱使你开始新的学习。而从事开源项目的工作，可能会把你带向一个你以前可能从没用过的技术。这会激起新的激情，或者，至少促进你继续学习（[这正是雇主渴望具备的能力][3]）。

### 4、增加人脉

开源项目被不同的社区维护和支持。一些人在他们的业余时间进行开源工作，他们都有各自的经历、兴趣和人脉。正如他们所说，“你了解什么人决定你成为什么人”。不通过开源项目，可能你永远不会遇到特定的人。或许你和世界各地的人一起工作，或许你和你的邻里有联系。但是，你不知道谁能帮你找到下一份工作。参加开源项目扩展人脉的可能性将对你寻找下一份（或者第一份）工作极有帮助。

### 5、 建立自信

最后，参与开源项目可能给你新的自信。很多科技企业的新员工会有些[冒充者综合症][4]。由于没有完成重要工作，他们会感到没有归属感，好像自己是冒名顶替的那个人，认为自己配不上他们的新职位。在被雇佣前参加开源项目可以最小化这种问题。

开源项目的工作往往是独立完成的，但是对于项目来说，所有的贡献是一个整体。开源社区具有强大的包容性和合作性，只要你有所贡献，一定会被看到。别的社区成员（特别是更高级的成员）对你肯定无疑也是一种回报。在你进行代码提交时获得的认可可以提高你的自信，打败冒充者综合症。这份自信也会被带到面试，新职位，等等。

这只是从事开源工作的一些好处。如果你知道更多的好处，请在下方评论区留言分享。

### 关于作者

Sophie Polson ：一名研究计算机科学的杜克大学的学生。通过杜克大学 2017 秋季课程 “开源世界（ Open Source World ）”，开始了开源社区的冒险。对探索 [DevOps][5] 十分有兴趣。在 2018 春季毕业后，将成为一名软件工程师。

--------------------------------------------------------------------------------

via: https://opensource.com/article/18/1/5-ways-turn-open-source-new-job

作者：[Sophie Polson][a]
译者：[Lontow](https://github.com/lontow)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/sophiepolson
[1]:https://github.com/dbaldwin/DronePan
[2]:https://www.thebalance.com/why-you-should-ask-questions-in-a-job-interview-1669548
[3]:https://www.computerworld.com/article/3177442/it-careers/lifelong-learning-is-no-longer-optional.html
[4]:https://en.wikipedia.org/wiki/Impostor_syndrome
[5]:https://en.wikipedia.org/wiki/DevOps
^^^^^^