值得考虑的 9 个开源 ERP 系统
======

> 有一些使用灵活、功能丰富而物有所值的开源 ERP 系统，这里有 9 个值得你看看。

![](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/BUSINESS_orgchart1.png?itok=tukiFj89)

拥有一定数量员工的企业就需要大量的协调工作，包括制定价格、计划生产、会计和财务、管理支出、管理存货等等。把一套截然不同的工具拼接到一起去处理这些工作，是一种粗制滥造和无价值的做法。

那种方法没有任何弹性。并且那样在各种各样的自组织系统之间高效移动数据是非常困难的。同样，它也很难维护。

因此，大多数成长型企业都转而使用一个 [企业资源计划][1] （ERP）系统。

在这个行业中的大咖有 Oracle、SAP、以及 Microsoft Dynamics。它们都提供了一个综合的系统，但同时也很昂贵。如果你的企业支付不起如此昂贵的大系统，或者你仅需要一个简单的系统，怎么办呢？你可以使用开源的产品来作为替代。

### 一个 ERP 系统中有什么东西

显然，你希望有一个满足你需要的系统。基于那些需要，更多的功能并不意味着就更好。但是，你的需要会根据你的业务的增长而变化的，因此，你希望能够找到一个 ERP 系统，它能够根据你新的需要而扩展它。那就意味着系统有额外的模块或者支持插件和附加功能。

大多数的开源 ERP 系统都是 web 应用程序。你可以下载并将它们安装到你的服务器上。但是，如果你不希望（或者没有相应技能或者人员）自己去维护系统，那么应该确保它们的应用程序提供托管版本。

最后，你还应该确保应用程序有良好的文档和支持 —— 要么是付费支持或者有一个活跃的用户社区。

有很多弹性很好的、功能丰富的、很划算的开源 ERP 系统。如果你正打算购买这样的系统，这里有我们挑选出来的 9 个。

### ADempiere

像大多数其它开源 ERP 解决方案，[ADempiere][2] 的目标客户是中小企业。它已经存在一段时间了 — 这个项目出现于 2006，它是 Compiere ERP 软件的一个分支。

它的意大利语名字的意思是“实现”或者“满足”，它“涉及多个方面”的 ERP 特性，旨在帮企业去满足各种需求。它在 ERP 中增加了供应链管理（SCM）和客户关系管理（CRM）功能，能够让该 ERP 套件在一个软件中去管理销售、采购、库存以及帐务处理。它的最新版本是 v.3.9.0，更新了用户界面、POS、人力资源、工资以及其它的特性。

因为是一个跨平台的、基于 Java 的云解决方案，ADempiere 可以运行在Linux、Unix、Windows、MacOS、智能手机、平板电脑上。它使用 [GPLv2][3] 授权。如果你想了解更多信息，这里有一个用于测试的 [demo][4]，或者也可以在 GitHub 上查看它的 [源代码][5]。

### Apache OFBiz

[Apache OFBiz][6] 的业务相关的套件是构建在通用的架构上的，它允许企业根据自己的需要去定制 ERP。因此，它是有内部开发资源的大中型企业的最佳套件，可以去修改和集成它到它们现有的 IT 和业务流程。

OFBiz 是一个成熟的开源 ERP 系统；它的网站上说它是一个有十年历史的顶级 Apache 项目。可用的 [模块][7] 有会计、生产制造、人力资源、存货管理、目录管理、客户关系管理，以及电子商务。你可以在它的 [demo 页面][8] 上试用电子商务的网上商店以及后端的 ERP 应用程序。

Apache OFBiz 的源代码能够在它的 [项目仓库][9] 中找到。它是用 Java 写的，它在 [Apache 2.0 license][10] 下可用。

### Dolibarr

[Dolibarr][11] 提供了中小型企业端到端的业务管理，从发票跟踪、合同、存货、订单，以及支付，到文档管理和电子化 POS 系统支持。它的全部功能封装在一个清晰的界面中。

如果你担心不会使用 Dolibarr，[这里有一些关于它的文档][12]。

另外，还有一个 [在线演示][13]，Dolibarr 也有一个 [插件商店][14]，你可以在那是购买一些软件来扩展它的功能。你可以在 GitHub 上查看它的 [源代码][15]；它在 [GPLv3][16] 或者任何它的最新版本许可下面使用。

### ERPNext

[ERPNext][17] 是这类开源项目中的其中一个；实际上它最初在 2014 年就被 [Opensource.com 推荐了][18]。它被设计用于打破一个陈旧而昂贵的专用 ERP 系统的垄断局面。

ERPNext 适合于中小型企业。它包含的模块有会计、存货管理、销售、采购、以及项目管理。ERPNext 是表单驱动的应用程序 — 你可以在一组字段中填入信息，然后让应用程序去完成剩余部分。整个套件非常易用。

如果你感兴趣，在你考虑参与之前，你可以请求获取一个 [demo][19]，去 [下载它][20] 或者在托管服务上 [购买一个订阅][21]。

### Metasfresh

[Metasfresh][22] 的名字表示它承诺软件的代码始终保持“新鲜”。它自 2015 年以来每周发行一个更新版本，那时，它的代码是由创始人从 ADempiere 项目中分叉的。与 ADempiere 一样，它是一个基于 Java 的开源 ERP，目标客户是中小型企业。

虽然，相比在这里介绍的其它软件来说，它是一个很 “年青的” 项目，但是它早早就引起了一起人的注意，获得很多积极的评价，比如，被提名为“最佳开源”的 IT 创新奖入围者。

Metasfresh 在自托管系统上或者在云上单用户使用时是免费的，或者可以按月交纳订阅费用。它的 [源代码][23] 在 GitHub 上，可以在遵守 [GPLv2][24] 许可的情况下使用，它的云版本是以 GPLv3 方式授权使用。

### Odoo

[Odoo][25] 是一个应用程序集成解决方案，它包含的模块有项目管理、帐单、存货管理、生产制造、以及采购。这些模块之间可以相互通讯，实现高效平滑地信息交换。

虽然 ERP 可能很复杂，但是，Odoo 通过简单的，甚至是简洁的界面使它变得很友好。这个界面让人联想到谷歌云盘，它只让你需要的功能可见。在你决定签定采购合同之前，你可以 [得到一个 Odoo 去试用][26]。

Odoo 是基于 web 的工具。按单个模块来订阅的话，每个模块每月需要支付 20 美元。你也可以 [下载它][27]，或者可以从 GitHub 上获得 [源代码][28]，它以 [LGPLv3][29] 方式授权。

### Opentaps

[Opentaps][30] 是专为大型业务设计的几个开源 ERP 解决方案之一，它的功能强大而灵活。这并不奇怪，因为它是在  Apache OFBiz 基础之上构建的。

你可以得到你所希望的模块组合，来帮你管理存货、生产制造、财务，以及采购。它也有分析功能，帮你去分析业务的各个方面。你可以借助这些信息让未来的计划做的更好。Opentaps 也包含一个强大的报表功能。

在它的基础之上，你还可以 [购买一些插件和附加模块][31] 去增强 Opentaps 的功能。包括与 Amazon Marketplace Services 和 FedEx 的集成等。在你 [下载 Opentaps][32] 之前，你可以到 [在线 demo][33] 上试用一下。它遵守 [GPLv3][34] 许可。

### WebERP

[WebERP][35] 是一个如它的名字所表示的那样：一个通过 Web 浏览器来使用的 ERP 系统。另外还需要的其它软件只有一个，那就是查看报告所使用的 PDF 阅读器。

具体来说，它是一个面向批发、分销、生产制造业务的账务和业务管理解决方案。它也可以与 [第三方的业务软件][36] 集成，包括多地点零售管理的销售点系统、电子商务模块、以及构建业务知识库的 wiki 软件。它是用 PHP 写的，并且它致力于成为低资源占用、高效、快速、以及平台无关的、普通商业用户易于使用的 ERP 系统。

WebERP 正在积极地进行开发，并且它有一个活跃的 [论坛][37]，在那里你可以咨询问题或者学习关于如何使用这个应用程序的相关知识。你也可以试用一个 [demo][38]，或者在 GitHub 上下载它的 [源代码][39]（遵守 [GPLv2][40] 许可）

### xTuple PostBooks

如果你的生产制造、分销、电子商务业务已经从小规模业务成长起来了，并且正在寻找一个适合你的成长型企业的 ERP 系统，那么，你可以去了解一下 [xTuple PostBooks][41]。它是围绕核心 ERP 功能、帐务、以及可以添加存货、分销、采购、以及供应商报告等 CRM 功能构建的全面解决方案的系统。

xTuple 在通用公共属性许可证（[CPAL][42]）下使用，并且这个项目欢迎开发者去分叉它，然后为基于存货的生产制造型企业开发其它的业务软件。它的基于 web 的核心是用 JavaScript 写的，它的 [源代码][43] 可以在 GitHub 上找到。你可以去在 xTuple 的网站上注册一个免费的 [demo][44] 去了解它。

还有许多其它的开源 ERP 可供你选择 — 另外你可以去了解的还有 [Tryton][45]，它是用 Python 写的，并且使用的是 PostgreSQL 数据库引擎，或者基于 Java 的 [Axelor][46]，它的好处是用户可以使用拖放界面来创建或者修改业务应用。如果还有在这里没有列出的你喜欢的开源 ERP 解决方案，请在下面的评论区共享出来。你也可以去查看我们的 [供应链管理工具][47] 榜单。

这篇文章是 [以前版本][48] 的一个更新版，它是由 Opensource.com 的主席 [Scott Nesbitt][49] 所写。

--------------------------------------------------------------------------------

via: https://opensource.com/tools/enterprise-resource-planning

作者：[Opensource.com][a]
选题：[lujun9972](https://github.com/lujun9972)
译者：[qhwdw](https://github.com/qhwdw)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com
[1]:http://en.wikipedia.org/wiki/Enterprise_resource_planning
[2]:http://www.adempiere.net/welcome
[3]:http://wiki.adempiere.net/License
[4]:http://www.adempiere.net/web/guest/demo
[5]:https://github.com/adempiere/adempiere
[6]:http://ofbiz.apache.org/
[7]:https://ofbiz.apache.org/business-users.html#UsrModules
[8]:http://ofbiz.apache.org/ofbiz-demos.html
[9]:http://ofbiz.apache.org/source-repositories.html
[10]:http://www.apache.org/licenses/LICENSE-2.0
[11]:http://www.dolibarr.org/
[12]:http://wiki.dolibarr.org/index.php/What_Dolibarr_can%27t_do
[13]:http://www.dolibarr.org/onlinedemo
[14]:http://www.dolistore.com/
[15]:https://github.com/Dolibarr/dolibarr
[16]:https://github.com/Dolibarr/dolibarr/blob/develop/COPYING
[17]:https://erpnext.com/
[18]:https://opensource.com/business/14/11/building-open-source-erp
[19]:https://frappe.erpnext.com/request-a-demo
[20]:https://erpnext.com/download
[21]:https://erpnext.com/pricing
[22]:http://metasfresh.com/en/
[23]:https://github.com/metasfresh/metasfresh
[24]:https://github.com/metasfresh/metasfresh/blob/master/LICENSE.md
[25]:https://www.odoo.com/
[26]:https://www.odoo.com/page/start
[27]:https://www.odoo.com/page/download
[28]:https://github.com/odoo
[29]:https://github.com/odoo/odoo/blob/11.0/LICENSE
[30]:http://www.opentaps.org/
[31]:http://shop.opentaps.org/
[32]:http://www.opentaps.org/products/download
[33]:http://www.opentaps.org/products/online-demo
[34]:https://www.gnu.org/licenses/agpl-3.0.html
[35]:http://www.weberp.org/
[36]:http://www.weberp.org/Links.html
[37]:http://www.weberp.org/forum/
[38]:http://www.weberp.org/weberp/
[39]:https://github.com/webERP-team/webERP
[40]:https://github.com/webERP-team/webERP#legal
[41]:https://xtuple.com/
[42]:https://xtuple.com/products/license-options#cpal
[43]:http://xtuple.github.io/
[44]:https://xtuple.com/free-demo
[45]:http://www.tryton.org/
[46]:https://www.axelor.com/
[47]:https://opensource.com/tools/supply-chain-management
[48]:https://opensource.com/article/16/3/top-4-open-source-erp-systems
[49]:https://opensource.com/users/scottnesbitt
