15 个适用于 MacOS 的开源应用程序
======

> 钟爱开源的用户不会觉得在非 Linux 操作系统上使用他们喜爱的应用有多难。

![](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/computer_keyboard_laptop_development_blue.png?itok=IfckxN48)

只要有可能的情况下，我都会去选择使用开源工具。不久之前，我回到大学去攻读教育领导学硕士学位。即便是我将喜欢的 Linux 笔记本电脑换成了一台 MacBook Pro（因为我不能确定校园里能够接受 Linux），我还是决定继续使用我喜欢的工具，哪怕是在 MacOS 上也是如此。

幸运的是，它很容易，并且没有哪个教授质疑过我用的是什么软件。即然如此，我就不能秘而不宣。

我知道，我的一些同学最终会在学区担任领导职务，因此，我与我的那些使用 MacOS 或 Windows 的同学分享了关于下面描述的这些开源软件。毕竟，开源软件是真正地自由和友好的。我也希望他们去了解它，并且愿意以很少的一些成本去提供给他们的学生去使用这些世界级的应用程序。他们中的大多数人都感到很惊讶，因为，众所周知，开源软件除了有像你和我这样的用户之外，压根就没有销售团队。

### 我的 MacOS 学习曲线

虽然大多数的开源工具都能像以前我在 Linux 上使用的那样工作，只是需要不同的安装方法。但是，经过这个过程，我学习了这些工具在 MacOS 上的一些细微差别。像 [yum][1]、[DNF][2]、和 [APT][3] 在 MacOS 的世界中压根不存在 —— 我真的很怀念它们。

一些 MacOS 应用程序要求依赖项，并且安装它们要比我在 Linux 上习惯的方法困难很多。尽管如此，我仍然没有放弃。在这个过程中，我学会了如何在我的新平台上保留最好的软件。即便是 MacOS 大部分的核心也是 [开源的][4]。

此外，我的 Linux 的知识背景让我使用 MacOS 的命令行很轻松很舒适。我仍然使用命令行去创建和拷贝文件、添加用户、以及使用其它的像 `cat`、`tac`、`more`、`less` 和 `tail` 这样的 [实用工具][5]。

### 15 个适用于 MacOS 的非常好的开源应用程序

  * 在大学里，要求我使用 DOCX 的电子版格式来提交我的工作，而这其实很容易，最初我使用的是 [OpenOffice][6]，而后来我使用的是 [LibreOffice][7] 去完成我的论文。
  * 当我因为演示需要去做一些图像时，我使用的是我最喜欢的图像应用程序 [GIMP][8] 和 [Inkscape][9]。
  * 我喜欢的播客创建工具是 [Audacity][10]。它比起 Mac 上搭载的专有应用程序更加简单。我使用它去录制访谈和为视频演示创建配乐。
  * 在 MacOS 上我最早发现的多媒体播放器是 [VideoLan][11] (VLC)。
  * MacOS 内置的专有视频创建工具是一个非常好的产品，但是你也可以很轻松地去安装和使用 [OpenShot][12]，它是一个非常好的内容创建工具。
  * 当我需要在我的客户端上分析网络时，我在我的 Mac 上使用了易于安装的 [Nmap][13] (Network Mapper) 和 [Wireshark][14] 工具。
  * 当我为图书管理员和其它教育工作者提供培训时，我在 MacOS 上使用 [VirtualBox][15] 去做 Raspbian、Fedora、Ubuntu 和其它 Linux 发行版的示范操作。
  * 我使用 [Etcher.io][16] 在我的 MacBook 上制作了一个引导盘，下载 ISO 文件，将它刻录到一个 U 盘上。
  * 我认为 [Firefox][17] 比起 MacBook Pro 自带的专有浏览器更易用更安全，并且它允许我跨操作系统去同步我的书签。
  * 当我使用电子书阅读器时，[Calibre][18] 是当之无愧的选择。它很容易去下载和安装，你甚至只需要几次点击就能将它配置为一台 [教室中使用的电子书服务器][19]。
  * 最近我给中学的学生教 Python 课程，我发现它可以很容易地从 [Python.org][20] 上下载和安装 Python 3 及 IDLE3 编辑器。我也喜欢学习数据科学，并与学生分享。不论你是对 Python 还是 R 感兴趣，我都建议你下载和 [安装][21] [Anaconda 发行版][22]。它包含了非常好的 iPython 编辑器、RStudio、Jupyter Notebooks、和 JupyterLab，以及其它一些应用程序。
  * [HandBrake][23] 是一个将你家里的旧的视频 DVD 转成 MP4 的工具，这样你就可以将它们共享到 YouTube、Vimeo、或者你的 MacOS 上的 [Kodi][24] 服务器上。

现在轮到你了：你在 MacOS（或 Windows）上都使用什么样的开源软件？在下面的评论区共享出来吧。

--------------------------------------------------------------------------------

via: https://opensource.com/article/18/7/open-source-tools-macos

作者：[Don Watkins][a]
选题：[lujun9972](https://github.com/lujun9972)
译者：[qhwdw](https://github.com/qhwdw)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/don-watkins
[1]:https://en.wikipedia.org/wiki/Yum_(software)
[2]:https://en.wikipedia.org/wiki/DNF_(software)
[3]:https://en.wikipedia.org/wiki/APT_(Debian)
[4]:https://developer.apple.com/library/archive/documentation/MacOSX/Conceptual/OSX_Technology_Overview/SystemTechnology/SystemTechnology.html
[5]:https://www.gnu.org/software/coreutils/coreutils.html
[6]:https://www.openoffice.org/
[7]:https://www.libreoffice.org/
[8]:https://www.gimp.org/
[9]:https://inkscape.org/en/
[10]:https://www.audacityteam.org/
[11]:https://www.videolan.org/index.html
[12]:https://www.openshot.org/
[13]:https://nmap.org/
[14]:https://www.wireshark.org/
[15]:https://www.virtualbox.org/
[16]:https://etcher.io/
[17]:https://www.mozilla.org/en-US/firefox/new/
[18]:https://calibre-ebook.com/
[19]:https://opensource.com/article/17/6/raspberrypi-ebook-server
[20]:https://www.python.org/downloads/release/python-370/
[21]:https://opensource.com/article/18/4/getting-started-anaconda-python
[22]:https://www.anaconda.com/download/#macos
[23]:https://handbrake.fr/
[24]:https://kodi.tv/download
