逃离 Google，重获自由（与君共勉）
======

> 寻求挣脱科技巨头的一次开创性尝试

![](https://cdn-images-1.medium.com/max/2000/1*BWtEYNsmqON6zdURcLa6hg.png)

在过去的六个月里，难以想象我到底经历了些什么。艰难的、耗时的、开创性的探索，为的只是完全摒弃一家公司 —— Google（谷歌）—— 的产品。本该是件简简单单的任务，但真要去做，花费在研究和测试上的又何止几个小时。但我成功了。现在，我已经不需要 Google 了，作为西方世界中极其少数的群体中的一份子，不再使用世界上最有价值的两家科技公司的产品（是的，我也不用 [Facebook（脸书）][6]）。

本篇指南将向你展示我逃离 Google 生态的始末。以及根据本人的研究和个人需求，选择的替代方案。我不是技术方面的专家，或者说程序员，但作为记者，我的工作要求我对安全和隐私的问题保持警惕。

我选择替代方案时，主要考察其本身的长处、可用性、成本、以及是否具备我需要的功能。我的选择并不是那么大众，仅反映我自身的需求和期许，也不牵涉任何商业利益。下面列出的所有替代方案都没有给我赞助，也从未试图花钱诱使我使用他们的服务。

### 首先我们需要知道：为什么？

你们说这事情整的，我和 Google 可无冤无仇。事实上，不久前我还是个忠实的 Google 粉。还是记得是 90 年代末，当时我还在读高中，我和 Google 搜索引擎的第一次邂逅，那一瞬的美简直惊为天人。那时候的 Google 可是领先了 Yahoo、Altavista、Ask Jeeves 这些公司好几年。Google 实打实地去帮用户找到他们想在网络上找的东西，但同样是那个时代，乌七八糟的网站和糟糕的索引遍地横生。

Google 很快就从仅提供检索服务转向提供其它服务，其中许多都是我欣然拥抱的服务。早在 2005 年，当时你们可能还只能[通过邀请][7]加入 Gmail 的时候，我就已经是早期使用者了。Gmail 采用了线程对话、归档、标签，毫无疑问是我使用过的最好的电子邮件服务。当 Google 在 2006 年推出其日历工具时，那种对操作的改进绝对是革命性的。针对不同日历使用不同的颜色进行编排、检索事件、以及发送可共享的邀请，操作极其简单。2007 年推出的 Google Docs 同样令人惊叹。在我的第一份全职工作期间，我还促成我们团队使用支持多人同时编辑的 Google 电子表格、文档和演示文稿来完成日常工作。

和许多人一样，我也是 Google 开疆拓土过程中的受害者。从搜索（引擎）到电子邮件、文档、分析、再到照片，许多其它服务都建立在彼此之上，相互勾连。Google 从一家发布实用产品的公司转变成诱困用户的公司，与此同时将整个互联网转变为牟利和数据采集的机器。Google 在我们的数字生活中几乎无处不在，这种程度的存在远非其他公司可以比拟。与之相比使用其他科技巨头的产品想要抽身就相对容易。对于 Apple（苹果），你要么身处 iWorld 之中，要么是局外人。亚马逊亦是如此，甚至连 Facebook 也不过是拥有少数的几个平台，不用（Facebook）更多的是[心理挑战][8]，实际上并没有多么困难。

然而，Google 无处不在。无论是笔记本电脑、智能手机或者平板电脑，我猜其中至少会有那么一个 Google 的应用程序。Google 就是搜索（引擎）、地图、电子邮件、浏览器和大多数智能手机操作系统的代名词。甚至还有些应用有赖于其提供的“[服务][9]”和分析，比方说 Uber 便需要采用 Google 地图来运营其乘车服务。

Google 现在俨然已是许多语言中的单词，但彰显其超然全球统治地位的方面显然不止于此。可以说只要你不是极其注重个人隐私，那其庞大而成套的工具几乎没有多少众所周知或广泛使用的替代品。这恰好也是大家选择 Google 的原因，在很多方面能更好的替代现有的产品。但现在，使我们的难以割舍的主要原因其实是 Google 已经成为了默认选择，或者说由于其主导地位导致替代品无法对我们构成足够的吸引。

事实上，替代方案是存在的，这些年自<ruby>爱德华·斯诺登<rt>Edward Snowden</rt></ruby>披露 Google 涉事 <ruby>[棱镜][10]<rt>Prism</rt></ruby>以来，又陆续涌现了许多替代品。我从去年年底开始着手这个项目。经过六个月的研究、测评以及大量的尝试和失败，我终于找到了所有我正在使用的 Google 产品对应的注重个人隐私的替代品。令我感到吃惊的是，其中的一些替代品比 Google 的做的还要好。

### 一些注意事项

这个过程中需要面临的几个挑战之一便是，大多数的替代方案，特别是那些注重隐私空间的开源替代方案，确实对用户不太友好。我不是技术人员，但是自己有一个网站，了解如何管理 Wordpress，可以排除一些基本的故障，但我用不来命令行，也做不来任何需要编码的事。

提供的这些替代方案中的大多数，即便不能完整替代 Google 产品的功能，但至少可以轻松上手。不过有些还是需要你有自己的 Web 主机或服务器的。

此外，[Google Takeout][11] 是你的好帮手。我通过它下载了我所有的电子邮件历史记录，并将其上传到我的计算机上，再通过 Thunderbird 访问，这意味着我可以轻松访问这十几年的电子邮件。关于日历和文档也同样如此，我将后者转换为 ODT 格式，存在我的替代云上，下面我将进一步介绍其中的细节。

### 初级

#### 搜索引擎

[DuckDuckGo][12] 和 [startpage][13] 都是以保护个人隐私为中心的搜索引擎，不收集任何搜索数据。我用这两个搜索引擎来负责之前用 Google 搜索的所有需求。

其它的替代方案：实际上并不多，Google 坐拥全球 74% 的市场份额时，剩下的那些主要是因为中国的原因。不过还有 Ask.com，以及 Bing……

#### Chrome

[Mozilla Firefox][14] —— 近期的[一次大升级][15]，是对早期版本的巨大改进。是一个由积极致力于保护隐私的非营利基金会打造的浏览器。它的存在让你觉得没有必要死守 Chrome。

其它的替代方案：考虑到 Opera 和 Vivaldi 都基于 Chrome。[Brave][16] 浏览器是我的第二选择。

#### Hangouts（环聊）和 Google Chat

[Jitsi Meet][17] —— 一款 Google Hangouts 的开源免费替代方案。你可以直接在浏览器上使用或下载应用程序。快速，安全，几乎适用于所有平台。

其它的替代方案：Zoom 在专业领域渐受青睐，但大部分的特性需要付费。[Signal][18]，一个开源、安全的消息通讯类应用程序，可以用来打电话，不过仅限于移动设备。不推荐 Skype，既耗流量，界面还糟。

#### Google Maps（地图）

桌面端：[HERE WeGo][19] —— 加载速度更快，所有能在 Google Maps 找到的几乎都能找到。不过由于某些原因，还缺了一些国家，如日本。

移动端：[MAPS.ME][20] —— 我一开始用的就是这款地图，但是自从他们专注于导航模式后地图功能就有点鸡肋了。MAPS.ME 还是相当不错的，并且具有比 Google 更好的离线功能，这对像我这样的经常旅行的人来说非常好用。

其它的替代方案：[OpenStreetMap][21] 是我全心支持的一个项目，不过功能严重缺乏。甚至无法找到我在奥克兰的家庭住址。

### 初级（需付费）

当然其中有一部分是自作自受。例如，在寻找 Gmail 的替代品时，我想的不是仅仅从 Gmail 切换到另一家科技巨头产品作为替代。这就意味不会存在转到 Yahoo Mail 或 Microsoft Outlook 的情况，因为这并不能消除我对隐私问题的困扰。

请记住，虽说 Google 的许多服务都是免费的（更不必说包括 Facebook 在内的竞争对手的服务），那是因为他们正在积极地将我们的数据货币化。由于替代方案极力避免将数据货币化，这使他们不得不向我们收取费用。我愿意付钱来保护我的隐私，但也明白并非所有人都会做出这样的选择。

或许我们可以换一个方向来思考：可还曾记得以前寄信时也不得不支付邮票的费用吗？或者从商店购买周卡会员？从本质上讲，这就是使用注重隐私的电子邮件或日历应用程序的成本。也没那么糟。

#### Gmail

[ProtonMail][22] —— 由前 CERN（欧洲核子研究中心）的科学家创立，总部设在瑞士，一个拥有强大隐私保护的国家。但 ProtonMail 真正吸引我的地方是，它与大多数其它注重隐私的电子邮件程序不同，用户体验友好。界面类似于 Gmail，带标签，有过滤器和文件夹，无需了解任何有关安全性或隐私的信息即可使用。

免费版只提供 500MB 的存储空间。而我选择的是付费 5GB 帐户及其 VPN 服务。

其它的替代方案：[Fastmail][23] 不仅面向注重隐私的用户，界面也很棒。还有 [Hushmail][24] 和 [Tutanota][25]，两者都具有与 ProtonMail 相似的功能。

#### Calendar（日历）

[Fastmail][26] 日历 —— 这个决定异常艰难，也抛出了另一个问题。Google 的产品存在于很多方面，可以用无处不在来形容，这导致初创公司甚至不再费心去创造替代品。在尝试了其它一些平庸的选项后，我最后还是推荐并选择 Fastmail 同时作为备用电子邮件和日历的选项。

### 进阶

这些需要一些技术知识，或者需要你自己有 Web 主机。我尝试研究过更简单的替代方案，但最终都没能入围。

#### Google Docs（文档）、Drive（云端硬盘）、Photos（照片）和 Contacts（联系人）

[Nextcloud][27] —— 一个功能齐全、安全并且开源的云套件，具有直观、友好的用户界面。问题是你需要自己有主机才能使用 Nextcloud。我有一个用于部署自己网站的主机，并且能够使用 Softaculous 在我主机的 C-Panel 上快速安装 Nextcloud。你需要一个 HTTPS 证书，我从 [Let's Encrypt][28] 上免费获得了一个。不似开通 Google Drive 帐户那般容易，但也不是很难。

同时我也在用 Nextcloud 作为 Google 的照片存储和联系人的替代方案，然后通过 CalDev 与手机同步。

其它的替代方案：还有其它开源选项，如 [ownCloud][29] 或者 [Openstack][30]。一些营利的选项也很不错，因为作为首选的 Dropbox 和 Box 也没有采用从你的数据中牟利的运营模式。

#### Google Analytics（分析）

[Matomo][31] —— 正式名为 Piwic，这是一个自托管的分析平台。虽然不像 Google 分析那样功能丰富，但可以很好地分析基本的网站流量，还有一个额外的好处，就是你无需为 Google 贡献流量数据了。

其它的替代方案：真的不多。[OpenWebAnalytics][32] 是另一个开源选择，还有一些营利性的选择，比如 GoStats 和 Clicky。

#### Android（安卓）

[LineageOS][33] + [F-Droid App Store][34]。可悲的是，智能手机世界已成为一个事实上的双头垄断，Google 的 Android 和 Apple 的 iOS 控制着整个市场。几年前存在的几个可用的替代品，如 Blackberry OS 或 Mozilla 的 Firefox OS，也已不再维护。

因此，只能选择次一级的 Lineage OS：一款注重隐私的、开源的 Android 版本，Google 服务及 APP 是选装的。这需要懂一些技术知识，因为安装的整个过程并不是那么一帆风顺，但运行状况良好，且不似大多数 Android 那般有大量预置软件。

其它的替代方案：呃…… Windows 10 Mobile？[PureOS][35] 看起来有那么点意思，[UbuntuTouch][36] 也差不多。

### 意想不到的挑战

首先，由于有关可用替代方案的优质资源匮乏，以及将数据从 Google 迁移到其它平台所面临的挑战，所以比我计划的时间要长许多。

但最棘手的是电子邮件，这与 ProtonMail 或 Google 无关。

在我 2004 年加入 Gmail 之前，我可能每年都会切换一次电子邮件。我的第一个帐户是使用 Hotmail，然后我使用了 Mail.com，Yahoo Mail 以及像 Bigfoot 这样被遗忘已久的服务。当我在变更电子邮件提供商时，我未曾记得有这般麻烦。我会告诉所有朋友，更新他们的地址簿，并更改其它网络帐户的邮箱地址。以前定期更改邮箱地址非常必要 —— 还记得曾几何时垃圾邮件是如何盘踞你旧收件箱的吗？

事实上，Gmail 最好的创新之一就是能够将垃圾邮件过滤掉。这意味着再也不用频繁更改邮箱地址了。

电子邮件是使用互联网的关键。你需要用它来开设 Facebook 帐户，使用网上银行，在留言板上发布等等。因此，当你决定切换帐户时，你就需要更新所有这些不同服务的邮箱地址。

令人惊讶的是，现在从 Gmail 迁出居然成为了最大的麻烦，因为遍地都需要通过邮箱地址来设置帐户。有几个站点不再允许你从后台执行此操作。有个服务事实上就是让我注销现在的帐户，然后开通一个新的，只因他们无法更改我的邮箱地址，然后他们手动转移了我的帐户数据。另一些迫使我打电话给客服要求更改邮箱地址，无谓的浪费了很多时间。

更令人惊讶的是，另一些服务接受了我的更改，却仍继续向我原来的 Gmail 帐户发送邮件，就需要打一次电话了。另一些甚至更烦人，向我的新电子邮件发送了一些消息，但仍在使用我的旧帐户发送其它电子邮件。这事最后变得异常繁琐，迫使我不得不将我的 Gmail 帐户和我新的 ProtonMail 帐户同时开了几个月，以确保重要的电子邮件不会丢失。这是我花了六个月时间的主要元凶。

如今人们很少变更他们的邮箱地址，大多数公司的平台在设计时就没有考虑去处理这种可能性。这是表明当今网络糟糕状态的一个明显迹象，即便是在 2002 年更改邮箱地址都比 2018 年来的容易。技术也并不总是一成不变的向前发展。

### 那么，这些 Google 的替代方案都好用吗？

有些确实更好！Jitsi Meet 运行更顺畅，需要的带宽更少，并且比 Hangouts 跨平台支持好。Firefox 比 Chrome 更稳定，占用的内存更少。Fastmail 的日历具有更好的时区集成。

还有些旗鼓相当。ProtonMail 具有 Gmail 的大部分功能，但缺少一些好用的集成，例如我之前使用的 Boomerang 邮件日程功能。还缺少联系人界面，但我正在使用 Nextcloud。说到 Nextcloud，它非常适合托管文件、联系人，还包含了一个漂亮的笔记工具（以及诸多其它插件）。但它没有 Google Docs 丰富的多人编辑功能。在我的预算中，还没有找到可行的替代方案。虽然还有 Collabora Office，但这需要升级我的服务器，这对我来说不能算切实可行。

一些取决于位置。在一些国家（如印度尼西亚），MAPS.ME 实际上比 Google 地图更好用，而在另一些国家（包括美国）就差了许多。

还有些要求用户牺牲一些特性或功能。Piwic 是一个穷人版的 Google Analytics，缺乏前者的许多详细报告和搜索功能。DuckDuckGo 适用于一般搜索，但是在特定的搜索方面还存在问题，当我搜索非英文内容时，它和 startpage 时常都会检索失败。

### 最后，我不再心念 Google

事实上，我觉得我解放了。如此这般依赖单一公司的那么多产品是一种形式上奴役，特别是当你的数据经常为你买单的时候。而且，其中许多替代方案实际上更好。清楚自己正掌控自己数据的感觉真得很爽。

如果我们别无选择，只能使用 Google 的产品，那我们便失去了作为消费者的最后一丝力量。

我希望 Google、Facebook、Apple 和其他科技巨头在对待用户时不要这么理所当然，不要试图强迫我们进入其无所不包的生态系统。我也期待新选手能够出现并与之竞争，就像以前一样，Google 的新搜索工具可以与当时的行业巨头 Altavista 和 Yahoo 竞争，或者说 Facebook 的社交网络能够与 MySpace 和 Friendster 竞争。Google 给出了更好的搜索方案，使互联网变得更加美好。有选择是个好事，可移植也是。

如今，我们很少有人哪怕只是尝试其它产品，因为我们已经习惯了 Google。我们不再更改邮箱地址，因为这太难了。我们甚至不尝试使用 Facebook 以外的替代品，因为我们所有的朋友都在 Facebook 上。这些我明白。

你不必完全脱离 Google。但最好给其它选择一个机会。到时候时你可能会感到惊讶，并想起那些年上网的初衷。

---

### 其它资源

我并未打算让这篇文章成为包罗万象的指南，这只不过是一个关于我如何脱离 Google 的故事。以下的那些资源会向你展示其它替代方案。其中有一些对我来说过于专业，还有一些我还没有时间去探索。

* [Localization Lab][2] 一份开源或注重隐私技术的项目的详细清单 —— 有些技术含量高，有些用户友好度比较好。
* [Framasoft][3] 有一整套针对 Google 的替代方案，大部分是开源的，虽然大部分是法语。
* Restore Privacy 也[整理了一份替代方案的清单][4]。

到你了。你可以直接回复或者通过 Twitter 来分享你喜欢的 Google 产品的替代方案。我确信我遗漏了许多，也非常乐意尝试。我并不打算一直固守我列出的这些方案。

---

作者简介：

Nithin Coca

自由撰稿人，涵盖政治，环境和人权以及全球科技的社会影响。更多参考 http://www.nithincoca.com

---

via: https://medium.com/s/story/how-i-fully-quit-google-and-you-can-too-4c2f3f85793a

作者：[Nithin Coca][a]
译者：[martin2011qi](https://github.com/martin2011qi)
校对：[pityonline](https://github.com/pityonline)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://medium.com/@excinit
[1]: https://medium.com/@excinit
[2]: https://www.localizationlab.org/projects/
[3]: https://framasoft.org/?l=en
[4]: https://restoreprivacy.com/google-alternatives/
[5]: https://medium.com/@excinit
[6]: https://www.nithincoca.com/2011/11/20/7-months-no-facebook/
[7]: https://www.quora.com/How-long-was-Gmail-in-private-%28invitation-only%29-beta
[8]: https://www.theverge.com/2018/4/28/17293056/facebook-deletefacebook-social-network-monopoly
[9]: https://en.wikipedia.org/wiki/Google_Play_Services
[10]: https://www.theguardian.com/world/2013/jun/06/us-tech-giants-nsa-data
[11]: https://takeout.google.com/settings/takeout
[12]: https://duckduckgo.com/
[13]: https://www.startpage.com/
[14]: https://www.mozilla.org/en-US/firefox/new/
[15]: https://www.seattletimes.com/business/firefox-is-back-and-its-time-to-give-it-a-try/
[16]: https://brave.com/
[17]: https://jitsi.org/jitsi-meet/
[18]: https://signal.org/
[19]: https://wego.here.com/
[20]: https://maps.me/
[21]: https://www.openstreetmap.org/
[22]: https://protonmail.com/
[23]: https://www.fastmail.com/
[24]: https://www.hushmail.com/
[25]: https://tutanota.com/
[26]: https://www.fastmail.com/
[27]: https://nextcloud.com/
[28]: https://letsencrypt.org/
[29]: https://owncloud.org/
[30]: https://www.openstack.org/
[31]: https://matomo.org/
[32]: http://www.openwebanalytics.com/
[33]: https://lineageos.org/
[34]: https://f-droid.org/en/
[35]: https://puri.sm/posts/tag/pureos/
[36]: https://ubports.com/
