开源网络方面的职位：创新与机遇的温床
======

> 诸如容器、边缘计算这样的技术焦点领域大红大紫，对在这一领域能够整合、协作、创新的开发者和系统管理员们的需求在日益增进。

![](https://www.linux.com/sites/lcom/files/styles/rendered_file/public/os-jobs-networking.jpg?itok=PgUzydn-)

随着全球经济更加靠近数字化未来，每个垂直行业的公司和组织都在紧抓如何进一步在业务与运营上整合与部署技术。虽然 IT 企业在很大程度上遥遥领先，但是他们的经验与教训已经应用在了各行各业。尽管全国失业率为 4.1%，但整个科技专业人员的整体的失业率在 4 月份为 1.9%，开源工作的未来看起来尤其光明。我在开源网络领域工作，并且目睹着创新和机遇正在改变世界交流的方式。

它曾经是个发展缓慢的行业，现在由网络运营商、供应商、系统集成商和开发者所组成的网络生态系统正在采用开源软件，并且正在向商用硬件上运行的虚拟化和软件定义网络上转移。事实上，接近 70% 的全球移动用户由[低频网络][1]运营商成员所占据。该网络运营商成员致力于协调构成开放网络栈和相邻技术的项目。

### 技能需求

这一领域的开发者和系统管理员采用云原生和 DevOps 的方法开发新的使用案例，应对最紧迫的行业挑战。诸如容器、边缘计算等焦点领域大红大紫，并且在这一领域能够整合、协作、创新的开发者和系统管理员们的需求在日益增进。

开源软件与 Linux 使这一切成为可能，根据最近出版的 [2018开源软件工作报告][2]，高达 80% 的招聘经理寻找会 Linux 技能的应聘者，**而 46% 希望在网络领域招聘人才，可以说“网络技术”在他们的招聘决策中起到了至关重要的作用。**

开发人员相当抢手，72% 的招聘经理都在找他们，其次是 DevOps 开发者（59%），工程师（57%）和系统管理员（49%）。报告同时指出，对容器技能需求的惊人的增长符合我们在网络领域所见到的，即云本地虚拟功能（CNF）的创建和持续集成／持续部署方式的激增，就如在 OPNFV 中的 [XCI 倡议][3] 一样。

### 开始吧

对于求职者来说，好消息是有着大量的关于开源软件的内容，包括免费的 [Linux 入门课程][4]。好的工作需要有多项证书，因此我鼓励你探索更多领域，去寻求培训的机会。计算机网络方面，在 [OPNFV][5] 上查看最新的培训课程或者是 [ONAP][6] 项目，也可以选择这门[开源网络技术简介][7]课程。

如果你还没有做好这些，下载 [2018 开源软件工作报告][2] 以获得更多见解，在广阔的开放源码技术世界中规划你的课程，去寻找另一边等待你的令人兴奋的职业！

点击这里[下载完整的开源软件工作报告][8]并且[了解更多关于 Linux 的认证][9]。

--------------------------------------------------------------------------------

via: https://www.linux.com/blog/os-jobs-report/2018/7/open-source-networking-jobs-hotbed-innovation-and-opportunities

作者：[Brandon Wick][a]
选题：[lujun9972](https://github.com/lujun9972)
译者：[LuuMing](https://github.com/LuuMing)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://www.linux.com/users/brandon-wick
[1]:https://www.lfnetworking.org/
[2]:https://www.linuxfoundation.org/publications/2018/06/open-source-jobs-report-2018/
[3]:https://docs.opnfv.org/en/latest/submodules/releng-xci/docs/xci-overview.html
[4]:https://www.edx.org/course/introduction-linux-linuxfoundationx-lfs101x-1
[5]:https://training.linuxfoundation.org/training/opnfv-fundamentals/
[6]:https://training.linuxfoundation.org/training/onap-fundamentals/
[7]:https://www.edx.org/course/introduction-to-software-defined-networking-technologies
[8]:https://www.linuxfoundation.org/publications/open-source-jobs-report-2018/
[9]:https://training.linuxfoundation.org/certification
