10 个在 Linux 上也有的流行的 Windows 程序
======

![](https://www.fossmint.com/wp-content/uploads/2018/08/Install-Windows-Apps-on-Linux.png)

回顾过去，2018 年是 Linux 社区的好年景。许多仅在 Windows 和/或 Mac上 有的程序可在 Linux 平台上使用了，而且不用麻烦。向 [Snap][3] 和 [Flatpak][4] 技术致敬，这些技术已经为 Linux 用户带来了许多“受限制”的程序。

**另请阅读**：[很酷的 Linux 程序和工具大全][5]

今天，我们为你提供了一个有名的 Windows 程序列表，你不需要寻找它们的替代品，因为它们已经在 Linux 上可用。

### 1、Skype

它可以说是世界上最受欢迎的 VoIP 程序，**Skype** 提供出色的视频和语音通话质量，以及其他功能，如拨打本地和国际电话、固定电话、即时消息、表情符号等功能。

```
$ sudo snap install skype --classic
```

### 2、Spotify

**Spotify** 是最流行的音乐流媒体平台，在很长一段时间里，Linux 用户需要使用脚本和一些手段才能在他们的机器上设置该程序，感谢 snap，安装和使用 Spotify 就像点击一个按钮那样简单。

```
$ sudo snap install spotify
```

### 3、Minecraft

**Minecraft** 被证明是一款年度好游戏。更酷的是，它持续地得到维护。如果你不了解 Minecraft，它是一款冒险游戏，它可以让你在一个无限无边的虚拟世界中使用积木创建任何你想创建的虚拟事物。

```
$ sudo snap install minecraft
```

### 4、JetBrains Dev Suite

**JetBrains** 以其高级的开发 IDE 套件而闻名，他们这个最受欢迎的程序声称可在 Linux 上使用而不会有任何麻烦。

#### 安装 IDEA Community – Java IDE

```
$ sudo snap install intellij-idea-community --classic
```

#### 安装 PyCharm EDU – Python IDE

```
$ sudo snap install pycharm-educational --classic
```

#### 安装 PhpStorm – PHP IDE

```
$ sudo snap install phpstorm --classic
```

#### 安装 WebStorm – JavaScript IDE

```
$ sudo snap install webstorm --classic
```

#### 安装 RubyMine – Ruby and Rails IDE

```
$ sudo snap install rubymine --classic
```

### 5、PowerShell

**PowerShell** 是一个用于管理 PC 自动化和配置的平台，它提供了一个带有相关脚本语言的命令行 shell。如果你认为它仅在 Windows 上可用，那么请再想一想。

```
$ sudo snap install powershell --classic
```

### 6、Ghost

**Ghost** 是一款现代桌面程序，可让用户在无干扰的环境中管理多个 Ghost 博客、杂志、在线出版物等。

```
$ sudo snap install ghost-desktop
```

### 7、MySQL Workbench

**MySQL Workbench** 是一个 GUI 程序，用于设计和管理集成 SQL 功能的数据库。

- [**下载 MySQL Workbench**][6]

### 8、PlayOnLinux 中的 Adobe App Suite 

你可能错过了我们在 [PlayOnLinux][7] 上发表的文章，所以这是另一个了解的机会。

PlayOnLinux 基本上是 **wine** 的改进版本，允许用户更轻松地安装 Adobe 的创意云程序。请注意，试用和订阅限制仍然适用。

- [**如何使用 PlayOnLinux**][8]

### 9、Slack

这据说是开发人员和项目经理之间最常用的团队沟通软件，**Slack** 提供了每个人似乎无法满足的有各种文档和消息管理功能的工作空间。

```
$ sudo snap install slack --classic
```

### 10、Blender

**Blender** 是最受欢迎的 3D 创作程序之一。它是免费的、开源的，并且支持完整 3D 管道。

```
$ sudo snap install blender --classic
```

就是这些了！我们知道列表还有很多，但我们只能列出这么多。我们是否省略了你认为应该将其列入清单的任何程序？在下面的评论栏添加你的建议。

--------------------------------------------------------------------------------

via: https://www.fossmint.com/install-popular-windows-apps-on-linux/

作者：[Martins D. Okoi][a]
选题：[lujun9972](https://github.com/lujun9972)
译者：[geekpi](https://github.com/geekpi)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://www.fossmint.com/author/dillivine/
[1]:https://plus.google.com/share?url=https://www.fossmint.com/install-popular-windows-apps-on-linux/ (Share on Google+)
[2]:https://www.linkedin.com/shareArticle?mini=true&url=https://www.fossmint.com/install-popular-windows-apps-on-linux/ (Share on LinkedIn)
[3]:https://www.fossmint.com/what-are-ubuntu-snaps-and-how-are-they-important/
[4]:https://www.fossmint.com/install-flatpak-in-linux/
[5]:https://www.fossmint.com/awesome-linux-software/
[6]:https://dev.mysql.com/downloads/workbench/
[7]:https://www.fossmint.com/playonlinux-another-open-source-solution-for-linux-game-lovers/
[8]:https://www.fossmint.com/adobe-creative-cloud-install-adobe-apps-on-linux/
