如何使用 Steam Play 在 Linux 上玩仅限 Windows 的游戏
======

> Steam 的新实验功能允许你在 Linux 上玩仅限 Windows 的游戏。以下是如何在 Steam 中使用此功能。

你已经听说过这个消息。游戏发行平台 [Steam 正在复刻一个 WINE 分支来允许你玩仅限于 Windows 上的游戏][1]。对于 Linux 用户来说，这绝对是一个好消息，因为我们总抱怨 Linux 的游戏数量不足。

这个新功能仍处于测试阶段，但你现在可以在 Linux 上试用它并在 Linux 上玩仅限 Windows 的游戏。让我们看看如何做到这一点。

### 使用 Steam Play 在 Linux 中玩仅限 Windows 的游戏

![Play Windows-only games on Linux][2]

你需要先安装 Steam。Steam 适用于所有主要 Linux 发行版。我已经详细介绍了[在 Ubuntu 上安装 Steam][3]，如果你还没有安装 Steam，你可以参考那篇文章。

安装了 Steam 并且你已登录到 Steam 帐户，就可以了解如何在 Steam Linux 客户端中启用 Windows 游戏。

#### 步骤 1：进入帐户设置

运行 Steam 客户端。在左上角，单击 “Steam”，然后单击 “Settings”。

![Enable steam play beta on Linux][4]

#### 步骤 2：选择加入测试计划

在“Settings”中，从左侧窗口中选择“Account”，然后单击 “Beta participation” 下的 “CHANGE” 按钮。

![Enable beta feature in Steam Linux][5]

你应该在此处选择 “Steam Beta Update”。

![Enable beta feature in Steam Linux][6]

在此处保存设置后，Steam 将重新启动并下载新的测试版更新。

#### 步骤 3：启用 Steam Play 测试版

下载好 Steam 新的测试版更新后，它将重新启动。到这里就差不多了。

再次进入“Settings”。你现在可以在左侧窗口看到新的 “Steam Play” 选项。单击它并选中复选框：

  * Enable Steam Play for supported titles （你可以玩列入白名单的 Windows 游戏）
  * Enable Steam Play for all titles （你可以尝试玩所有仅限 Windows 的游戏）

![Play Windows games on Linux using Steam Play][7]

我不记得 Steam 是否会再次重启，但我想这无所谓。你现在应该可以在 Linux 上看到安装仅限 Windows 的游戏的选项了。

比如，我的 Steam 库中有《Age of Empires》，正常情况下这个在 Linux 中没有。但我在 Steam Play 测试版启用所有 Windows 游戏后，现在我可以选择在 Linux 上安装《Age of Empires》了。

![Install Windows-only games on Linux using Steam][8]

*现在可以在 Linux 上安装仅限 Windows 的游戏*

### 有关 Steam Play 测试版功能的信息

在 Linux 上使用 Steam Play 测试版玩仅限 Windows 的游戏有一些事情你需要知道并且牢记。

  * 目前，[只有 27 个 Steam Play 中的 Windows 游戏被列入白名单][9]。这些白名单游戏可以在 Linux 上无缝运行。
  * 你可以使用 Steam Play 测试版尝试任何 Windows 游戏，但它可能不是总能运行。有些游戏有时会崩溃，而某些游戏可能根本无法运行。
  * 在测试版中，你无法 Steam 商店中看到适用于 Linux 的 Windows 限定游戏。你必须自己尝试游戏或参考[这个社区维护的列表][10]以查看该 Windows 游戏的兼容性状态。你也可以通过填写[此表][11]来为列表做出贡献。
  * 如果你在 Windows 中通过 Steam 下载了游戏，你可以[在 Linux 和 Windows 之间共享 Steam 游戏文件][12]来节省下载的数据。

我希望本教程能帮助你在 Linux 上运行仅限 Windows 的游戏。你期待在 Linux 上玩哪些游戏？

--------------------------------------------------------------------------------

via: https://itsfoss.com/steam-play/

作者：[Abhishek Prakash][a]
选题：[lujun9972](https://github.com/lujun9972)
译者：[geekpi](https://github.com/geekpi)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://itsfoss.com/author/abhishek/
[1]:https://linux.cn/article-10054-1.html
[2]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/08/play-windows-games-on-linux-featured.jpeg
[3]:https://itsfoss.com/install-steam-ubuntu-linux/
[4]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/08/enable-steam-play-beta.jpeg
[5]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/08/enable-steam-play-beta-2.jpeg
[6]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/08/enable-steam-play-beta-3.jpeg
[7]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/08/enable-steam-play-beta-4.jpeg
[8]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/08/install-windows-games-linux.jpeg
[9]:https://steamcommunity.com/games/221410
[10]:https://docs.google.com/spreadsheets/d/1DcZZQ4HL_Ol969UbXJmFG8TzOHNnHoj8Q1f8DIFe8-8/htmlview?sle=true#
[11]:https://docs.google.com/forms/d/e/1FAIpQLSeefaYQduMST_lg0IsYxZko8tHLKe2vtVZLFaPNycyhY4bidQ/viewform
[12]:https://linux.cn/article-8027-1.html
