7 tips for promoting your project and community on Twitter
======

![](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/birds_wire.png?itok=1RsjPYwB)

Communicating in open source is about sharing information, engaging, and building community. Here I'll share techniques and best practices for using Twitter to reach your target audience. Whether you are just starting to use Twitter or have been playing around with it and need some new ideas, this article's got you covered.

This article is based on my [Lightning Talk at UpSCALE][1], a session at the Southern California Linux Expo ([SCALE][2]) in March 2018, held in partnership with Opensource.com. You can see a video of my five-minute talk on [Opensource.com's YouTube][3] page and access my slides on [Slideshare][4].

### Rule #1: Participate

![](https://opensource.com/sites/default/files/uploads/promotingos_participate.jpg)

My tech marketing colleague [Amanda Katona][5] and I were talking about the open source community and the ways successful people and organizations use social media. We came up with the meme above. Basically, you have to be part of the community—participate, go to events, engage on Twitter, and meet people. When you share something on Twitter, people see it. In turn, you become known and part of the community.

So, the Number 1 rule in marketing for open source projects is: You have to be a member of the community. You have to participate.

### Start with a goal

Starting with a goal helps you stay focused, instead of doing a lot of different things or jumping on the latest "good idea." Since this is marketing for open source projects, following the tenets of open source helps keep the communications focused on the community, transparency, and openness.

There is a broad spectrum of goals depending on what you are trying to accomplish for your community, your organization, and yourself. Some ideas:

  * In general, grow the open source community.
  * Create awareness about the different open source projects going on by talking about and bringing attention to them.
  * Create a community around a new open source project.
  * Find things the community is sharing and share them further.
  * Talk about open source technologies.
  * Get your project into a foundation.
  * Build awareness of your project so you can get more users and/or contributors.
  * Work to be seen as an expert.
  * Take your existing community and grow it.



Above all, know why you are communicating and what you hope to accomplish. Otherwise, you might end up with a laundry list of things that dilute your focus, ultimately slowing progress towards your goals.

Goals help you stay focused on doing the most impactful things and even enable you to work less.

### Mix up your tweets

![](https://opensource.com/sites/default/files/uploads/promotingos_tweetmix.png)
Twitter is a great form of communication to reach a broad audience. There is a lot of content available that can help drive your goals: original content such as blogs and videos, third-party content from the community, and [engagement][6], which Twitter defines as the "total number of times a user interacted with a Tweet. Clicks anywhere on the tweet, including retweets, replies, follows, likes, links, cards, hashtags, embedded media, username, profile photo, or tweet expansion such as retweets and quote retweets."

When working in the open source community, weighing your Twitter posts toward 50% engagement and 20% community content is a good practice. It shows your expertise while being a good community member.

### Tweet throughout the day

There are many opinions on how often to tweet. My research turned up a wide variety of suggestions:

  * Up to 15 times a day
  * Minimum of five
  * Maximum of five
  * Five to 20 times a day
  * Three to five tweets a day
  * More than three and engagement drops off
  * Engagement changes whether you do four to five a day or 11-15 a day
  * And on and on and on!



I looked at my engagement stats and how often the influencers I follow tweet to determine the "magic number" of five to eight tweets a day for a business account and three to five per day for my personal account.

There are days I tweet more—especially if there is a lot of good community content to share! Some days I tweet less, especially if I'm busy and don't have time to find good content to share. On days when I find more good content than I want to share in one day, I store the web links in a spreadsheet so I can share them throughout the week.

### Follow Twitter best practices

By tweeting, monitoring engagement, and watching what others in the community are doing, I came up with this list of Twitter best practices.

  * Be consistently present on Twitter preferably daily or at least a couple of times a week.
  * Write your content to lead with what the community will find most interesting. For example, if you are sharing something about yourself and a community member, put the other person first in your tweet.
  * Whenever possible, give credit to the source by using their Twitter handle.
  * Use hashtags (#) as it makes sense to help the community find content.
  * Make sure all your tweets have an image.
  * Tweet like a community member or a person and not like a business. Let your personality show!
  * Put the most interesting part of the content at the beginning of a tweet.
  * Monitor Twitter for engagement opportunities:
    * Check your Twitter notifications tab daily.
    * Like and set up appropriate retweets and quote retweets.
    * Review your Twitter lists for engagement opportunities.
    * Check your numbers of followers, retweets, likes, comments, etc.



### Find your influencers

Knowing who the influencers in your industry are will help you find engagement opportunities and good content to share. Influencers can be technical, business-focused, inspirational, or even people posting pictures of dogs. The important thing is: Figure out who influences you.

Other ways to find your influencers:

  * Ask your team and other people in the community.
  * Do a little snooping: Look at the Twitter handles the industry people you respect follow on Twitter.
  * Follow industry hashtags, especially event hashtags. People who are into the event are tweeting and sharing using the event hashtag. I always find someone who has something interesting to say!



When I manage Twitter for companies, I create an Influencer List, which is a spreadsheet that lists influencers' Twitter handles and hashtags. I use this to feed Twitter Lists, which help you organize the people you follow and find content to share. Creating an Influencer List and Twitter Lists takes some time, but it's worth it once you finish!

Need some inspiration? Check out [my Twitter Lists][7]. Feel free to subscribe to them, copy them, and use them. They are always a work in process as I add or remove people; if you have suggestions, let me know!

### Engage with the community

That's what it's all about—engaging with the community! I mentioned earlier that my goal is for 50% of my daily activity to be engagement. Here's my daily to-do list to hit that goal:

  * Check my Notifications tab on Twitter
    * This is super important! If someone takes the time to respond on Twitter, I want to be prompt and respond to them.
    * Then I "like" the tweet and set up a retweet, a quote retweet, or a reply—whichever is the most appropriate.
  * Review my lists for engagement opportunities
  * See what the community is saying by reviewing tweets from my Twitter feed and my Lists
  * Check my list of hashtags common in the community to see what people are talking about



Based on the information I collect, I set up retweets and quote retweets throughout the day, using Twitter best practices, hashtags, and Twitter handles as it makes sense.

### More tips and tricks

There are many things you can do to promote your project, company, or yourself on Twitter. You don't have to do it all! Think hard about the time and other resources you have available—being consistent with your communications and your "community-first" message are most important.

Follow this checklist to ensure you're participating in the community—with your online presence, your outbound communications, or at events.

  * **Set goals:** This doesn't need to be a monumental exercise or a full marketing strategy, but do set some goals for your online presence.
  * **Resources:** Know your resources and the limits of your (and your team's) time.
  * **Audience:** Define your audience—who you are talking to?
  * **Content:** Choose the content types that fit your goals and available resources.
  * **Community content:** Finding good community content to share is an excellent place to start.
  * **On Twitter:**
    * Have a good profile.
    * Decide on the right number and type of daily tweets.
    * Draft tweets using best practices.
    * Allocate time for engagement. Consistency is more important than the amount of time you spend.
    * At a minimum, check your Notifications tab and respond.
  * **Metrics:** While this is the most time-consuming thing to set up, once it's done, it's easy to keep up.



I hope this gives you some Twitter strategy ideas. I welcome your comments, questions, and invitations to talk about Twitter and social media in open source! Either leave a message in the comments below or reach out to me on Twitter [@kamcmahon][7]. Happy tweeting!

--------------------------------------------------------------------------------

via: https://opensource.com/article/18/6/promote-your-project-twitter

作者：[Kim McMahon][a]
选题：[lujun9972](https://github.com/lujun9972)
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/kimmcmahon
[1]:https://opensource.com/article/18/5/promote-twitter-project
[2]:https://www.socallinuxexpo.org/scale/16x
[3]:https://www.youtube.com/watch?v=PnTJ4ZHRMuM&index=6&list=PL4jrq6cG7S45r6WC4MtODiwVMNQQVq9ny
[4]:https://www.slideshare.net/KimMcMahon1/promoting-your-open-source-project-and-building-online-communities-using-social-media
[5]:https://twitter.com/amanda_katona
[6]:https://help.twitter.com/en/managing-your-account/using-the-tweet-activity-dashboard
[7]:https://twitter.com/kamcmahon/lists
