Top 10 Microsoft Visio Alternatives for Linux
======
**Brief: If you are looking for a good Visio viewer in Linux, here are some alternatives to Microsoft Visio that you can use in Linux.**

[Microsoft Visio][1] is a great tool for creating or generating mission-critical diagrams and vector representations. While it may be a good tool for making floor plans or other kinds of diagrams - it is neither free nor open source.

Moreover, Microsoft Visio is not a standalone product. It comes bundled with Microsoft Office. We have already seen [open source alternatives to MS Office][2] in the past. Today we'll see what tools you can use in place of Visio on Linux.

## Best Microsoft Visio alternatives for Linux

![Microsoft Visio Alternatives for Linux][4]

Mandatory disclaimer here. The list is not a ranking. The product at number three is not better than the one at number six on the list.

I have also mentioned a couple of non open source Visio software that you can use from the web interface.

| Software | Type | License Type |
| LibreOffice Draw | Desktop Software | Free and Open Source |
| OpenOffice Draw | Desktop Software | Free and Open Source |
| Dia | Desktop Software | Free and Open Source |
| yED Graph Editor | Desktop and web-based | Freemium |
| Inkscape | Desktop Software  | Free and Open Source |
| Pencil | Desktop and web-based | Free and Open Source |
| Graphviz | Desktop Software | Free and Open Source |
| darw.io | Desktop and web-based | Free and Open Source  |
| Lucidchart | Web-based | Freemium |
| Calligra Flow | Desktop Software  | Free and Open Source |


### 1. LibreOffice Draw

![][5]

LibreOffice Draw module is one of the best open source alternatives to Microsoft Visio. With the help of it, you can either choose to make a quick sketch of an idea or a complex professional floor plan for presentation. Flowcharts, organization charts, network diagrams, brochures, posters, and what not! All that without even requiring to spend a penny.

Good thing is that it comes bundled with LibreOffice which is installed in most Linux distributions by default.

#### Overview of Key Features:

  * Style & Formatting tools to make Brochures/Posters
  * Calc Data Visualization
  * PDF-File editing capability
  * Create Photo Albums by manipulating the pictures from Gallery
  * Flexible Diagramming tools similar to the ones with Microsoft Visio (Smart Connectors, Dimension lines, etc.,)
  * Supports .VSD files (to open)



[LibreOffice Draw][6]

### 2. Apache OpenOffice Draw

![][7]

A lot of people do know about OpenOffice (on which LibreOffice project was initially based on) but they don't really mention Apache OpenOffice Draw as an alternative to Microsoft Visio. But, for a fact - it is yet another amazing open-source diagramming software tool. Unlike LibreOffice Draw, it does not support editing PDF files but it does offer drawing tools for any type of diagram creation.

Just a caveat here. Use this tool only if you have OpenOffice already on your system. This is because [installing OpenOffice][8] is a pain and it is [not properly developed anymore][9].

#### Overview of Key Features:

  * 3D Controller to create shapes quickly
  * Create (.swf) flash versions of your work
  * Style & Formatting tools
  * Flexible Diagramming tools similar to the ones with Microsoft Visio (Smart Connectors, Dimension lines, etc.,)



[Apache OpenOffice Draw][10]

### 3. Dia

![][11]

Dia is yet another interesting open source tool. It may not seem to be under active development like the other ones mentioned. But, if you were looking for a free and open source alternative to Microsoft Visio for simple and decent diagrams - Dia could be your choice. The only let down of this tool for you could be its user interface. Apart from that, it does let you utilize powerful tools for a complex diagram (but it may not look great - so we recommend it for simpler diagrams).

#### Overview of Key Features:

  * It can be used via command-line
  * Styling & Formatting tools
  * Shape Repository for custom shapes
  * Diagramming tools similar to the ones with Microsoft Visio (Special Objects, Grid Lines, Layers, etc.,)
  * Cross-platform



[Dia][12]

### 4. yED Graph Editor

yED Graph editor is one of the most loved free Microsoft Visio alternative. If you worry about it being a freeware but not an open source project, you can still utilize [yED's live editor][13] via your web browser for free. It is one of the best recommendations if you want to make diagrams quickly with a very easy-to-use interface.

#### Overview of Key Features:

  * Drag and drop feature for easy diagram making
  * Supports importing external data for linking



[yED Graph Editor][14]

### 5. Inkscape

![][15]

Inkscape is a free and open source vector graphics editor. You get the basic functionalities of creating a flowchart or a data flow diagram. It does not offer advanced diagramming tools but the basic ones to create simpler diagrams. So, Inkscape could be your Visio alternative only if you are looking to generate basic diagrams with the help of diagram connector tool by utilizing the available symbols from the library.

#### Overview of Key Features:

  * Connector Tool
  * Flexible drawing tools
  * Broad file format compatibility



[Inkscape][16]

### 6. Pencil Project

![][17]

Pencil Project is an impressive open source initiative that is available for both Windows and Mac along with Linux. It features an easy-to-use GUI which makes diagramming easier and convenient. A good collection of inbuilt shapes and symbols to make your diagrams look great. It also comes baked in with Android and iOS UI stencils to let you start prototyping apps when needed.

You can also have it installed as a Firefox extension - but the extension does not utilize the latest build of the project.

#### Overview of Key Features:

  * Browse cliparts easily (utilizing openclipart.org)
  * Export as an ODT file / PDF file
  * Diagram connector tool
  * Cross-platform



[Pencil Project][18]

### 7. Graphviz


![][19]

Graphviz is slightly different. It is not a drawing tool but a dedicated graph visualization tool. You should definitely utilize this tool if you are into network diagrams which require several designs to represent a node. Well, of course, you can't make a floor plan with this tool (it won't be easy at least). So, it is best-suited for network diagrams, bioinformatics, database connections, and similar stuff.

#### Overview of Key Features:

  * Supports command-line usage
  * Supports custom shapes & tabular node layouts
  * Basic stying and formatting tools



[Graphviz][20]

### 8. Draw.io

Draw.io is primarily a free web-based diagramming tool with powerful tools to make almost any type of diagrams. You just need to drag n drop and then connect them to create a flowchart, an E-R diagram, or anything relevant. Also, if you like the tool, you can try the [offline desktop version][21].

**Overview of Key Features:**

  * Direct uploads to a cloud storage service
  * Custom Shapes
  * Styling & Formatting tools
  * Cross-platform



[Draw.io][22]

### 9. Lucidchart

![][23]

Lucidchart is a premium web-based diagramming tool which offers a free subscription with limited features. You can utilize the free subscription to create several types of diagrams and export them as an image or a PDF. However, the free version does not support data linking and Visio import/export functionality. If you do not need data linking -Lucidchart could prove to be a very good tool while generating beautiful diagrams.

#### Overview of Key Features:

  * Integrations to Slack, Jira Core, Confluence
  * Ability to make product mockups
  * Import Visio files



[Lucidchart][24]

### 10. Calligra Flow

![calligra flow][25]

Calligra Flow is a part of [Calligra Project][26] which aims to provide free and open source software tools. With Calligra flow, you can easily create network diagrams, entity-relation diagrams, flowcharts, and more.

#### Overview of Key Features:

  * Wide range of stencil boxes
  * Styling and formatting tools



[Calligra Flow][27]

### Wrapping Up

Now that you know about the best free and open source Visio alternatives, what do you think about them?

Are they better than Microsoft Visio in any aspect of your requirements? Also, let us know in the comments below if we missed any of your favorite diagramming tools as an Linux alternative to Microsoft Visio.

--------------------------------------------------------------------------------

via: https://itsfoss.com/visio-alternatives-linux/

作者：[Ankush Das][a]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://itsfoss.com/author/ankush/
[1]:https://products.office.com/en/visio/flowchart-software
[2]:https://itsfoss.com/best-free-open-source-alternatives-microsoft-office/
[3]:data:image/gif;base64,R0lGODdhAQABAPAAAP///wAAACwAAAAAAQABAEACAkQBADs=
[4]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2017/12/visio-alternatives-linux-featured.png
[5]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2017/12/libreoffice-draw-microsoft-visio-alternatives.jpg
[6]:https://www.libreoffice.org/discover/draw/
[7]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2017/12/apache-open-office-draw.jpg
[8]:https://itsfoss.com/install-openoffice-ubuntu-linux/
[9]:https://itsfoss.com/openoffice-shutdown/
[10]:https://www.openoffice.org/product/draw.html
[11]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2017/12/dia-screenshot.jpg
[12]:http://dia-installer.de/
[13]:https://www.yworks.com/products/yed-live
[14]:https://www.yworks.com/products/yed
[15]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2017/12/inkscape-screenshot.jpg
[16]:https://inkscape.org/en/
[17]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2017/12/pencil-project.jpg
[18]:http://pencil.evolus.vn/Downloads.html
[19]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2017/12/graphviz.jpg
[20]:http://graphviz.org/
[21]:https://about.draw.io/integrations/#integrations_offline
[22]:https://about.draw.io/
[23]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2017/12/lucidchart-visio-alternative.jpg
[24]:https://www.lucidchart.com/
[25]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2017/12/calligra-flow.jpg
[26]:https://www.calligra.org/
[27]:https://www.calligra.org/flow/
