100 Best Ubuntu Apps
======

Earlier this year we have published the list of [20 Best Ubuntu Applications for 2018][1] which can be very useful to many users. Now we are almost in the second half of 2018, so today we are going to have a look at 100 best applications for Ubuntu which you will find very useful.

![100 Best Ubuntu Apps][2]

Many users who have recently switched to Ubuntu from Microsoft Windows or any other operating system face the dilemma of finding best alternative to application software they have been using for years on their previous OS. Ubuntu has thousands of free to use and open-source application software’s that perform way better than many paid software’s on Windows and other OS.

Following list features many application software in various categories, so that you can find best application which best matched to your requirements.

### **1\. Google Chrome Browser**

Almost all the Linux distributions feature Mozilla Firefox web browser by default and it is a tough competitor to Google Chrome. But Chrome has its own advantages over Firefox like Chrome gives you direct access to your Google account from where you can sync bookmarks, browser history, extensions, etc. from Chrome browser on other operating systems and mobile phones.

![Chrome][3]

Google Chrome features up-to-date Flash player for Linux which is not the case with other web browsers on Linux including Mozilla Firefox and Opera web browser. If you continuously use Chrome on Windows then it is best choice to use it on Linux too.

### 2\. **Steam**

Gaming on Linux is a real deal now, which was a distant dream few years ago. In 2013, Valve announced Steam gaming client for Linux and everything has changed since then. Earlier users were hesitant to switch to Linux from Windows just because they would not be able to play their favourite games on Ubuntu but that is not the case now.

![Steam][4]

Some users might find installing Steam on Linux tricky but it worth all your efforts as thousands of Steam games are available for Linux. Some popular high-end games like Counter Strike: Global Offensive, Hitman, Dota 2 are available for Linux, you just need to make sure you have minimum hardware required to play these games.

```
$ sudo add-apt-repository multiverse

$ sudo apt-get update

$ sudo apt-get install steam
```

### **3\. WordPress Desktop Client**

Yes you read it correct, WordPress has its dedicated desktop client for Ubuntu from where you can manage your WordPress sites. You can also write and design separately on desktop client without need for switching browser tabs.

![][5]

If you have websites backed by WordPress then this desktop client is must have application for you as you can also keep track of all the WordPress notifications in one single window. You can also check stats for performance of posts on website. Desktop client is available in Ubuntu Software Centre from where you can download and install it.

### **4\. VLC Media Player**

VLC is a very popular cross-platform and open-source media player which is also available for Ubuntu. What makes VLC a best media player is that it can play videos in all the Audio and Video formats available on planet without any issue.

![][6]

VLC has a slick user interface which is very easy to use and apart from that it offers lot of features such as online video streaming, audio and video customization, etc.

```
$ sudo add-apt-repository ppa:videolan/master-daily
$ sudo apt update
$ sudo apt-get install vlc qtwayland5
```

### **5\. Atom Text Editor**

Having developed by Github, Atom is a free and open-source text editor which can also be used as Integrated Development Environment (IDE) for coding and editing in major programming languages. Atom developers claim it to be a completely hackable text editor for 21st Century.

![][7]

Atom Text Editor has one of the best user interfaces and it is a feature rich text editor with offerings like auto-completion, syntax highlighting and support of extensions and plug-ins.

```
$ sudo add-apt-repository ppa:webupd8team/atom
$ sudo apt-get update
$ sudo apt-get install atom
```

### **6\. GIMP Photo Editor**

GIMP (GNU Image Manipulation Programme) is free and open-source photo editor for Ubuntu. It is arguably a best alternative to Adobe Photoshop on Windows. If you have been continuously using Adobe Photoshop and finding it difficult to get used to GIMP, then you can customize GIMP to look very similar to Photoshop.

![][8]

GIMP is a feature rich Photo editor and you can always use additional features by installing extensions and plug-ins anytime.

```
$ sudo apt-get install gimp
```

### **7\. Google Play Music Desktop Player**

Google Play Music Desktop Player is an open-source music player which is replica of Google Play Music or you can say it’s better than that. Google always lacked a desktop music client but this third-party app fills the void perfectly.

![][9]

Like you can see in above screenshot, its interface is second to none in terms of look and feel. You just need to sign in into Google account and then it will import all your music and favorites into this desktop client. You can download installation files from its official [website][10] and install it using Software Center.

### **8\. Franz**

Franz is an instant messaging client that combines chat and messaging services into one application. It is one of the modern instant messaging platforms and it supports Facebook Messenger, WhatsApp, Telegram, HipChat, WeChat, Google Hangouts, Skype integration under one single application.

![][11]

Franz is complete messaging platform which you can use for business as well to manage mass customer service. To install Franz you need to download installation package from its [website][12] and open it using Software Center.

### **9\. Synaptic Package Manager**

Synaptic Package Manager is one of the must have tools on Ubuntu because it works for graphical interface for ‘apt-get’ command which we usually use to install apps on Ubuntu using Terminal. It gives tough competition to default app stores on various Linux distros.

![][13]

Synaptic comes with very simple user interface which is very fast and easy to use as compared to other app stores. On left-hand side you can browse various apps in different categories from where you can easily install and uninstall apps.

```
$ sudo apt-get install synaptic
```

### **10\. Skype**

Skype is a very popular cross-platform video calling application which is now also available for Linux as a Snap app. Skype is an instant messaging application which offers features like voice and video calls, desktop screen sharing, etc.

![][14]

Skype has an excellent user interface which very similar to desktop client on Windows and it is very easy to use. It could be very useful app for many switchers from Windows.

```
$ sudo snap install skype
```

### **13\. VirtualBox**

VirtualBox is a cross-platform virtualization software application developed by Oracle Corporation. If you love trying out new operating systems then VirtualBox is the must have Ubuntu application for you. You can tryout Linux, Mac inside Windows Operating System or Windows and Mac inside Linux.

![][15]

What VB actually does is it lets you run guest operating system on host operating system virtually. It creates virtual hard drive and installs guest OS on it. You can download and install VB directly from Ubuntu Software Center.

### **12\. Unity Tweak Tool**

Unity Tweak Tool (Gnome Tweak Tool) is must have tool for every Linux user because it gives user ability to customize desktop according to your need. You can try new GTK themes, set up desktop hot corners, customize icon set, tweak unity launcher, etc.

![][16]

Unity Tweak Tool can be very useful to user as it has everything covered right from the basic to advanced configurations.

```
$ sudo apt-get install unity-tweak-tool
```

### **13\. Ubuntu Cleaner**

Ubuntu Cleaner is a system maintenance tool especially designed to remove packages that are no longer useful, remove unnecessary apps and clean-up browser caches. Ubuntu Cleaner has very simple user interface which is very easy to use.

![][17]

Ubuntu Cleaner is one of the best alternatives to BleachBit which is also a decent cleaning tool available for Linux distros.

```
$ sudo add-apt-repository ppa:gerardpuig/ppa
$ sudo apt-get update
$ sudo apt-get install ubuntu-cleaner
```

### 14\. Visual Studio Code

Visual Studio Code is code editor which you will find very similar to Atom Text Editor and Sublime Text if you have already used them. Visual Studio Code proves to be very good educational tool as it explains everything from HTML tags to syntax in programming.

![][18]

Visual Studio comes with Git integration out of the box and it has excellent user interface which you will find very similar to likes of Atom Text Editor and Sublime Text. You can download and install it from Ubuntu Software Center.

### **15\. Corebird**

If you are looking for desktop client where you can use your Twitter then Corebird Twitter Client is the app you are looking for. It is arguably best Twitter client available for Linux distros and it offers features very similar to Twitter app on your mobile phone.

![][19]

Corebird Twitter Client also gives notifications whenever someone likes and retweets your tweet or messages you. You can also add multiple Twitter accounts on this client.

```
$ sudo snap install corebird
```

### **16\. Pixbuf**

Pixbuf is a desktop client from Pixbuf photo community hub which lets you upload, share and sale your photos. It supports photo sharing to social media networks like Facebook, Pinterest, Instagram, Twitter, etc. and photography services including Flickr, 500px and Youpic.

![][20]

Pixbuf offers features like analytics which gives you stats about clicks, retweets, repins on your photo, scheduled posts, dedicated iOS extension. It also has mobile app, so that you can always be connected with your Pixbuf account from anywhere. Pixbuf is available for download in Ubuntu Software Center as a snap package.

### **17\. Clementine Music Player**

Clementine is a cross-platform music player and a good competitor to Rhythmbox which is default music player on Ubuntu. It is fast and easy to use music player thanks to its user friendly interface. It supports audio playback in all the major audio file formats.

![][21]

Apart from playing music from local library you can also listen to online radio from Spotify, SKY.fm, Soundcloud, etc. It also offers other features like smart and dynamic playlists, syncing music from cloud storages like Dropbox, Google Drive, etc.

```
$ sudo add-apt-repository ppa:me-davidsansome/clementine 
$ sudo apt-get update
$ sudo apt-get install clementine
```

### **18\. Blender**

Blender is free and open-source 3D creation application software which you can use to create 3D printed models, animated films, video games, etc. It comes with integrated game engine out of the box which you can use to develop and test video games.

![blender][22]

Blender has catchy user interface which is easy to use and it includes features like built-in render engine, digital sculpturing, simulation tool, animation tools and many more. It is one of the best applications you will ever find for Ubuntu considering it’s free and features it offers.

### **19\. Audacity**

Audacity is an open-source audio editing application which you can use to record, edit audio files. You can record audio from various inputs like microphone, electric guitar, etc. It also gives ability to edit and trim audio clips according to your need.

![][23]

Recently Audacity released with new features for Ubuntu which includes theme improvements, zoom toggle command, etc. Apart from these it offers features like various audio effects including noise reduction and many more.

```
$ sudo add-apt-repository ppa:ubuntuhandbook1/audacity
$ sudo apt-get update 
$ sudo apt-get install audacity
```

### **20\. Vim**

Vim is an Integrated Development Environment which you can use as standalone application or command line interface for programming in various major programming languages like Python.

![][24]

Most of the programmers prefer coding in Vim because it is fast and highly customizable IDE. Initially you might find it difficult to use but you will quickly get used to it.

```
$ sudo apt-get install vim
```

### **21\. Inkscape**

Inkscape is an open-source and cross-platform vector graphics editor which you will find very much similar to Corel Draw and Adobe Illustrator. Using it you can create and edit vector graphics such as charts, logos, diagrams, illustrations, etc.

![][25]

Inkscape uses Scalable Vector Graphics (SVG) and an open XML-based W3C standard as a primary format. It supports various formats including JPEG, PNG, GIF, PDF, AI (Adobe Illustrator Format), VSD, etc.

```
$ sudo add-apt-repository ppa:inkscape.dev/stable
$ sudo apt-get update
$ sudo apt-get install inkscape
```

### **22\. Shotcut**

Shotcut is a free, open-source and cross-platform video editing application developed by Meltytech, LLC on the MLT Multimedia Framework. It is one of the most powerful video editors you will ever find for Linux distros as it supports all the major audio, video and image formats.

![][26]

It gives ability to edit multiple tracks with various file formats using non-linear video editing. It also comes with support for 4K video resolutions and features like various audio and video filters, tone generator, audio mixing and many others.

```
snap install shotcut -- classic
```

### **23\. SimpleScreenRecorder**

SimpleScreenRecorder is a free and lightweight screen video recorder for Ubuntu. This screen recorder can be very useful tool for you if you are a YouTube creator or application developer.

![][27]

It can capture a video/audio record of desktop screen or record video games directly. You can set video resolution, frame rate, etc. before starting the screen recording. It has simple user interface which you will find very easy to use.

```
$ sudo add-apt-repository ppa:marten-baert/simplescreenrecorder
$ sudo apt-get update
$ sudo apt-get install simplescreenrecorder
```

### **24\. Telegram**

Telegram is a cloud-based instant messaging and VoIP platform which has got lot of popularity in recent years. It is an open-source and cross-platform messenger where user can send messages, share videos, photos, audio and other files.

![][28]

Some of the notable features in Telegram are secrete chats, voice messages, bots, telescope for video messages, live locations and social login. Privacy and security is at highest priority in Telegram, so all messages you send and receive are end-to-end encrypted.

```
```
$ sudo snap install telegram-desktop

### **25\. ClamTk**

As we know viruses meant to harm Windows PC cannot do any harm to Ubuntu but it is always prone to get infected by some mails from Windows PC containing harmful files. So it is safe to have some antivirus applications on Linux too.

![][29]

ClamTk is a lightweight malware scanner which scans files and folders on your system and cleans if any harmful files are found. ClamTk is available as a Snap package and can be downloaded from Ubuntu Software Center.

### **26\. MailSpring**

MailSpring earlier known as Nylas Mail or Nylas N1 is an open-source email client. It saves all the mails locally on computer so that you can access them anytime you need. It features advanced search which uses AND and OR operations so that you can search for mails based on different parameters.

![][30]

MailSpring comes with excellent user interface which you will find only on handful of other mail clients. Privacy and security, scheduler, contact manager, calendar are some of the features MailSpring offers.

### **27\. PyCharm**

PyCharm is one of my favorite Python IDEs after Vim because it has slick user interface with lot of extensions and plug-in support. Basically it comes in two editions, one is community edition which is free and open-source and other is professional edition which is paid one.

![][31]

PyCharm is highly customizable IDE and sports features such as error highlighting, code analysis, integrated unit testing and Python debugger, etc. PyCharm is the preferred IDE by most of the Python programmers and developers.

### **28\. Caffeine**

Imagine you are watching something on YouTube or reading a news article and suddenly Ubuntu locks your screen, I know that is very annoying. It happens with many of us, so Caffeine is the tool that will help you block the Ubuntu lock screen or screensaver.

![][32]

Caffeine Inhibitor is lightweight tool, it adds icon on notification bar from where you can activate or deactivate it easily. No additional setting needs to be done in order to use this tool.

```
$ sudo add-apt-repository ppa:eugenesan/ppa
$ sudo apt-get update
$ sudo apt-get install caffeine -y
```

### **29\. Etcher USB Image Writer**

Etcher is an open-source USB Image Writer developed by resin.io. It is a cross-platform application which helps you burn image files like ZIP, ISO, IMG to USB storage. If you always try out new OS then Etcher is the must have tool for you as it is easy to use and reliable.

![][33]

Etcher has clean user interface that guides you through process of burning image file to USB drive or SD card in three easy steps. Steps involve selecting Image file, selecting USB drive and finally flash (writes files to USB drive). You can download and install Etcher from its [website][34].

### **30\. Neofetch**

Neofetch is a cool system information tool that gives you all the information about your system by running “neofetch” command in Terminal. It is cool tool to have because it gives you information about desktop environment, kernel version, bash version and GTK theme you are running.

![][35]

As compared to other system information tools Nefetch is highly customizable tool. You can perform various customizations using command line.

```
$ sudo add-apt-repository ppa:dawidd0811/neofetch
$ sudo apt-get update
$ sudo apt-get update install neofetch
```

### 31\. Liferea

Liferea (Linux Feed Reader) is a free and open-source news aggregator for online news feeds. It is a fast and easy to use new aggregator that supports various formats such as RSS/RDF, Atom, etc.

![][36]
Liferea comes with sync support with TinyTinyRSS out of the box and it gives you an ability to read feeds in offline mode. It is one of the best feed readers you will find for Linux in terms of reliability and flexibility.

```
$ sudo add-apt-repository ppa:ubuntuhandbook1/apps
$ sudo apt-get update
$ sudo apt-get install liferea
```

### 32\. Shutter

It is easy to take screenshots in Ubuntu but when it comes to edit screenshots Shutter is the must have application for you. It helps you capture, edit and share screenshots easily. Using Shutter’s selector tool you can select particular part of your screen to take screenshot.

![][37]

Shutter is a feature-rich screenshot tool which offers features like adding effects to screenshot, draw lines, etc. It also gives you option to upload your screenshot to various image hosting sites. You can directly download and install Shutter from Software Center.

### 33\. Weather

Weather is a small application which gives you real-time weather information for your city or any other location in the world. It is simple and lightweight tool which gives you detailed forecast of up to 7 days and hourly details for current and next day.

![][38]

It integrates with GNOME shell to give you information about current weather conditions at recently searched locations. It has minimalist user interface which works smoothly on minimum hardware requirement.

### 34\. Ramme

Ramme is cool unofficial Instagram desktop client which gives you feel of Instagram mobile phone app. It is an Electron-based client so it replicates Instagram app and offers features like theme customization, etc.

![][39]

But due to Instagram’s API restrictions you can’t upload image using Ramme client but you can always go through Instagram feed, like and comment on posts, message friends. You can download Ramme installation files from[Github.][40]

### **35\. Thunderbird**

Thunderbird is an open-source email client which is also a default email client in most of the Linux distributions. Despite parting ways with Mozilla in 2017, Thunderbird is still very popular and best email client on Linux platform. It comes with features like spam filtering, IMAP and POP email syncing, calendar support, address book integration and many other features out of the box.

![][41]

It is a cross-platform email client with full community support across all supported platforms. You can always change its look and feel thanks to its highly customizable nature.

### **36\. Pidgin**

Pidgin is an instant messaging client where you can login into different instant messaging networks under single window. You can login to instant messaging networks like Google Talk, XMPP, AIM, Bonjour, etc.

![][42]

Pidgin has all the features you can expect in an instant messenger and you can always enhance its performance by installing additional plug-ins.

```
```
$ sudo apt-get install pidgin

### **37\. Krita**

Krita is a free and open-source digital painting, editing and animation application developed by KDE. It has excellent user interface with everything placed perfectly so that you can easily find the tool you need.

![][43]

It uses OpenGL canvas which boosts Krita’s performance and it offers many features like different painting tools, animation tools, vector tools, layers and masks and many more. Krita is available in Ubuntu Software Center, you can easily download it from there.

### **38\. Dropbox**

Dropbox is stand-out player in cloud storage and its Linux clients works really well on Ubuntu once installed properly. While Google Drive comes out of the box on Ubuntu 16.04 LTS and later, Dropbox is still a preferred cloud storage tool on Linux in terms of features it offers.

![][44]
It always works in background and back up new files from your system to cloud storage, syncs files continuously between your computer and its cloud storage.

```
$ sudo apt-get install nautilus-dropbox
```

### 39\. Kodi

Kodi formerly known as Xbox Media Center (XBMC) is an open-source media player. You can play music, videos, podcasts and video games both in online and offline mode. This software was first developed for first generation of Xbox gaming console and then slowly ported to personal computers.

![][45]

Kodi has very impressive video interface which is fast and powerful. It is highly customizable media player and by installing additional plug-ins you can access online streaming services like Pandora, Spotify, Amazon Prime Video, Netflix and YouTube.

### **40\. Spotify**

Spotify is one of the best online media streaming sites. It provides music, podcast and video streaming services both on free and paid subscription basis. Earlier Spotify was not supported on Linux but now it has its own fully functional desktop client for Ubuntu.

![][46]

Alongside Google Play Music Desktop Player, Spotify is must have media player for you. You just need to login to your Spotify account to access your favorite online content from anywhere.

### 41\. Brackets

Brackets is an open-source text editor developed by Adobe. It can be used for web development and design in web technologies such as HTML, CSS and JavaScript. It sports live preview mode which is great feature to have as it can get real-time view of whatever the changes you make in script.

![][47]

It is one of the modern text editors on Ubuntu and has slick user interface which takes web development task to new level. It also offers features like inline editor and supports for popular extensions like Emmet, Beautify, Git, File Icons, etc.

### 42\. Bitwarden

Account safety is serious concern now as we can see rise in security breaches in which users passwords are stolen and important data being compromised. So Bitwarden is recommended tool for you which stores all your account logins and passwords safe and secure at one place.

![][48]

Bitwarden uses AES-256 bit encryption technique to store all the login details and only user has access to his data. It also helps you to create strong passwords which are less likely to be hacked.

### 43\. Terminator

Terminator is an open-source terminal emulator programmed and developed in Java. It is a cross-platform emulator which lets you have privilege of multiple terminals in one single window which is not the case in Linux default terminal emulator.

![][49]

Other stand-out feature in Terminator includes automatic logging, drag and drop, intelligent vertical and horizontal scrolling, etc.

```
$ sudo apt-get install terminator
```

### 44\. Yak Yak

Yak Yak is an open-source unofficial desktop client for Google Hangouts messenger. It could be good alternative to Microsoft’s Skype as it comes with bunch of some amazing features out of the box. You can enable desktop notifications, language preferences, and works on minimal memory and power requirements.

![][50]

Yak Yak comes with all the features you would expect in any instant messaging app such as typing indicator, drag and drop media files, and audio/video calling.

### 45\. **Thonny**

Thonny is a simple and lightweight IDE especially designed for beginners in programming. If you are new to programming then this is the must have IDE for you because it lets you learn while programming in Python.

![][51]

Thonny is also great tool for debugging as it supports live variables during debugging, apart from this it offers features like separate windows for executing function call, simple user interface, etc.

```
$ sudo apt-get install thonny
```

### **46\. Font Manager**

Font Manager is a lightweight tool for managing, adding or removing fonts on your Ubuntu system. It is specially built for Gnome desktop environment, users don’t having idea about managing fonts using command line will find this tool very useful.

![][52]

Gtk+ Font Manager is not meant to be for professional users, it has simple user interface which you will find very easy to navigate. You just need to download font files from internet and add them using Font Manager.

$ sudo add-apt-repository ppa:font-manager/staging
$ sudo apt-get update
$ sudo apt-get install font-manager

### **47\. Atril Document Viewer**

Atril is a simple document viewer which supports file formats like Portable Document Format (PDF), PostScript (PS), Encapsulated PostScript (EPS), DJVU and DVI. Atril comes bundled with MATE desktop environment and it is identical to Evince which is default document on the most of the Linux distros.

![][53]

Atril has simple and lightweight user interface which is highly customizable and offers features like search, bookmarks and UI includes thumbnails on the left-hand side.

```
$ sudo apt-get install atril
```

### **48\. Notepadqq**

If you have ever used Notepad++ on Windows and looking for similar program on Linux then don’t worry developers have ported it to Linux as Notepadqq. It is a simple yet powerful text editor which you can use for daily tasks or programming in various languages.

![][54]

Despite being a simple text editor it has some amazing features like you can set theme between dark and light color scheme, multiple selection, regular expression search and real-time highlighting.

```
$ sudo add-apt-repository ppa:notpadqq-team/notepadqq
$ sudo apt-get update
$ sudo apt-get install notepadqq
```

### **49\. Amarok**

Amarok is an open-source music player developed under KDE projetct. It has an intuitive interface which makes you feel home so you can discover your favorite music easily. Besides Clementine, Amarok is very good choice to have when you are looking for perfect music player for Ubuntu.

![][55]

Some of the top features in Amarok include intelligent playlist support, integration support for online services like MP3tunes, Last.fm, Magnatune, etc.

### **50\. Cheese**

Cheese is a Linux default webcam application which can be useful to you in some video chat or instant messaging applications. Apart from that you can also use this app to take photos and videos with fancy effects.

![][56]

It also sports burst mode which lets you take multiple snaps in quick succession and option to share your photos with friends and family. Cheese come pre-installed with most of the Linux distros but you can also download and install it from Software Center.

### **51\. MyPaint**

MyPaint is a free and open-source raster graphics editor which focuses on digital painting rather than image manipulation and post processing. It is cross-platform application and more or less similar to Corel Painter.

![][57]

MyPaint could be good alternative to those who use Microsoft Paint application on Windows. It has simple user interface which is fast and powerful. MyPaint is available is Software Center for download.

### **52\. PlayOnLinux**

PlayOnLinux is a front-end for WINE emulator which allows you to run Windows applications on Linux. You just need to install Windows applications and game on WINE then you can easily launch applications and games using PlayOnLinux.

![][58]

### **53\. Akregator**

Akregator is a default RSS reader for KDE Plasma Environment developed under KDE project. It has simple user interface and comes with KDE’s Konqueror browser so that you don’t need to switch between apps while reading news feeds.

![][59]

Akregator also offers features like desktop notifications, automatic feeds, etc. It is one of the best feed readers you will find for across most of the Linux distros.

### **54\. Brave**

Brave is an open-source web browser which blocks ads and trackers so that you can browse your content fast and safely. What it actually does is that it pays to websites and YouTubers on behalf of you. If you prefer contributing to websites and YouTubers rather than seeing advertisements then this browser is for you.

![][60]

This is a new concept and could be good browser for those who prefer safe browsing without compromising important data on internet.

### **55\. Bitcoin Core**

Bitcoin Core is an official Bitcoin client which is highly secure and reliable. It keeps track of all your transactions and makes sure all transactions are valid. It restricts Bitcoin miners and banks from taking full control of your Bitcoin wallet.

![][61]

Bitcoin Core also offers other important features like, private keys backup, cold storage, security notifications.

```
$ sudo add-apt-repository ppa:bitcoin/bitcoin
$ sudo apt-get update
$ sudo apt-get install bitcoin-qt
```

### **56\. Speedy Duplicate Finder**

Speedy Duplicate Finder is a cross-platform file finder which helps you find duplicate files on your system and free-up disk space. It is a smart tool which searches for duplicate files on entire hard disk and also features smart filter which helps you find file by file type, extension or size.

![][62]

It has a simple and clean user interface which is very easy to handle. As soon as you download it from Software Center you are good to go with disk space clean-up.

### **57\. Zulip**

Zulip is a free and open-source group chat application which was acquired by Dropbox. It is written in Python and uses PostgreSQL database. It was designed and developed to be a good alternative to other chat applications like Slack and HipChat.

![][63]

Zulip is a feature-rich application with features such as drag and drop files, group chats, private messaging, image previews and many more. It also supports integration with likes of Github, JIRA, Sentry, and hundreds of other services.

### **58\. Okular**

Okular is a cross-platform document viewer developed by KDE for KDE desktop environment. It is a simple document viewer and supports file formats like Portable Document Format (PDF), PostScript, DjVu, Microsoft Compiled HTML help, and many other major file formats.

![][64]

Okular is one of the best document viewers you should try on Ubuntu as it offers features like commenting on PDF documents, drawing lines, highlighting and much more. You can also extract text from PDF document to text file.

### **59\. FocusWriter**

FocusWriter is a distraction-free word processor which hides your desktop screen so that you can only focus on writing. Like you can see in the screenshot below whole Ubuntu screen is hidden, it’s just you and your word processor. But you can always access Ubuntu screen whenever you need it by just moving your mouse cursor to the edges of the screen.

![][65]

It is a lightweight word processor with support for file formats like TXT, RTF and ODT files. It also offers fully customizable user interface and features like timers and alarms, daily goals, sound effects and support for translation into 20 languages.

### **60\. Guake**

Guake is a cool drop-down terminal for GNOME Desktop Environment. Guake comes in a flash whenever you need it and disappears as soon as your task is completed. You just need to click F12 button to launch or exit it so launching Guake is way faster than launching new Terminal window.

![][66]

Guake is a feature-rich terminal with features like support for multiple tabs, ability to save your terminal content to file in few clicks, and fully customizable user interface.

```
$ sudo apt-get install guake
```

### **61\. KDE Connect**

KDE Connect is an awesome application on Ubuntu and I would have loved to list this application much higher in this marathon article but competition is intense. Anyways KDE Connect helps you get your Android smartphone notifications directly on Ubuntu desktop.

![][67]

With KDE Connect you can do whole lot of other things like check your phones battery level, exchange files between computer and Android phone, clipboard sync, send SMS, and you can also use your phone as wireless mouse or keyboard.

```
$ sudo add-apt-repository ppa:webupd8team/indicator-kedeconnect
$ sudo apt-get update
$ sudo apt-get install kdeconnect indicator-kdeconnect
```

### **62\. CopyQ**

CopyQ is a simple but very useful clipboard manager which stores content of the system clipboard whenever any changes you make so that you can search and restore it back whenever you need. It is a great tool to have as it supports text, images, HTML and other formats.

![][68]

CopyQ comes pre-loaded with features like drag and drop, copy/paste, edit, remove, sort, create, etc. It also supports integration with text editors like Vim, so it could be very useful tool if you are a programmer.

```
$ sudo add-apt-repository ppa:hluk/copyq
$ sudo apt-get update
$ sudo apt-get install copyq
```

### **63\. Tilix**

Tilix is feature-rich advanced GTK3 tiling terminal emulator. If you uses GNOME desktop environment then you’re going to love Tilix as it follows GNOME Human Interface Guidelines. What Tilix emulator offers different than default terminal emulators on most of the Linux distros is it gives you ability to split terminal window into multiple terminal panes.

![][69]

Tilix offers features like custom links, image support, multiple panes, drag and drop, persistent layout and many more. It also has support for keyboard shortcuts and you can customize shortcuts from the Preferences settings according to your need.

```
$ sudo add-apt-repository ppa:webupd8team/terminix
$ sudo apt-get update
$ sudo apt-get install tilix
```

### **64\. Anbox**

Anbox is an Android emulator which lets you install and run Android apps on your Linux system. It is free and open-source Android emulator that executes Android runtime environment by using Linux Containers. It uses latest Linux technologies and Android releases so that you can run any Android app like any other native application.

![][70]

Anbox is one of the modern and feature-rich emulators and offers features like no limit for application use, powerful user interface, and seamless integration with host operating system.

First you need to install kernel modules.

```
$ sudo add-apt-repository ppa:morphis/anbox-support
$ sudo apt-get update
$ sudo apt install anbox-modules-dkms Now install Anbox using snap
$ snap install --devmode -- beta anbox
```

### **65\. OpenShot**

OpenShot is the best open-source video editor you will find for Linux distros. It is a cross-platform video editor which is very easy to use without any compromise with its performance. It supports all the major audio, video and image formats.

![][71]

OpenShot has clean user interface and offers features like drag and drop, clip resizing, scaling, trimming, snapping, real-time previews, audio mixing and editing and many other features.

```
$ sudo add-apt-repository ppa:openshot.developers/ppa
$ sudo apt-get update
$ sudo apt-get install openshot -qt
```

### **66\. Plank**

If you are looking for cool and simple dock for your Ubuntu desktop then Plank should be #1 choice for you. It is perfect dock and you don’t need to make any tweaks after installation but if you want to, then it has built-in preferences panel where you can customize themes, dock size and position.

![][72]

Despite being a simple dock, Plank offers features like item rearrangement by simple drag and drop, pinned and running apps icon, transparent theme support.

```
$ sudo add-apt-repository ppa:ricotz/docky
$ sudo apt-get update
$ sudo apt-get install plank
```

### **67\. Filezilla**

Filezilla is a free and cross-platform FTP application which sports FileZilla client and server. It lets you transfer files using FTP and encrypted FTP like FTPS and SFTP and supports IPv6 internet protocol.

![][73]

It is simple file transfer application with features like drag and drop, support for various languages used worldwide, powerful user interface for multitasking, control and configures transfer speed and many other features.

### **68\. Stacer**

Stacer is an open-source system diagnostic tool and optimizer developed using Electron development framework. It has an excellent user interface and you can clean cache memory, start-up applications, uninstall apps that are no longer needed, monitor background system processes.

![][74]

It also lets you check disk, memory and CPU usage and also gives real-time stats of downloads and uploads. It looks like a tough competitor to Ubuntu cleaner but both have unique features that separate them apart.

```
$ sudo add-apt-repository ppa:oguzhaninan/stacer
$ sudo apt-get update
$ sudo apt-get install stacer
```

### **69\. 4K Video Downloader**

4K Video Downloader is simple video downloading tool which you can use to download videos, playlists, channels from Vimeo, Facebook, YouTube and other online video streaming sites. It supports downloading YouTube playlists and channels in MP4, MKV, M4A, 3GP and many other video/audio file formats.

![][75]

4K Video Downloader is not as simple as you would think, apart from normal video downloads it supports 3D and 360 degree video downloading. It also offers features like in-app proxy setup and direct transfer to iTunes. You can download it from [here][76].

###  70\. **Qalculate**

Qalculate is multi-purpose, cross-platform desktop calculator which is simple but very powerful calculator. It can be used for solving complicated maths problems and equations, currency conversions, and many other daily calculations.

![][77]

It has an excellent user interface and offers features such as customizable functions, unit calculations, symbolic calculations, arithmetic, plotting and many other functions you will find in any scientific calculator.

### **71\. Hiri**

Hiri is a cross-platform email client developed in Python programming language. It has slick user interface and it can be a good alternative to Microsoft Outlook in terms of features and services offered. This is great email client that can be used for sending and receiving emails, managing contacts, calendars and tasks.

![][78]

It is a feature-rich email client that offers features like integrated task manager, email synchronization, email rating, email filtering and many more.

```
$ sudo snap install hiri
```

### **72\. Sublime Text**

Sublime Text is a cross-platform source code editor programmed in C++ and Python. It has Python Application Programming Interface (API) and supports all the major programming and markup languages. It is simple and lightweight text editor which can be used as IDE with features like auto-completion, syntax highlighting, split editing, etc.

![][79]

Some additional features in this text editor include Goto anything, Goto definition, multiple selections, command palette and fully customizable user interface.

```
$ sudo apt-get install sublime-text
```

### **73\. TeXstudio**

TeXstudio is an integrated writing environment for creating and editing LaTex documents. It is an open-source editor which offers features like syntax highlighting, integrated viewer, interactive spelling checker, code folding, drag and drop, etc.

![][80]

It is a cross-platform editor and has very simple, lightweight user interface which is easy to use. It ships in with integration for BibTex and BibLatex bibliographies managers and also integrated PDF viewer. You can download TeXstudio installation package from its [website][81] or Ubuntu Software Center.

### **74\. QtQR**

QtQR is a Qt based application that lets you create and read QR codes in Ubuntu. It is developed in Python and Qt and has simple and lightweight user interface. You can encode website URL, email, text, SMS, etc. and you can also decode barcode using webcam camera.

![][82]

QtQR could prove to be useful tool to have if you generally deal with product sales and services because I don’t think we have any other similar tool to QtQR which requires minimal hardware to function smoothly.

```
$ sudo add-apt-repository ppa: qr-tools-developers/qr-tools-stable
$ sudo apt-get update
$ sudo apt-get install qtqr
```

### **75\. Kontact**

Kontact is an integrated personal information manager (PIM) developed by KDE for KDE desktop environment. It is all-in-one software suite that integrates KMail, KOrganizer and KAddressBook into a single user interface from where you can manage all your mails, contacts, schedules, etc.

![][83]

It could be very good alternative to Microsoft Outlook as it is fast and highly configurable information manager. It has very good user interface which you will find very easy to use.

```
$ sudo apt-get install kontact
```

### **76\. NitroShare**

NitroShare is a cross-platform, open-source network file sharing application. It lets you easily share files between multiple operating systems local network. It is a simple yet powerful application and it automatically detects other devices running NitroShare on local network.

![][84]

File transfer speed is what makes NitroShare a stand-out file sharing application as it achieves gigabit speed on capable hardware. There is no need for additional configuration required, you can start file transfer as soon as you install it.

```
$ sudo apt-add-repository ppa:george-edison55/nitroshare
$ sudo apt-get update
$ sudo apt-get install nitroshare
```

### **77\. Konversation**

Konversation is an open-source Internet Relay Chat (IRC) client developed for KDE desktop environment. It gives speedy access to Freenode network’s channels where you can find support for most distributions.

![][85]

It is simple chat client with features like support for IPv6 connection, SSL server support, bookmarks, on-screen notifications, UTF-8 detection, and additional themes. It has easy to use GUI which is highly configurable.

```
$ sudo apt-get install konversation
```

### **78\. Discord**

If you’re hardcore gamer and play online games frequently then I have a great application for you. Discord which is free Voice over Internet Protocol (VoIP) application especially designed for online gamers around the world. It is a cross-platform application and can be used for text and audio chats.

![][86]

Discord is very popular VoIP application gaming community and as it is completely free application, it is very good competitor to likes of Skype, Ventrilo and Teamspeak. It also offers features like crystal clear voice quality, modern text chat where you can share images, videos and links.

### **79\. QuiteRSS**

QuiteRSS is an open-source news aggregator for RSS and Atom news feeds. It is cross-platform feed reader written in Qt and C++. It has simple user interface which you can tweak in either classic or newspaper mode. It comes integrated with webkit browser out of the box so that you can perform all the tasks under single window.

![][87]

QuiteRSS comes with features such as content blocking, automatic scheduled feeds, import/export OPML, system tray integration and many other features you could expect in any feed reader.

```
$ sudo apt-get install quiterss
```

### **80\. MPV Media Player**

MPV is a free and open-source media player based on MPlayer and MPlayer 2. It has simple user interface where user just needs to drag and drop audio/video files to play them as there is no option to add media files on GUI.

![][88]

One of the things about MPV is that it can play 4K videos effortlessly which is not the case with other media players on Linux distros. It also gives user ability to play videos from online video streaming sites including YouTube and Dailymotion.

```
$ sudo add-apt-repository ppa:mc3man/mpv-tests
$ sudo apt-get update
$ sudo apt-get install -y mpv
```

### **81\. Plume Creator**

If you’re a writer then Plume Creator is must have application for you because you will not find other app for Ubuntu with privileges like Plume Creator. Writing and editing stories, chapters is tedious task and Plume Creator will ease this task for you with the help of some amazing tools it has to offer.

![][89]

It is an open-source application with minimal user interface which you could find confusing in the beginning but you will get used to it in some time. It offers features like edit notes, synopses, export in HTML and ODT formats support, and rich text editing.

```
$ sudo apt-get install plume-creator
```

### **82\. Chromium Web Browser**

Chromium is an open-source web browser developed and distributed by Google. Chromium is very identical to Google Chrome web browser in terms of appearance and features. It is a lightweight and fast web browser with minimalist user interface.

![][90]

If you use Google Chrome regularly on Windows and looking for similar browser for Linux then Chromium is the best browser for you as you can login into your Google account to access all your Google services including Gmail.

### **83\. Simple Weather Indicator**

Simple Weather Indicator is an open-source weather indicator app developed in Python. It automatically detects your location and shows you weather information like temperature, possibility of rain, humidity, wind speed and visibility.

![][91]

Weather indicator comes with configurable options such as location detection, temperature SI unit, location visibility on/off, etc. It is cool app to have which adjusts with your desktop comfortably.

### **84\. SpeedCrunch**

SpeedCrunch is a fast and high-precision scientific calculator. It comes preloaded with math functions, user-defined functions, complex numbers and unit conversions support. It has simple user interface which is easy to use.

![][92]

This scientific calculator has some amazing features like result preview, syntax highlighting and auto-completion. It is a cross-platform calculator with multi-language support.

### **85\. Scribus**

Scribus is a free and open-source desktop publishing application that lets you create posters, magazines and books. It is a cross-platform application based on Qt toolkit and released under GNU general public license. It is a professional application with features like CMYK and ICC color management, Python based scripting engine, and PDF creation.

![][93]

Scribus comes with decent user interface which is easy to use and works effortlessly on systems with low hardware. It could be downloaded and installed from Software Center on all the latest Linux distros.

### **86.** **Cura**

Cura is an open-source 3D printing application developed by David Braam. Ultimaker Cura is the most popular software in 3D printing world and used by millions of users worldwide. It follows 3 step 3D printing model: Design, Prepare and Print.

![][94]

It is a feature-rich 3D printing application with seamless integration support for CAD plug-ins and add-ons. It is very simple and easy to use tool, novice artists can start right away. It supports major file formats like STL, 3MF and OBJ file formats.

### **87\. Nomacs**

Nomacs is an open-source, cross-platform image viewer which is supports all the major image formats including RAW and psd images. It has ability to browse images in zip or Microsoft Office files and extract them to a directory.

![][95]

Nomacs has very simple user interface with image thumbnails at the top and it offers some basic image manipulation features like crop, resize, rotate, color correction, etc.

```
$ sudo add-apt-repository ppa:nomacs/stable
$ sudo apt-get update
$ sudo apt-get install nomacs
```

### **88\. BitTicker**

BitTicker is a live bitcoin-USDT Ticker for Ubuntu. It is a simple tool that connects to bittrex.com market and retrieves the latest price for BTC-USDT and display Ubuntu clock on system tray.

![][96]

It is simple but very useful too if you invest in Bitcoin regularly and have to study price fluctuations regulary.

### **89\. Organize My Files**

Organize My Files is cross-platform one click file organizer and it is available in Ubuntu as a snap package. It is a simple but powerful tool that will help you find unorganized files in a simple click and take them under control.

![][97]

It has intuitive user interface which is powerful and fast. It offers features such as auto organizing, recursive organizing, smart filters and multi folders organizing.

### **90\. GnuCash**

GnuCash is financial accounting software licensed under GNU general public license for free usage. It is an ideal software for personal and small business accounting. It has simple user interface which allows you to keep track of bank accounts, stocks, income and expenses.

![][98]

GnuCash implements double-entry bookkeeping system and based on professional accounting principle to ensure balanced books and accurate reports.

### **91\. Calibre**

Calibre is a cross-platform, open-source solution to all your e-book needs. It is a simple e-book organizer that offers features like displaying, creating, editing e-books, organizing existing e-books into virtual libraries, syncing and many more.

![][99]

Calibre also helps you convert e-books into whichever format you need and send them to your e-book reading device. Calibre is a very good tool to have if you regularly read and manage e-books.

### **92\. MATE Dictionary**

MATE Dictionary is a simple dictionary basically developed for MATE desktop environment. You just need to type the word and then this dictionary will display the meaning and references for it.

![][100]

It is simple and lightweight online dictionary with minimalist user interface.

### **93\. Converseen**

Converseen is a free cross-platform batch image processing application that lets you convert, edit, resize, rotate and flip large number of images with a single mouse click. It offers features like renaming bunch of images using prefix/suffix, extract image from a Windows icon file, etc.

![][101]

It has very good user interface which is easy to use even if you are a novice user. It can also convert entire PDF file into collection of images.

### **94\. Tiled Map Editor**

Tiled is a free software level map editor which you can use to edit the maps in various projections such as orthogonal, isometric and hexagonal. This tool can be very useful for game developers during game engine development cycle.

![][102]

Tiled is a versatile map editor which lets you create power boost positions, map layouts, collision areas, and enemy positions. It saves all the data in tmx format.

### **95.** **Qmmp**

Qmmp is a free and open-source audio player developed in Qt and C++. It is a cross-platform audio player with user interface very similar to Winamp. It has simple and intuitive user interface, Winamp skins can be used instead of default UI.

![][103]

It offers features such as automatic album cover fetching, multiple artists support, additional plug-ins and add-ons support and other features similar to Winamp.

```
$ sudo add-apt-repository ppa:forkotov02/ppa
$ sudo apt-get update
$ sudo apt-get install qmmp qmmp-q4 qmmp-plugin-pack-qt4
```

### **96\. Arora**

Arora is free and open-source web browser which offers features like dedicated download manager, bookmarks, privacy mode and tabbed browsing.

![][104]

Arora web browser is developed by Benjamin C. Meyer and it is popular among Linux users for its lightweight nature and flexibility.

### **97\. XnSketch**

XnSketch is a cool application for Ubuntu that will help you transform your photos into cartoon or sketch images in few clicks. It sports 18 different effects such as black strokes, white strokes, pencil sketch and others.

![][105]

It has an excellent user interface which you will find easy to use. Some additional features in XnSketch include opacity and edge strength adjustment, contrast, brightness and saturation adjustment.

### **98\. Geany**

Geany is a simple and lightweight text editor which works like an Integrated Development Environment (IDE). It is a cross-platform text editor and supports all the major programming languages including Python, C++, LaTex, Pascal, C#, etc.

![][106]

Geany has simple user interface which resembles to programming editors like Notepad++. It offers IDE like features such as code navigation, auto-completion, syntax highlighting, and extensions support.

```
$ sudo apt-get install geany
```

### **99\. Mumble**

Mumble is another Voice over Internet Protocol application very similar to Discord. Mumble is also basically designed for online gamers and uses client-server architecture for end-to-end chat. Voice quality is very good on Mumble and it offers end-to-end encryption to ensure privacy.

![][107]

Mumble is an open-source application and features very simple user interface which is easy to use. Mumble is available for download in Ubuntu Software Center.

```
$ sudo apt-get install mumble-server
```

### **100\. Deluge**

Deluge is a cross-platform and lightweight BitTorrent client that can be used for downloading files on Ubuntu. BitTorrent client come bundled with many Linux distros but Deluge is the best BitTorrent client which has simple user interface which is easy to use.

![][108]

Deluge comes with all the features you will find in BitTorrent clients but one feature that stands out is it gives user ability to access the client from other devices as well so that you can download files to your computer even if you are not at home.

```
$ sudo add-apt-repository ppa:deluge-team/ppa
$ sudo apt-get update
$ sudo apt-get install deluge
```

So these are my picks for best 100 applications for Ubuntu in 2018 which you should try. All the applications listed here are tested on Ubuntu 18.04 and will definitely work on older versions too. Feel free to share your view about the article at [@LinuxHint][109] and [@SwapTirthakar][110].

--------------------------------------------------------------------------------

via: https://linuxhint.com/100_best_ubuntu_apps/

作者：[Swapnil Tirthakar][a]
选题：[lujun9972](https://github.com/lujun9972)
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://linuxhint.com/author/swapnil/
[1]:https://linuxhint.com/applications-2018-ubuntu/
[2]:https://linuxhint.com/wp-content/uploads/2018/06/100-Best-Ubuntu-Apps.png
[3]:https://linuxhint.com/wp-content/uploads/2018/06/Chrome.png
[4]:https://linuxhint.com/wp-content/uploads/2018/06/Steam.png
[5]:https://linuxhint.com/wp-content/uploads/2018/06/Wordpress.png
[6]:https://linuxhint.com/wp-content/uploads/2018/06/VLC.png
[7]:https://linuxhint.com/wp-content/uploads/2018/06/Atom-Text-Editor.png
[8]:https://linuxhint.com/wp-content/uploads/2018/06/GIMP.png
[9]:https://linuxhint.com/wp-content/uploads/2018/06/Google-Play.png
[10]:https://www.googleplaymusicdesktopplayer.com/
[11]:https://linuxhint.com/wp-content/uploads/2018/06/Franz.png
[12]:https://meetfranz.com/#download
[13]:https://linuxhint.com/wp-content/uploads/2018/06/Synaptic.png
[14]:https://linuxhint.com/wp-content/uploads/2018/06/Skype.png
[15]:https://linuxhint.com/wp-content/uploads/2018/06/VirtualBox.png
[16]:https://linuxhint.com/wp-content/uploads/2018/06/Unity-Tweak-Tool.png
[17]:https://linuxhint.com/wp-content/uploads/2018/06/Ubuntu-Cleaner.png
[18]:https://linuxhint.com/wp-content/uploads/2018/06/Visual-Studio-Code.png
[19]:https://linuxhint.com/wp-content/uploads/2018/06/Corebird.png
[20]:https://linuxhint.com/wp-content/uploads/2018/06/Pixbuf.png
[21]:https://linuxhint.com/wp-content/uploads/2018/06/Clementine.png
[22]:https://linuxhint.com/wp-content/uploads/2016/06/blender.jpg
[23]:https://linuxhint.com/wp-content/uploads/2018/06/Audacity.png
[24]:https://linuxhint.com/wp-content/uploads/2018/06/Vim.png
[25]:https://linuxhint.com/wp-content/uploads/2018/06/Inkscape-1.png
[26]:https://linuxhint.com/wp-content/uploads/2018/06/ShotCut.png
[27]:https://linuxhint.com/wp-content/uploads/2018/06/Simple-Screen-Recorder.png
[28]:https://linuxhint.com/wp-content/uploads/2018/06/Telegram.png
[29]:https://linuxhint.com/wp-content/uploads/2018/06/ClamTk.png
[30]:https://linuxhint.com/wp-content/uploads/2018/06/Mailspring.png
[31]:https://linuxhint.com/wp-content/uploads/2018/06/PyCharm.png
[32]:https://linuxhint.com/wp-content/uploads/2018/06/Caffeine.png
[33]:https://linuxhint.com/wp-content/uploads/2018/06/Etcher.png
[34]:https://etcher.io/
[35]:https://linuxhint.com/wp-content/uploads/2018/06/Neofetch.png
[36]:https://linuxhint.com/wp-content/uploads/2018/06/Liferea.png
[37]:https://linuxhint.com/wp-content/uploads/2018/06/Shutter.png
[38]:https://linuxhint.com/wp-content/uploads/2018/06/Weather.png
[39]:https://linuxhint.com/wp-content/uploads/2018/06/Ramme.png
[40]:https://github.com/terkelg/ramme/releases
[41]:https://linuxhint.com/wp-content/uploads/2018/06/Thunderbird.png
[42]:https://linuxhint.com/wp-content/uploads/2018/06/Pidgin.png
[43]:https://linuxhint.com/wp-content/uploads/2018/06/Krita.png
[44]:https://linuxhint.com/wp-content/uploads/2018/06/Dropbox.png
[45]:https://linuxhint.com/wp-content/uploads/2018/06/kodi.png
[46]:https://linuxhint.com/wp-content/uploads/2018/06/Spotify.png
[47]:https://linuxhint.com/wp-content/uploads/2018/06/Brackets.png
[48]:https://linuxhint.com/wp-content/uploads/2018/06/Bitwarden.png
[49]:https://linuxhint.com/wp-content/uploads/2018/06/Terminator.png
[50]:https://linuxhint.com/wp-content/uploads/2018/06/Yak-Yak.png
[51]:https://linuxhint.com/wp-content/uploads/2018/06/Thonny.png
[52]:https://linuxhint.com/wp-content/uploads/2018/06/Font-Manager.png
[53]:https://linuxhint.com/wp-content/uploads/2018/06/Atril.png
[54]:https://linuxhint.com/wp-content/uploads/2018/06/Notepadqq.png
[55]:https://linuxhint.com/wp-content/uploads/2018/06/Amarok.png
[56]:https://linuxhint.com/wp-content/uploads/2018/06/Cheese.png
[57]:https://linuxhint.com/wp-content/uploads/2018/06/MyPaint.png
[58]:https://linuxhint.com/wp-content/uploads/2018/06/PlayOnLinux.png
[59]:https://linuxhint.com/wp-content/uploads/2018/06/Akregator.png
[60]:https://linuxhint.com/wp-content/uploads/2018/06/Brave.png
[61]:https://linuxhint.com/wp-content/uploads/2018/06/Bitcoin-Core.png
[62]:https://linuxhint.com/wp-content/uploads/2018/06/Speedy-Duplicate-Finder.png
[63]:https://linuxhint.com/wp-content/uploads/2018/06/Zulip.png
[64]:https://linuxhint.com/wp-content/uploads/2018/06/Okular.png
[65]:https://linuxhint.com/wp-content/uploads/2018/06/Focus-Writer.png
[66]:https://linuxhint.com/wp-content/uploads/2018/06/Guake.png
[67]:https://linuxhint.com/wp-content/uploads/2018/06/KDE-Connect.png
[68]:https://linuxhint.com/wp-content/uploads/2018/06/CopyQ.png
[69]:https://linuxhint.com/wp-content/uploads/2018/06/Tilix.png
[70]:https://linuxhint.com/wp-content/uploads/2018/06/Anbox.png
[71]:https://linuxhint.com/wp-content/uploads/2018/06/OpenShot.png
[72]:https://linuxhint.com/wp-content/uploads/2018/06/Plank.png
[73]:https://linuxhint.com/wp-content/uploads/2018/06/FileZilla.png
[74]:https://linuxhint.com/wp-content/uploads/2018/06/Stacer.png
[75]:https://linuxhint.com/wp-content/uploads/2018/06/4K-Video-Downloader.png
[76]:https://www.4kdownload.com/download
[77]:https://linuxhint.com/wp-content/uploads/2018/06/Qalculate.png
[78]:https://linuxhint.com/wp-content/uploads/2018/06/Hiri.png
[79]:https://linuxhint.com/wp-content/uploads/2018/06/Sublime-text.png
[80]:https://linuxhint.com/wp-content/uploads/2018/06/TeXstudio.png
[81]:https://www.texstudio.org/
[82]:https://linuxhint.com/wp-content/uploads/2018/06/QtQR.png
[83]:https://linuxhint.com/wp-content/uploads/2018/06/Kontact.png
[84]:https://linuxhint.com/wp-content/uploads/2018/06/Nitro-Share.png
[85]:https://linuxhint.com/wp-content/uploads/2018/06/Konversation.png
[86]:https://linuxhint.com/wp-content/uploads/2018/06/Discord.png
[87]:https://linuxhint.com/wp-content/uploads/2018/06/QuiteRSS.png
[88]:https://linuxhint.com/wp-content/uploads/2018/06/MPU-Media-Player.png
[89]:https://linuxhint.com/wp-content/uploads/2018/06/Plume-Creator.png
[90]:https://linuxhint.com/wp-content/uploads/2018/06/Chromium.png
[91]:https://linuxhint.com/wp-content/uploads/2018/06/Simple-Weather-Indicator.png
[92]:https://linuxhint.com/wp-content/uploads/2018/06/SpeedCrunch.png
[93]:https://linuxhint.com/wp-content/uploads/2018/06/Scribus.png
[94]:https://linuxhint.com/wp-content/uploads/2018/06/Cura.png
[95]:https://linuxhint.com/wp-content/uploads/2018/06/Nomacs.png
[96]:https://linuxhint.com/wp-content/uploads/2018/06/Bit-Ticker-1.png
[97]:https://linuxhint.com/wp-content/uploads/2018/06/Organize-My-Files.png
[98]:https://linuxhint.com/wp-content/uploads/2018/06/GNU-Cash.png
[99]:https://linuxhint.com/wp-content/uploads/2018/06/Calibre.png
[100]:https://linuxhint.com/wp-content/uploads/2018/06/MATE-Dictionary.png
[101]:https://linuxhint.com/wp-content/uploads/2018/06/Converseen.png
[102]:https://linuxhint.com/wp-content/uploads/2018/06/Tiled-Map-Editor.png
[103]:https://linuxhint.com/wp-content/uploads/2018/06/Qmmp.png
[104]:https://linuxhint.com/wp-content/uploads/2018/06/Arora.png
[105]:https://linuxhint.com/wp-content/uploads/2018/06/XnSketch.png
[106]:https://linuxhint.com/wp-content/uploads/2018/06/Geany.png
[107]:https://linuxhint.com/wp-content/uploads/2018/06/Mumble.png
[108]:https://linuxhint.com/wp-content/uploads/2018/06/Deluge.png
[109]:https://twitter.com/linuxhint
[110]:https://twitter.com/SwapTirthakar
