50 Best Ubuntu Apps You Should Be Using Right Now
======
**Brief: A comprehensive list of best Ubuntu apps for all kind of users. These software will help you in getting a better experience with your Linux desktop.**

I have written about [things to do after installing Ubuntu][1] several times in the past. Each time I suggest installing the essential applications in Ubuntu.

But the question arises, what are the essential Ubuntu applications? There is no set answer here. It depends on your need and the kind of work you do on your Ubuntu desktop.

Still, I have been asked to suggest some good Ubuntu apps by a number of readers. This is the reason I have created this comprehensive list of Ubuntu applications you can use regularly.

The list has been divided into respective categories for ease of reading and ease of comprehension.

### Best Ubuntu apps for a better Ubuntu experience

![Best Ubuntu Apps][2]

Of course, you don’t have to use all of these applications. Just go through this list of essential Ubuntu software, read the description and then install the ones you need or are inclined to use. Just keep this page bookmarked for future reference or simply search on Google with term ‘best ubuntu apps itsfoss’.

The best Ubuntu application list is intended for average Ubuntu user. Therefore not all the applications here are open source. I have also marked the slightly complicated applications that might not be suitable for a beginner. The list should be valid for Ubuntu 16.04,18.04 and other versions.

Unless exclusively mentioned, the software listed here are available in Ubuntu Software Center.

If you don’t find any application in the software center or if it is missing installation instruction, let me know and I’ll add the installation procedure.

Enough talk! Let’s see what are the best apps for Ubuntu.

#### Web Browser

Ubuntu comes with Firefox as the default web browser. Since the Quantum release, Firefox has improved drastically. Personally, I always use more than one web browser for the sake of distinguishing between different type of works.

##### Google Chrome

![Google Chrome Logo][3]

Google Chrome is the most used web browser on the internet for a reason. With your Google account, it allows you seamless syncing across devices. Plenty of extensions and apps further enhance its capabilities. You can [download Chrome in Ubuntu from its website][4].

##### Brave

![brave browser][5]

Google Chrome might be the most used web browser but it’s a privacy invader. An [alternative browser][6] is [Brave][7] that blocks ads and tracking scripts by default. This provides you with a faster and secure web browsing experience.

#### Music applications

![best music apps ubuntu][8]

Ubuntu has Rhythmbox as the default music player which is not at all a bad choice for the default music player. However, you can definitely install a better music player.

##### Sayonara

[Sayonara][9] is a small, lightweight music player with a nice dark user interface. It comes with all the essential features you would expect in a standard music player. It integrates well with the Ubuntu desktop environment and doesn’t eat up your RAM.

##### Audacity

[Audacity][10] is more of an audio editor than an audio player. You can record and edit audio with this free and open source tool. It is available for Linux, Windows and macOS. You can install it from the Software Center.

##### MusicBrainz Picard

[Picard][11] is not a music player, it is a music tagger. If you have tons of local music files, Picard allows you to automatically update the music files with correct tracks, album, artist info and album cover art.

#### Streaming Music Applications

![Streaming Music app Ubuntu][12]

In this age of the internet, music listening habit has surely changed. People these days rely more on streaming music players rather than storing hundreds of local music files. Let’s see some apps you can use for streaming music.

##### Spotify

[Spotify][13] is the king of streaming music. And the good thing is that it has a native Linux app. The [Spotify app on Ubuntu][14] integrates well with the media key and sound menu along with the desktop notification. Do note that Spotify may or may not be available in your country.

##### Nuvola music player

[Nuvola][15] is not a streaming music service like Spotify. It is a desktop music player that allows you to use several streaming music services in one application. You can use Spotify, Deezer, Google Play Music, Amazon Cloud Player and many more such services.

#### Video Players

![Video players for Linux][16]

Ubuntu has the default GNOME video player (previously known as Totem) which is okay but it doesn’t support various media codecs. There are certainly other video players better than the GNOME video player.

##### VLC

The free and open source software [VLC][17] is the king of video players. It supports almost all possible media codecs. It also allows you to increase the volume up to 200%. It can also resume playing from the last known position. There are so many [VLC tricks][18] you can use to get the most of it.

##### MPV

[MPV][19] is a video player that deserves more attention. A sleek minimalist GUI and plenty of features, MPV has everything you would expect from a good video player. You can even use it in the command line. If you are not happy with VLC, you should surely give MPV a try.

#### Cloud Storage Service

Local backups are fine but cloud storage gives an additional degree of freedom. You don’t have to carry a USB key with you all the time or worry about a hard disk crash with cloud services.

##### Dropbox

![Dropbox logo][20]

[Dropbox][21] is one of the most popular Cloud service providers. You get 2GB of free storage with the option to get more by referring others. Dropbox provides a native Linux client and you can download it from its website. It creates a local folder on your system that is synced with the cloud servers.

##### pCloud

![pCloud icon][22]

[pCloud][23] is another good cloud storage service for Linux. It also has a native Linux client that you can download from its website. You get up to 20GB of free storage and if you need more, the pricing is better than Dropbox. pCloud is based in Switzerland, a country renowned for strict data privacy laws.

#### Image Editors

I am sure that you would need a photo editor at some point in time. Here are some of the best Ubuntu apps for editing images.

##### GIMP

![gimp icon][24]

[GIMP][25] is a free and open source image editor available for Linux, Windows and macOS. It’s the best alternative for Adobe Photoshop in Linux. You can use it for all kind of image editing. There are plenty of resources available on the internet to help you with Gimp.

##### Inkscape

![inkscape icon][26]

[Inkscape][27] is also a free and open source image editor specifically focusing on vector graphics. You can design vector arts and logo on it. You can compare it to Adobe Illustrator. Like Gimp, Inkscape too has plenty of tutorials available online.

#### Paint applications

Painting applications are not the same as image editors though their functionalities overlap at times. Here are some paint apps you can use in Ubuntu.
![Painting apps for Ubuntu Linux][28]

##### Krita

[Krita][29] is a free and open source digital painting application. You can create digital art, comics and animation with it. It’s a professional grade software and is even used as the primary software in art schools.

##### Pinta

[Pinta][30] might not be as feature rich as Krita but that’s deliberate. You can think of Pinta as Microsoft Paint for Linux. You can draw, paint, add text and do other such small tasks you do in a paint application.

#### Photography applications

Amateur photographer or a professional? You have plenty of [photography tools][31] at your disposal. Here are some recommended applications.

##### digiKam

![digikam][32]

With open source software [digiKam][33], you can handle your high-end camera images in a professional manner. digiKam provides all the tools required for viewing, managing, editing, enhancing, organizing, tagging and sharing photographs.

##### Darktable

![Darktable icon][34]

[darktable][35] is an open source photography workflow application with a special focus on raw image development. This is the best alternative you can get for Adobe Lightroom. It is also available for Windows and macOS.

#### Video editors

![Video editors Ubuntu][36]

There is no dearth of [video editors for Linux][37] but I won’t go in detail here. Take a look at some of the feature-rich yet relatively simple to use video editors for Ubuntu.

##### Kdenlive

[Kdenlive][38] is the best all-purpose video editor for Linux. It has enough features that compare it to iMovie or Movie Maker.

##### Shotcut

[Shotcut][39] is another good choice for a video editor. It is an open source software with all the features you can expect in a standard video editor.

#### Image and video converter

If you need to [convert the file format][40] of your images and videos, here are some of my recommendations.

##### Xnconvert

![xnconvert logo][41]

[Xnconvert][42] is an excellent batch image conversion tool. You can bulk resize images, convert the file type and rename them.

##### Handbrake

![Handbrake Logo][43]

[HandBrake][44] is an easy to use open source tool for converting videos from a number of formats to a few modern, popular formats.

#### Screenshot and screen recording tools

![Screenshot and recorders Ubuntu][45]

Here are the best Ubuntu apps for taking screenshots and recording your screen.

##### Shutter

[Shutter][46] is my go-to tool for taking screenshots. You can also do some quick editing to those screenshots such as adding arrows, text or resizing the images. The screenshots you see on It’s FOSS have been edited with Shutter. Definitely one of the best apps for Ubuntu.

##### Kazam

[Kazam][47] is my favorite [screen recorder for Linux][48]. It’s a tiny tool that allows you to record the entire window, an application window or a selected area. You can also use shortcuts to pause or resume recording. The tutorials on [It’s FOSS YouTube channel][49] have been recorded with Kazam.

#### Office suites

I cannot imagine that you could use a computer without a document editor. And why restrict yourself to just one document editor? Go for a complete office suite.

##### LibreOffice

![LibreOffice logo][50]

[LibreOffice][51] comes preinstalled on Ubuntu and it is undoubtedly the [best open source office software][52]. It’s a complete package comprising of a document editor, spreadsheet tool, presentation software, maths tool and a graphics tool. You can even edit some PDF files with LibreOffice.

##### WPS Office

![WPS Office logo][53]

[WPS Office][54] has gained popularity for being a Microsoft Office clone. It has an interface identical to Microsoft Office and it claims to be more compatible with MS Office. If you are looking for something similar to the Microsoft Office, WPS Office is a good choice.

#### Downloading tools

![Downloading software Ubuntu][55]

If you often download videos or other big files from the internet, these tools will help you.

##### youtube-dl

This is one of the rare Ubuntu application on the list that is command line based. If you want to download videos from YouTube, DailyMotion or other video websites, youtube-dl is an excellent choice. It provides plenty of [advanced option for video downloading][56].

##### uGet

[uGet][57] is a feature rich [download manager for Linux][58]. It allows you to pause and resume your downloads, schedule your downloads, monitor clipboard for downloadable content. A perfect tool if you have a slow, inconsistent internet or daily data limit.

#### Code Editors

![Coding apps for Ubuntu][59]

If you are into programming, the default Gedit text editor might not be sufficient for your coding needs. Here are some of the better code editors for you.

##### Atom

[Atom][60] is a free and [open source code editor][61] from GitHub. Even before it was launched its first stable version, it became a hot favorite among coders for its UI, features and vast range of plugins.

##### Visual Studio Code

[VS Code][62] is an open source code editor from Microsoft. Don’t worry about Microsoft, VS Code is an awesome editor for web development. It also supports a number of other programming languages.

#### PDF and eBooks related applications

![eBook Management tools in Ubuntu][63]

In this digital age, you cannot only rely on the real paper books especially when there are plenty of free eBooks available. Here are some Ubuntu apps for managing PDFs and eBooks.

##### Calibre

If you are a bibliophile and collect eBooks, you should use [Calibre][64]. It is an eBook manager with all the necessary software for [creating eBooks][65], converting eBook formats and managing an eBook library.

##### Okular

Okular is mostly a PDF viewer with options for editing PDF files. You can do some basic [PDF editing on Linux][66] with Okular such as adding pop-ups notes, inline notes, freehand line drawing, highlighter, stamp etc.

#### Messaging applications

![Messaging apps for Ubuntu][67]

I believe you use at least one [messaging app on Linux][68]. Here are my recommendations.

##### Skype

[Skype][69] is the most popular video chatting application. It is also used by many companies and businesses for interviews and meetings. This makes Skype one of the must-have applications for Ubuntu.

##### Rambox

[Rambox][70] is not a messaging application on its own. But it allows you to use Skype, Viber, Facebook Messanger, WhatsApp, Slack and a number of other messaging applications from a single application window.

#### Notes and To-do List applications

Need a to-do list app or simple an app for taking notes? Have a look at these:

##### Simplenote

![Simplenote logo][71]

[Simplenote][72] is a free and open source note taking application from WordPress creators [Automattic][73]. It is available for Windows, Linux, macOS, iOS and Android. Your notes are synced to a cloud server and you can access them on any device. You can download the DEB file from its website.

##### Remember The Milk

![Remember The Milk logo][74]

[Remember The Milk][75] is a popular to-do list application. It is available for Windows, Linux, macOS, iOS and Android. Your to-do list is accessible on all the devices you own. You can also access it from a web browser. It also has an official native application for Linux that you can download from its website.

#### Password protection and encryption

![Encryption software Ubuntu][76]

If there are other people regularly using your computer perhaps you would like to add an extra layer of security by password protecting files and folders.

##### EncryptPad

[EncryptPad][77] is an open source text editor that allows you to lock your files with a password. You can choose the type of encryption. There is also a command line version of this tool.

##### Gnome Encfs Manager

Gnome Encfs Manager allows you to [lock folders with a password in Linux][78]. You can keep whatever files you want in a secret folder and then lock it with a password.

#### Gaming

![Gaming on Ubuntu][79]

[Gaming on Linux][80] is a lot better than what it used to be a few years ago. You can enjoy plenty of games on Linux without going back to Windows.

##### Steam

[Steam][81] is a digital distribution platform that allows you to purchase (if required) games. Steam has over 1500 [games for Linux][82]. You can download the Steam client from the Software Center.

##### PlayOnLinux

[PlayOnLinux][83] allows you to run Windows games on Linux over WINE compatibility layer. Don’t expect too much out of it because not every game will run flawlessly with PlayOnLinux.

#### Package Managers [Intermediate to advanced users]

![Package Management tools Ubuntu][84]

Ubuntu Software Center is more than enough for an average Ubuntu user’s software needs but you can have more control on it using these applications.

##### Gdebi

Gedbi is a tiny packagae manager that you can use for installing DEB files. It is faster than the Software Center and it also handles dependency issues.

##### Synaptic

Synaptic was the default GUI package manager for most Linux distributions a decade ago. It still is in some Linux distributions. This powerful package manager is particularly helpful in [finding installed applications and removing them][85].

#### Backup and Recovery tools

![Backup and data recovery tools for Ubuntu][86]

Backup and recovery tools are must-have software for any system. Let’s see what softwares you must have on Ubuntu.

##### Timeshift

Timeshift is a tool that allows you to [take a snapshot of your system][87]. This allows you to restore your system to a previous state in case of an unfortunate incident when your system configuration is messed up. Note that it’s not the best tool for your personal data backup though. For that, you can use Ubuntu’s default Deja Dup (also known as Backups) tool.

##### TestDisk [Intermediate Users]

This is another command line tool on this list of best Ubuntu application. [TestDisk][88] allows you to [recover data on Linux][89]. If you accidentally deleted files, there are still chances that you can get it back using TestDisk.

#### System Tweaking and Management Tools

![System Maintenance apps Ubuntu][90]

##### GNOME/Unity Tweak Tool

These Tweak tools are a must for every Ubuntu user. They allow you to access some advanced system settings. Best of all, you can [change themes in Ubuntu][91] using these tweak tools.

##### UFW Firewall

[UFW][92] stands for Uncomplicated Firewall and rightly so. UFW has predefined firewall settings for Home, Work and Public networks.

##### Stacer

If you want to free up space on Ubuntu, try Stacer. This graphical tool allows you to [optimize your Ubuntu system][93] by removing unnecessary files and completely uninstalling software. Download Stacer from [its website][94].

#### Other Utilities

![Utilities Ubuntu][95]

In the end, I’ll list some of my other favorite Ubuntu apps that I could not put into a certain category.

##### Neofetch

One more command line tool! Neofetch displays your system information such as [Ubuntu version][96], desktop environment, theme, icons, RAM etc info along with [ASCII logo of the distribution][97]. Use this command for installing Neofetch.
```
sudo apt install neofetch

```

##### Etcher

Ubuntu has a live USB creator tool installed already but Etcher is a better application for this task. It is also available for Windows and macOS. You can download it [from its website][98].

##### gscan2pdf

I use this tiny tool for the sole purpose of [converting images into PDF][99]. You can use it for combining multiple images into one PDF file as well.

##### Audio Recorder

Another tiny yet essential Ubuntu application for [recording audio on Ubuntu][100]. You can use it to record sound from system microphone, from music player or from any other source.

### Your suggestions for essential Ubuntu applications?

I would like to conclude my list of best Ubuntu apps here. I know that you might not need or use all of them but I am certain that you would like most of the software listed here.

Did you find some useful applications that you didn’t know about before? If you would have to suggest your favorite Ubuntu application, which one would it be?

In the end, if you find this article useful, please share it on social media, Reddit, Hacker News or other community or forums you visit regularly. This way you help us grow :)

--------------------------------------------------------------------------------

via: https://itsfoss.com/best-ubuntu-apps/

作者：[Abhishek Prakash][a]
选题：[lujun9972](https://github.com/lujun9972)
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://itsfoss.com/author/abhishek/
[1]:https://itsfoss.com/things-to-do-after-installing-ubuntu-18-04/
[2]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/07/best-ubuntu-apps-featured.jpeg
[3]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/07/google-chrome.jpeg
[4]:https://www.google.com/chrome/
[5]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/07/brave-browser-icon.jpeg
[6]:https://itsfoss.com/open-source-browsers-linux/
[7]:https://brave.com/
[8]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/07/music-apps-ubuntu.jpeg
[9]:https://itsfoss.com/sayonara-music-player/
[10]:https://www.audacityteam.org/
[11]:https://itsfoss.com/musicbrainz-picard/
[12]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/07/streaming-music-apps-ubuntu.jpeg
[13]:https://www.spotify.com//
[14]:https://itsfoss.com/install-spotify-ubuntu-1404/
[15]:https://tiliado.eu/nuvolaplayer/
[16]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/07/Video-Players-linux.jpg
[17]:https://www.videolan.org/index.html
[18]:https://itsfoss.com/vlc-pro-tricks-linux/
[19]:https://mpv.io/
[20]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/07/dropbox-icon.jpeg
[21]:https://www.dropbox.com/
[22]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/07/pcloud-icon.jpeg
[23]:https://itsfoss.com/recommends/pcloud/
[24]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/07/gimp-icon.jpeg
[25]:https://www.gimp.org/
[26]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/07/inkscape-icon.jpeg
[27]:https://inkscape.org/en/
[28]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/07/paint-apps-ubuntu.jpeg
[29]:https://krita.org/en/
[30]:https://pinta-project.com/pintaproject/pinta/
[31]:https://itsfoss.com/image-applications-ubuntu-linux/
[32]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/07/digikam-icon.jpeg
[33]:https://www.digikam.org/
[34]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/07/darktable-icon.jpeg
[35]:https://www.darktable.org/
[36]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/07/video-editing-apps-ubuntu.jpeg
[37]:https://itsfoss.com/best-video-editing-software-linux/
[38]:https://kdenlive.org/en/
[39]:https://shotcut.org/
[40]:https://itsfoss.com/format-factory-alternative-linux/
[41]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/07/xnconvert-logo.jpeg
[42]:https://www.xnview.com/en/xnconvert/
[43]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/07/handbrake-logo.jpeg
[44]:https://handbrake.fr/
[45]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/07/screen-recording-ubuntu-apps.jpeg
[46]:http://shutter-project.org/
[47]:https://launchpad.net/kazam
[48]:https://itsfoss.com/best-linux-screen-recorders/
[49]:https://www.youtube.com/c/itsfoss?sub_confirmation=1
[50]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/07/libre-office-logo.jpeg
[51]:https://www.libreoffice.org/download/download/
[52]:https://itsfoss.com/best-free-open-source-alternatives-microsoft-office/
[53]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/07/wps-office-logo.jpeg
[54]:http://wps-community.org/
[55]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/07/download-apps-ubuntu.jpeg
[56]:https://itsfoss.com/download-youtube-linux/
[57]:http://ugetdm.com/
[58]:https://itsfoss.com/4-best-download-managers-for-linux/
[59]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/07/coding-apps-ubuntu.jpeg
[60]:https://atom.io/
[61]:https://itsfoss.com/best-modern-open-source-code-editors-for-linux/
[62]:https://itsfoss.com/install-visual-studio-code-ubuntu/
[63]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/07/pdf-management-apps-ubuntu.jpeg
[64]:https://calibre-ebook.com/
[65]:https://itsfoss.com/create-ebook-calibre-linux/
[66]:https://itsfoss.com/pdf-editors-linux/
[67]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/07/messaging-apps-ubuntu.jpeg
[68]:https://itsfoss.com/best-messaging-apps-linux/
[69]:https://www.skype.com/en/
[70]:https://rambox.pro/
[71]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/07/simplenote-logo.jpeg
[72]:http://simplenote.com/
[73]:https://automattic.com/
[74]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/07/remember-the-milk-logo.jpeg
[75]:https://itsfoss.com/remember-the-milk-linux/
[76]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/07/encryption-apps-ubuntu.jpeg
[77]:https://itsfoss.com/encryptpad-encrypted-text-editor-linux/
[78]:https://itsfoss.com/password-protect-folder-linux/
[79]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/07/gaming-ubuntu.jpeg
[80]:https://itsfoss.com/linux-gaming-guide/
[81]:https://store.steampowered.com/
[82]:https://itsfoss.com/free-linux-games/
[83]:https://www.playonlinux.com/en/
[84]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/07/package-management-apps-ubuntu.jpeg
[85]:https://itsfoss.com/how-to-add-remove-programs-in-ubuntu/
[86]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/07/backup-recovery-tools-ubuntu.jpeg
[87]:https://itsfoss.com/backup-restore-linux-timeshift/
[88]:https://www.cgsecurity.org/wiki/TestDisk
[89]:https://itsfoss.com/recover-deleted-files-linux/
[90]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/07/system-maintenance-apps-ubuntu.jpeg
[91]:https://itsfoss.com/install-themes-ubuntu/
[92]:https://wiki.ubuntu.com/UncomplicatedFirewall
[93]:https://itsfoss.com/optimize-ubuntu-stacer/
[94]:https://github.com/oguzhaninan/Stacer
[95]:https://4bds6hergc-flywheel.netdna-ssl.com/wp-content/uploads/2018/07/utilities-apps-ubuntu.jpeg
[96]:https://itsfoss.com/how-to-know-ubuntu-unity-version/
[97]:https://itsfoss.com/display-linux-logo-in-ascii/
[98]:https://etcher.io/
[99]:https://itsfoss.com/convert-multiple-images-pdf-ubuntu-1304/
[100]:https://itsfoss.com/record-streaming-audio/
