# 5 个给孩子的非常好的 Linux 教育软件和游戏

![](https://www.maketecheasier.com/assets/uploads/2018/07/Linux-educational-programs-for-kids-featured.jpg)

Linux 是一个非常强大的操作系统，因此因特网上的大多数服务器都使用它。尽管它算不上是对用户友好的最佳操作系统，但它的多元化还是值的称赞的。对于 Linux 来说，每个人都能在它上面找到他们自己的所需。不论你是用它来写代码、还是用于教学或物联网（IoT），你总能找到一个适合你用的 Linux 发行版。为此，许多人认为 Linux 是未来计算的最佳操作系统。

未来是属于孩子们的，让孩子们了解 Linux 是他们掌控未来的最佳方式。这个操作系统上或许并没有一些像 FIFA 或 PES 那样的声名赫赫的游戏；但是，它为孩子们提供了一些非常好的教育软件和游戏。这里有五款最好的 Linux 教育软件，可以让你的孩子远离游戏。

**相关阅读**：[使用一个 Linux 发行版的新手指南][1]

### 1. GCompris

如果你正在为你的孩子寻找一款最佳的教育软件，[GCompris][2] 将是你的最好的开端。这款软件专门为 2 到 10 岁的孩子所设计。作为所有的 Linux 教育软件套装的巅峰之作，GCompris 为孩子们提供了大约 100 项活动。它囊括了你期望你的孩子学习的所有内容，从阅读材料到科学、地理、绘画、代数、测验、等等。

![Linux educational software and games][3]

GCompris 甚至有一项活动可以帮你的孩子学习计算机的相关知识。如果你的孩子还很小，你希望他去学习字母、颜色、和形状，GCompris 也有这方面的相关内容。更重要的是，它也为孩子们准备了一些益智类游戏，比如国际象棋、井字棋、好记性、以及猜词游戏。GCompris 并不是一个仅在 Linux 上可运行的游戏。它也可以运行在 Windows 和 Android 上。

### 2. TuxMath

很多学生认为数学是们非常难的课程。你可以通过 Linux 教育软件如 [TuxMath][4] 来让你的孩子了解数学技能，从而来改变这种看法。TuxMath 是为孩子开发的顶级的数学教育辅助游戏。在这个游戏中，你的角色是在如雨点般下降的数学问题中帮助 Linux 企鹅 Tux 来保护它的星球。

![linux-educational-software-tuxmath-1][5]

在它们落下来毁坏 Tux 的星球之前，找到问题的答案，就可以使用你的激光去帮助 Tux 拯救它的星球。数字问题的难度每过一关就会提升一点。这个游戏非常适合孩子，因为它可以让孩子们去开动脑筋解决问题。而且还有助他们学好数学，以及帮助他们开发智力。

### 3. Sugar on a Stick

[Sugar on a Stick][6] 是献给孩子们的学习程序 —— 一个广受好评的全新教学法。这个程序为你的孩子提供一个成熟的教学平台，在那里，他们可以收获创造、探索、发现和思考方面的技能。和 GCompris 一样，Sugar on a Stick  为孩子们带来了包括游戏和谜题在内的大量学习资源。

![linux-educational-software-sugar-on-a-stick][7]

关于 Sugar on a Stick 最大的一个好处是你可以将它配置在一个 U 盘上。你只要有一台 X86 的 PC，插入那个 U 盘，然后就可以从 U 盘引导这个发行版。Sugar on a Stick 是由 Sugar 实验室提供的一个项目 —— 这个实验室是一个由志愿者运作的非盈利组织。

### 4. KDE Edu Suite

[KDE Edu Suite][8] 是一个用途与众不同的软件包。带来了大量不同领域的应用程序，KDE 社区已经证实，它不仅是一系列成年人授权的问题；它还关心年青一代如何适应他们周围的一切。它囊括了一系列孩子们使用的应用程序，从科学到数学、地理等等。

![linux-educational-software-kde-1][9]

KDE Edu 套件根据长大后所必需的知识为基础，既能够用作学校的教学软件，也能够作为孩子们的学习 APP。它提供了大量的可免费下载的软件包。KDE Edu 套件在主流的 GNU/Linux 发行版都能安装。

### 5. Tux Paint

![linux-educational-software-tux-paint-2][10]

[Tux Paint][11] 是给孩子们的另一个非常好的 Linux 教育软件。这个屡获殊荣的绘画软件在世界各地被用于帮助培养孩子们的绘画技能，它有一个简洁的、易于使用的界面和有趣的音效，可以高效地帮助孩子去使用这个程序。它也有一个卡通吉祥物去鼓励孩子们使用这个程序。Tux Paint 中有许多绘画工具，它们可以帮助孩子们放飞他们的创意。

### 总结

由于这些教育软件深受孩子们的欢迎，许多学校和幼儿园都使用这些程序进行辅助教学。典型的一个例子就是 [Edubuntu][12]，它是儿童教育领域中广受老师和家长们欢迎的一个基于 Ubuntu 的发行版。

Tux Paint 是另一个非常好的例子，它在这些年越来越流行，它大量地用于学校中教孩子们如何绘画。以上的这个清单并不很详细。还有成百上千的对孩子有益的其它 Linux 教育软件和游戏。

如果你还知道给孩子们的其它非常好的 Linux 教育软件和游戏，在下面的评论区分享给我们吧。

------

via: https://www.maketecheasier.com/5-best-linux-software-packages-for-kids/

作者：[Kenneth Kimari][a]
选题：[lujun9972](https://github.com/lujun9972)
译者：[qhwdw](https://github.com/qhwdw)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://www.maketecheasier.com/author/kennkimari/
[1]: https://www.maketecheasier.com/beginner-guide-to-using-linux-distro/	"The Beginner’s Guide to Using a Linux Distro"
[2]: http://www.gcompris.net/downloads-en.html
[3]: https://www.maketecheasier.com/assets/uploads/2018/07/Linux-educational-software-gcompris.jpg	"Linux educational software and games"
[4]: https://tuxmath.en.uptodown.com/ubuntu
[5]: https://www.maketecheasier.com/assets/uploads/2018/07/Linux-educational-software-tuxmath-1.jpg	"linux-educational-software-tuxmath-1"
[6]: http://wiki.sugarlabs.org/go/Sugar_on_a_Stick/Downloads
[7]: https://www.maketecheasier.com/assets/uploads/2018/07/Linux-educational-software-sugar-on-a-stick.png	"linux-educational-software-sugar-on-a-stick"
[8]: https://edu.kde.org/
[9]: https://www.maketecheasier.com/assets/uploads/2018/07/Linux-educational-software-kde-1.jpg	"linux-educational-software-kde-1"
[10]: https://www.maketecheasier.com/assets/uploads/2018/07/Linux-educational-software-tux-paint-2.jpg	"linux-educational-software-tux-paint-2"
[11]: http://www.tuxpaint.org/
[12]: http://edubuntu.org/