L1 终端错误漏洞（L1TF）如何影响 Linux 系统
======

> L1 终端错误（L1TF）影响英特尔处理器和 Linux 操作系统。让我们了解一下这个漏洞是什么，以及 Linux 用户需要为它做点什么。

![](https://images.idgesg.net/images/article/2018/08/l1tf-copy-100768129-large.jpg)

昨天（LCTT 译注：本文发表于 2018/8/15）在英特尔、微软和红帽的安全建议中宣布，一个新发现的漏洞英特尔处理器（还有 Linux）的漏洞称为 L1TF 或 “<ruby>L1 终端错误<rt>L1 Terminal Fault</rt></ruby>”，引起了 Linux 用户和管理员的注意。究竟什么是这个漏洞，谁应该担心它？

### L1TF、 L1 Terminal Fault 和 Foreshadow

处理器漏洞被称作 L1TF、L1 Terminal Fault 和 Foreshadow。研究人员在 1 月份发现了这个问题并向英特尔报告称其为 “Foreshadow”。它类似于过去发现的漏洞（例如 Spectre）。

此漏洞是特定于英特尔的。其他处理器不受影响。与其他一些漏洞一样，它之所以存在，是因为设计时为了优化内核处理速度，但允许其他进程访问数据。

**[另请阅读：[22 个必要的 Linux 安全命令][1]]**

已为此问题分配了三个 CVE：

  * CVE-2018-3615：英特尔<ruby>软件保护扩展<rt>Software Guard Extension</rt></ruby>（英特尔 SGX）
  * CVE-2018-3620：操作系统和<ruby>系统管理模式<rt>ystem Management Mode</rt></ruby>（SMM）
  * CVE-2018-3646：虚拟化的影响

英特尔发言人就此问题发表了这一声明：

> “L1 Terminal Fault 通过今年早些时候发布的微代码更新得到解决，再加上从今天开始提供的操作系统和虚拟机管理程序软件的相应更新。我们在网上提供了更多信息，并继续鼓励每个人更新操作系统，因为这是得到保护的最佳方式之一。我们要感谢 imec-DistriNet、KU Leuven、以色列理工学院，密歇根大学，阿德莱德大学和 Data61 的研究人员以及我们的行业合作伙伴，他们帮助我们识别和解决了这个问题。“

### L1TF 会影响你的 Linux 系统吗？

简短的回答是“可能不会”。如果你因为在今年 1 月爆出的 [Spectre 和 Meltdown 漏洞][2]修补过系统，那你应该是安全的。与 Spectre 和 Meltdown 一样，英特尔声称真实世界中还没有系统受到影响的报告或者检测到。他们还表示，这些变化不太可能在单个系统上产生明显的性能影响，但它们可能对使用虚拟化操作系统的数据中心产生大的影响。

即使如此，仍然推荐频繁地打补丁。要检查你当前的内核版本，使用 `uname -r` 命令：

```
$ uname -r
4.18.0-041800-generic
```

### 更多资源

请查看如下资源以了解 L1TF 的更多细节，以及为什么会出现这个漏洞：

- [L1TF explained in ~3 minutes (Red Hat)][5]
- [L1TF explained in under 11 minutes (Red Hat)][6]
- [Technical deep dive][7]
- [Red Hat explanation of L1TF][8]
- [Ubuntu updates for L1TF][9]

--------------------------------------------------------------------------------

via: https://www.networkworld.com/article/3298157/linux/linux-and-l1tf.html

作者：[Sandra Henry-Stocker][a]
选题：[lujun9972](https://github.com/lujun9972)
译者：[geekpi](https://github.com/geekpi)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://www.networkworld.com/author/Sandra-Henry_Stocker/
[1]: https://www.networkworld.com/article/3272286/open-source-tools/22-essential-security-commands-for-linux.html
[2]: https://www.networkworld.com/article/3245813/security/meltdown-and-spectre-exploits-cutting-through-the-fud.html
[3]: https://www.facebook.com/NetworkWorld/
[4]: https://www.linkedin.com/company/network-world
[5]: https://www.youtube.com/watch?v=kBOsVt0iXE4&feature=youtu.be
[6]: https://www.youtube.com/watch?v=kqg8_KH2OIQ
[7]: https://www.redhat.com/en/blog/deeper-look-l1-terminal-fault-aka-foreshadow
[8]: https://access.redhat.com/security/vulnerabilities/L1TF
[9]: https://blog.ubuntu.com/2018/08/14/ubuntu-updates-for-l1-terminal-fault-vulnerabilities
